% Legend - Four datasets

legend4 = figure('Visible','on','Position',[20,50,600,200]);
    set(legend4,'Name','Legend - FGAPP v1.0 - 4 datasets')
    
axes('Units','Pixels','Position',[10,10,200,200]);
          line(0.1,4,'LineStyle','none','Marker','s',...
                              'MarkerSize',[12],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r');
          text(0.4,4,(evalin('base','input_file1')),'FontSize',[12],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          line(0.1,3,'LineStyle','none','Marker','o',...
                              'MarkerSize',[12],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','b');
          text(0.4,3,(evalin('base','input_file2')),'FontSize',[12],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          line(0.1,2,'LineStyle','none','Marker','v',...
                              'MarkerSize',[12],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','g');
          text(0.4,2,(evalin('base','input_file3')),'FontSize',[12],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          line(0.1,1,'LineStyle','none','Marker','^',...
                              'MarkerSize',[12],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','y');
          text(0.4,1,(evalin('base','input_file4')),'FontSize',[12],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          axis ([0 2 0 5]); box off; axis off;
          
clear legend4