%% Runs normalization
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    normalization4
    cd(folder_plot)

%% First File            
    header = input_header1(1,6:81);
    rows = {'values'; 'maximum'; 'average'; 'minimum'};
    
f1 = figure('Position',[100 300 1000 150]);
    tit = ['Input data statistics - FGAPP v1.0 - First dataset --- ' input_file1];
    set(f1,'Name',tit);
    rawstattab1 = uitable('Parent',f1,'Data',input_raw_stat1,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
f1a = figure('Position',[110 290 1000 150]);
    tit = ['Normalized data statistics - FGAPP v1.0 - First dataset --- ' input_file1];
    set(f1a,'Name',tit);
    normstattab1 = uitable('Parent',f1a,'Data',output_norm_stat1,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
%% Second File            
    header = input_header2(1,6:81);
    rows = {'values'; 'maximum'; 'average'; 'minimum'};
    
f2 = figure('Position',[130 270 1000 150]);
    tit = ['Input data statistics - FGAPP v1.0 - Second dataset --- ' input_file2];
    set(f2,'Name',tit);
    rawstattab2 = uitable('Parent',f2,'Data',input_raw_stat2,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
f2a = figure('Position',[140 260 1000 150]);
    tit = ['Normalized data statistics - FGAPP v1.0 - Second dataset --- ' input_file2];
    set(f2a,'Name',tit);
    normstattab2 = uitable('Parent',f2a,'Data',output_norm_stat2,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
%% Third File            
    header = input_header3(1,6:81);
    rows = {'values'; 'maximum'; 'average'; 'minimum'};
    
f3 = figure('Position',[160 240 1000 150]);
    tit = ['Input data statistics - FGAPP v1.0 - Third dataset --- ' input_file3];
    set(f3,'Name',tit);
    rawstattab3 = uitable('Parent',f3,'Data',input_raw_stat3,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
f3a = figure('Position',[170 230 1000 150]);
    tit = ['Normalized data statistics - FGAPP v1.0 - Third dataset --- ' input_file3];
    set(f3a,'Name',tit);
    normstattab3 = uitable('Parent',f3a,'Data',output_norm_stat3,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
%% Fourth File            
    header = input_header4(1,6:81);
    rows = {'values'; 'maximum'; 'average'; 'minimum'};
    
f4 = figure('Position',[190 210 1000 150]);
    tit = ['Input data statistics - FGAPP v1.0 - Fourth dataset --- ' input_file4];
    set(f4,'Name',tit);
    rawstattab4 = uitable('Parent',f4,'Data',input_raw_stat3,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
f4a = figure('Position',[200 200 1000 150]);
    tit = ['Normalized data statistics - FGAPP v1.0 - Fourth dataset --- ' input_file4];
    set(f4a,'Name',tit);
    normstattab4 = uitable('Parent',f4a,'Data',output_norm_stat4,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
    %% clear data
clear tit header rows h b f1 f1a f2 f2a f3 f3a f4 f4a
clear rawstattab1 normstattab1 rawstattab2 normstattab2 rawstattab3 normstattab3 rawstattab4 normstattab4