%% Runs normalization
    cd(folder_norm)
    normalization1
    cd(folder_plot)

%% Create tables for first dataset

% Create column and row names
header1 = input_header1(1,1:5);
header2 = {'SiO2 [mol.%]' 'TiO2 [mol.%]' 'Al2O3 [mol.%]' 'Fe2O3 [mol.%]' 'MnO [mol.%]' 'MgO [mol.%]' 'CaO [mol.%]' 'Na2O [mol.%]' 'K2O [mol.%]' 'P2O5 [mol.%]' 'Total [mol.%]'};
header3 = [header1 header2];
rows = {'values'; 'maximum'; 'average'; 'minimum'};

f1 = figure('Position',[100 300 1000 500]);
    tit = ['Molar values - FGAPP v1.0 - First dataset --- ' input_file1];
    set(f1,'Name',tit);
    input_tab1 = cat(2,input_comments1,num2cell(output_molar1));
    moltab1 = uitable('Parent',f1,'Data',input_tab1,'RowName',input_samples1,'ColumnName',header3,'Position',[0 0 1000 500]);
    
f1a = figure('Position',[100 300 1000 500]);
    tit = ['Molar statistics - FGAPP v1.0 - First dataset --- ' input_file1];
    set(f1a,'Name',tit);
    moltab1a = uitable('Parent',f1a,'Data',output_molar_stat1,'RowName',rows,'ColumnName',header2,'Position',[0 0 1000 500]);
    
%% Clear data
clear tit header1 header2 header3 rows f1 f1a
clear moltab1 moltab1a
clear input_tab1