    %% File Input - 1 dataset 
    cd ..
    close
    folder_prog = pwd;
    folder_plot = [folder_prog '\bin'];
    folder_norm = [folder_prog '\norm'];


    % Opens dialog box for single input-file
[input_file1, input_path1] = uigetfile({'*.xlsx';'*.xls';'*.*'},...
                                        'Select Excel-Spreadsheet - FastGAPP v1.0');
                     
    %% Reads data of the file into MATLAB-Workspace
    tic
    Status = 'Reading data...'
    Date  = datestr(clock)
    input_path_file1 = [input_path1 input_file1];
[input_dat1, ~,input_raw1] = xlsread(input_path_file1);
    Status = '...finished reading...'
    Date  = datestr(clock)
    toc
    
    %% Runs normalization
    tic
    Status = '...normalizing data...'
    Date  = datestr(clock)
    input_norm1n = '\norm\normalization1.m'; input_norm1n = [folder_prog input_norm1n];
run(input_norm1n)
    Status = '...finished normalization...'
    Date  = datestr(clock)
    toc
    
    %% Starts Main Window
    tic
    Status = '...opening Main Window'
    Date  = datestr(clock)
    input_mw1 = '\main_window\mainwindow1.m'; input_mw1 = [folder_prog input_mw1];
run(input_mw1)
    Status = '...finished!'
    Date  = datestr(clock)
    toc
    
    %% Clear data
    clear Status Date
    clear input_path1 input_mw1
    
    %% Change to Plots Directory
    cd(folder_plot)