    %% File Input - 2 datastets
    cd ..
    close
    folder_prog = pwd;
    folder_plot = [folder_prog '\bin'];
    folder_norm = [folder_prog '\norm'];

        
    % Opens dialog box for first input-file
[input_file1, input_path1] = uigetfile({'*.xlsx';'*.xls';'*.*'},...
                                        'Select first Excel-Spreadsheet - FGAPP v1.0');
    % Opens dialog box for second input-file
[input_file2, input_path2] = uigetfile({'*.xlsx';'*.xls';'*.*'},...
                                        'Select second Excel-Spreadsheet - FGAPP v1.0');
                                  
	%% Reads of file into MATLAB-Workspace  
    tic
    Status = 'Reading data...'
    Date  = datestr(clock)
    input_path_file1 = [input_path1 input_file1];
[input_dat1, ~,input_raw1] = xlsread(input_path_file1);
    input_path_file2 = [input_path2 input_file2];
[input_dat2, ~,input_raw2] = xlsread(input_path_file2);
    Status = '...finished reading...'
    Date  = datestr(clock)
    toc
    
     %% Runs normalization
    tic
    Status = '...normalizing data...'
    Date  = datestr(clock)
    input_norm1n = '\norm\normalization1.m'; input_norm1n = [folder_prog input_norm1n];
run(input_norm1n)
    input_norm2n = '\norm\normalization2.m'; input_norm2n = [folder_prog input_norm2n];
run(input_norm2n)
    Status = '...finished normalization...'
    Date  = datestr(clock)
    toc
    
    %% Starts Main Window
    tic
    Status = '...opening Main Window'
    Date  = datestr(clock)
    input_mw2 = '\main_window\mainwindow2.m'; input_mw2 = [folder_prog input_mw2];
run(input_mw2)
    Status = '...finished!'
    Date  = datestr(clock)
    toc  
    
    %% Clear data
    clear Status Date
    clear input_path1 input_path2 input_mw2
    
    %% Change to Plots Directory
    cd(folder_plot)