%% Create statistics
% Calculate the sum and mean of given elements in the third dataset and determines
% minumum and maximum

%% Input Statistics - Third dataset
    input_raw_stat3 = cat(2,...
                        [sum(isfinite(1./r3SiO2)); max(r3SiO2); mean(r3SiO2(isfinite(r3SiO2))); min(r3SiO2)],...
                        [sum(isfinite(1./r3TiO2)); max(r3TiO2); mean(r3TiO2(isfinite(r3TiO2))); min(r3TiO2)],...
                        [sum(isfinite(1./r3Al2O3)); max(r3Al2O3); mean(r3Al2O3(isfinite(r3Al2O3))); min(r3Al2O3)],...
                        [sum(isfinite(1./r3Fe2O3)); max(r3Fe2O3); mean(r3Fe2O3(isfinite(r3Fe2O3))); min(r3Fe2O3)],...
                        [sum(isfinite(1./r3MnO)); max(r3MnO); mean(r3MnO(isfinite(r3MnO))); min(r3MnO)],...
                        [sum(isfinite(1./r3MgO)); max(r3MgO); mean(r3MgO(isfinite(r3MgO))); min(r3MgO)],...
                        [sum(isfinite(1./r3CaO)); max(r3CaO); mean(r3CaO(isfinite(r3CaO))); min(r3CaO)],...
                        [sum(isfinite(1./r3Na2O)); max(r3Na2O); mean(r3Na2O(isfinite(r3Na2O))); min(r3Na2O)],...
                        [sum(isfinite(1./r3K2O)); max(r3K2O); mean(r3K2O(isfinite(r3K2O))); min(r3K2O)],...
                        [sum(isfinite(1./r3P2O5)); max(r3P2O5); mean(r3P2O5(isfinite(r3P2O5))); min(r3P2O5)],...
                        [sum(isfinite(1./r3SO3)); max(r3SO3); mean(r3SO3(isfinite(r3SO3))); min(r3SO3)],...
                        [sum(isfinite(1./r3Cl)); max(r3Cl); mean(r3Cl(isfinite(r3Cl))); min(r3Cl)],...
                        [sum(isfinite(1./r3F)); max(r3F); mean(r3F(isfinite(r3F))); min(r3F)],...
                        [sum(isfinite(1./r3H2O)); max(r3H2O); mean(r3H2O(isfinite(r3H2O))); min(r3H2O)],...
                        [sum(isfinite(1./r3CO2)); max(r3CO2); mean(r3CO2(isfinite(r3CO2))); min(r3CO2)],... 
                        [sum(isfinite(1./r3LOI)); max(r3LOI); mean(r3LOI(isfinite(r3LOI))); min(r3LOI)],...
                        [sum(isfinite(1./r3totalLOI)); max(r3totalLOI); mean(r3totalLOI(isfinite(r3totalLOI))); min(r3totalLOI)],...
                        [sum(isfinite(1./r3Ag)); max(r3Ag); mean(r3Ag(isfinite(r3Ag))); min(r3Ag)],...
                        [sum(isfinite(1./r3As)); max(r3As); mean(r3As(isfinite(r3As))); min(r3As)],...
                        [sum(isfinite(1./r3Au)); max(r3Au); mean(r3As(isfinite(r3As))); min(r3Au)],...
                        [sum(isfinite(1./r3B )); max(r3B ); mean(r3B (isfinite(r3B ))); min(r3B )],...
                        [sum(isfinite(1./r3Ba)); max(r3Ba); mean(r3Ba(isfinite(r3Ba))); min(r3Ba)],...
                        [sum(isfinite(1./r3Be)); max(r3Be); mean(r3Be(isfinite(r3Be))); min(r3Be)],...
                        [sum(isfinite(1./r3Bi)); max(r3Bi); mean(r3Bi(isfinite(r3Bi))); min(r3Bi)],...
                        [sum(isfinite(1./r3Cd)); max(r3Cd); mean(r3Cd(isfinite(r3Cd))); min(r3Cd)],...
                        [sum(isfinite(1./r3Co)); max(r3Co); mean(r3Co(isfinite(r3Co))); min(r3Co)],...
                        [sum(isfinite(1./r3Cr)); max(r3Cr); mean(r3Cr(isfinite(r3Cr))); min(r3Cr)],...
                        [sum(isfinite(1./r3Cs)); max(r3Cs); mean(r3Cs(isfinite(r3Cs))); min(r3Cs)],...
                        [sum(isfinite(1./r3Cu)); max(r3Cu); mean(r3Cu(isfinite(r3Cu))); min(r3Cu)],...
                        [sum(isfinite(1./r3Ga)); max(r3Ga); mean(r3Ga(isfinite(r3Ga))); min(r3Ga)],...
                        [sum(isfinite(1./r3Ge)); max(r3Ge); mean(r3Ge(isfinite(r3Ge))); min(r3Ge)],...
                        [sum(isfinite(1./r3Hf)); max(r3Hf); mean(r3Hf(isfinite(r3Hf))); min(r3Hf)],...
                        [sum(isfinite(1./r3Hg)); max(r3Hg); mean(r3Hg(isfinite(r3Hg))); min(r3Hg)],...
                        [sum(isfinite(1./r3In)); max(r3In); mean(r3In(isfinite(r3In))); min(r3In)],...
                        [sum(isfinite(1./r3Li)); max(r3Li); mean(r3Li(isfinite(r3Li))); min(r3Li)],...
                        [sum(isfinite(1./r3Mo)); max(r3Mo); mean(r3Mo(isfinite(r3Mo))); min(r3Mo)],...
                        [sum(isfinite(1./r3Nb)); max(r3Nb); mean(r3Nb(isfinite(r3Nb))); min(r3Nb)],...
                        [sum(isfinite(1./r3Ni)); max(r3Ni); mean(r3Ni(isfinite(r3Ni))); min(r3Ni)],...
                        [sum(isfinite(1./r3Pb)); max(r3Pb); mean(r3Pb(isfinite(r3Pb))); min(r3Pb)],...
                        [sum(isfinite(1./r3Rb)); max(r3Rb); mean(r3Rb(isfinite(r3Rb))); min(r3Rb)],...
                        [sum(isfinite(1./r3Re)); max(r3Re); mean(r3Re(isfinite(r3Re))); min(r3Re)],...
                        [sum(isfinite(1./r3Sb)); max(r3Sb); mean(r3Sb(isfinite(r3Sb))); min(r3Sb)],...
                        [sum(isfinite(1./r3Sc)); max(r3Sc); mean(r3Sc(isfinite(r3Sc))); min(r3Sc)],...
                        [sum(isfinite(1./r3Se)); max(r3Se); mean(r3Se(isfinite(r3Se))); min(r3Se)],...
                        [sum(isfinite(1./r3Sn)); max(r3Sn); mean(r3Sn(isfinite(r3Sn))); min(r3Sn)],...
                        [sum(isfinite(1./r3Sr)); max(r3Sr); mean(r3Sr(isfinite(r3Sr))); min(r3Sr)],...
                        [sum(isfinite(1./r3Ta)); max(r3Ta); mean(r3Ta(isfinite(r3Ta))); min(r3Ta)],...
                        [sum(isfinite(1./r3Te)); max(r3Te); mean(r3Te(isfinite(r3Te))); min(r3Te)],...
                        [sum(isfinite(1./r3Th)); max(r3Th); mean(r3Th(isfinite(r3Th))); min(r3Th)],...
                        [sum(isfinite(1./r3Tl)); max(r3Tl); mean(r3Tl(isfinite(r3Tl))); min(r3Tl)],...
                        [sum(isfinite(1./r3U));  max(r3U);  mean(r3U(isfinite(r3U)));   min(r3U)],...
                        [sum(isfinite(1./r3V));  max(r3V);  mean(r3V(isfinite(r3V)));   min(r3V)],...
                        [sum(isfinite(1./r3W));  max(r3W);  mean(r3W(isfinite(r3W)));   min(r3W)],...
                        [sum(isfinite(1./r3Y));  max(r3Y);  mean(r3Y(isfinite(r3Y)));   min(r3Y)],...
                        [sum(isfinite(1./r3Zn)); max(r3Zn); mean(r3Zn(isfinite(r3Zn))); min(r3Zn)],...
                        [sum(isfinite(1./r3Zr)); max(r3Zr); mean(r3Zr(isfinite(r3Zr))); min(r3Zr)],...
                        [sum(isfinite(1./r3Ru)); max(r3Ru); mean(r3Ru(isfinite(r3Ru))); min(r3Ru)],...
                        [sum(isfinite(1./r3Rh)); max(r3Rh); mean(r3Rh(isfinite(r3Rh))); min(r3Rh)],...
                        [sum(isfinite(1./r3Pd)); max(r3Pd); mean(r3Pd(isfinite(r3Pd))); min(r3Pd)],...
                        [sum(isfinite(1./r3Os)); max(r3Os); mean(r3Os(isfinite(r3Os))); min(r3Os)],...
                        [sum(isfinite(1./r3Ir)); max(r3Ir); mean(r3Ir(isfinite(r3Ir))); min(r3Ir)],...
                        [sum(isfinite(1./r3Pt)); max(r3Pt); mean(r3Pt(isfinite(r3Pt))); min(r3Pt)],...
                        [sum(isfinite(1./r3La)); max(r3La); mean(r3La(isfinite(r3La))); min(r3La)],...
                        [sum(isfinite(1./r3Ce)); max(r3Ce); mean(r3Ce(isfinite(r3Ce))); min(r3Ce)],...
                        [sum(isfinite(1./r3Pr)); max(r3Pr); mean(r3Pr(isfinite(r3Pr))); min(r3Pr)],...
                        [sum(isfinite(1./r3Nd)); max(r3Nd); mean(r3Nd(isfinite(r3Nd))); min(r3Nd)],...
                        [sum(isfinite(1./r3Sm)); max(r3Sm); mean(r3Sm(isfinite(r3Sm))); min(r3Sm)],...
                        [sum(isfinite(1./r3Eu)); max(r3Eu); mean(r3Eu(isfinite(r3Eu))); min(r3Eu)],...
                        [sum(isfinite(1./r3Gd)); max(r3Gd); mean(r3Gd(isfinite(r3Gd))); min(r3Gd)],...
                        [sum(isfinite(1./r3Tb)); max(r3Tb); mean(r3Tb(isfinite(r3Tb))); min(r3Tb)],...
                        [sum(isfinite(1./r3Dy)); max(r3Dy); mean(r3Dy(isfinite(r3Dy))); min(r3Dy)],...
                        [sum(isfinite(1./r3Ho)); max(r3Ho); mean(r3Ho(isfinite(r3Ho))); min(r3Ho)],...
                        [sum(isfinite(1./r3Er)); max(r3Er); mean(r3Er(isfinite(r3Er))); min(r3Er)],...
                        [sum(isfinite(1./r3Tm)); max(r3Tm); mean(r3Tm(isfinite(r3Tm))); min(r3Tm)],...
                        [sum(isfinite(1./r3Yb)); max(r3Yb); mean(r3Yb(isfinite(r3Yb))); min(r3Yb)],...
                        [sum(isfinite(1./r3Lu)); max(r3Lu); mean(r3Lu(isfinite(r3Lu))); min(r3Lu)]);
% Turn zeros to NaN's     
input_raw_stat3(isnan(0./input_raw_stat3)) = NaN;
                    
%% Normalized Statistics - Third dataset
    output_norm_stat3 = cat(2,...
                        [sum(isfinite(1./n3SiO2)); max(n3SiO2); mean(n3SiO2(isfinite(n3SiO2))); min(n3SiO2)],...
                        [sum(isfinite(1./n3TiO2)); max(n3TiO2); mean(n3TiO2(isfinite(n3TiO2))); min(n3TiO2)],...
                        [sum(isfinite(1./n3Al2O3)); max(n3Al2O3); mean(n3Al2O3(isfinite(n3Al2O3))); min(n3Al2O3)],...
                        [sum(isfinite(1./n3Fe2O3)); max(n3Fe2O3); mean(n3Fe2O3(isfinite(n3Fe2O3))); min(n3Fe2O3)],...
                        [sum(isfinite(1./n3MnO)); max(n3MnO); mean(n3MnO(isfinite(n3MnO))); min(n3MnO)],...
                        [sum(isfinite(1./n3MgO)); max(n3MgO); mean(n3MgO(isfinite(n3MgO))); min(n3MgO)],...
                        [sum(isfinite(1./n3CaO)); max(n3CaO); mean(n3CaO(isfinite(n3CaO))); min(n3CaO)],...
                        [sum(isfinite(1./n3Na2O)); max(n3Na2O); mean(n3Na2O(isfinite(n3Na2O))); min(n3Na2O)],...
                        [sum(isfinite(1./n3K2O)); max(n3K2O); mean(n3K2O(isfinite(n3K2O))); min(n3K2O)],...
                        [sum(isfinite(1./n3P2O5)); max(n3P2O5); mean(n3P2O5(isfinite(n3P2O5))); min(n3P2O5)],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [sum(isfinite(1./n3total)); max(n3total); mean(n3total(isfinite(n3total))); min(n3total)],...
                        [sum(isfinite(1./n3Ag)); max(n3Ag); mean(n3Ag(isfinite(n3Ag))); min(n3Ag)],...
                        [sum(isfinite(1./n3As)); max(n3As); mean(n3As(isfinite(n3As))); min(n3As)],...
                        [sum(isfinite(1./n3Au)); max(n3Au); mean(n3Au(isfinite(n3Au))); min(n3Au)],...
                        [sum(isfinite(1./n3B )); max(n3B ); mean(n3B (isfinite(n3B ))); min(n3B )],...
                        [sum(isfinite(1./n3Ba)); max(n3Ba); mean(n3Ba(isfinite(n3Ba))); min(n3Ba)],...
                        [sum(isfinite(1./n3Be)); max(n3Be); mean(n3Be(isfinite(n3Be))); min(n3Be)],...
                        [sum(isfinite(1./n3Bi)); max(n3Bi); mean(n3Bi(isfinite(n3Bi))); min(n3Bi)],...
                        [sum(isfinite(1./n3Cd)); max(n3Cd); mean(n3Cd(isfinite(n3Cd))); min(n3Cd)],...
                        [sum(isfinite(1./n3Co)); max(n3Co); mean(n3Co(isfinite(n3Co))); min(n3Co)],...
                        [sum(isfinite(1./n3Cr)); max(n3Cr); mean(n3Cr(isfinite(n3Cr))); min(n3Cr)],...
                        [sum(isfinite(1./n3Cs)); max(n3Cs); mean(n3Cs(isfinite(n3Cs))); min(n3Cs)],...
                        [sum(isfinite(1./n3Cu)); max(n3Cu); mean(n3Cu(isfinite(n3Cu))); min(n3Cu)],...
                        [sum(isfinite(1./n3Ga)); max(n3Ga); mean(n3Ga(isfinite(n3Ga))); min(n3Ga)],...
                        [sum(isfinite(1./n3Ge)); max(n3Ge); mean(n3Ge(isfinite(n3Ge))); min(n3Ge)],...
                        [sum(isfinite(1./n3Hf)); max(n3Hf); mean(n3Hf(isfinite(n3Hf))); min(n3Hf)],...
                        [sum(isfinite(1./n3Hg)); max(n3Hg); mean(n3Hg(isfinite(n3Hg))); min(n3Hg)],...
                        [sum(isfinite(1./n3In)); max(n3In); mean(n3In(isfinite(n3In))); min(n3In)],...
                        [sum(isfinite(1./n3Li)); max(n3Li); mean(n3Li(isfinite(n3Li))); min(n3Li)],...
                        [sum(isfinite(1./n3Mo)); max(n3Mo); mean(n3Mo(isfinite(n3Mo))); min(n3Mo)],...
                        [sum(isfinite(1./n3Nb)); max(n3Nb); mean(n3Nb(isfinite(n3Nb))); min(n3Nb)],...
                        [sum(isfinite(1./n3Ni)); max(n3Ni); mean(n3Ni(isfinite(n3Ni))); min(n3Ni)],...
                        [sum(isfinite(1./n3Pb)); max(n3Pb); mean(n3Pb(isfinite(n3Pb))); min(n3Pb)],...
                        [sum(isfinite(1./n3Rb)); max(n3Rb); mean(n3Rb(isfinite(n3Rb))); min(n3Rb)],...
                        [sum(isfinite(1./n3Re)); max(n3Re); mean(n3Re(isfinite(n3Re))); min(n3Re)],...
                        [sum(isfinite(1./n3Sb)); max(n3Sb); mean(n3Sb(isfinite(n3Sb))); min(n3Sb)],...
                        [sum(isfinite(1./n3Sc)); max(n3Sc); mean(n3Sc(isfinite(n3Sc))); min(n3Sc)],...
                        [sum(isfinite(1./n3Se)); max(n3Se); mean(n3Se(isfinite(n3Se))); min(n3Se)],...
                        [sum(isfinite(1./n3Sn)); max(n3Sn); mean(n3Sn(isfinite(n3Sn))); min(n3Sn)],...
                        [sum(isfinite(1./n3Sr)); max(n3Sr); mean(n3Sr(isfinite(n3Sr))); min(n3Sr)],...
                        [sum(isfinite(1./n3Ta)); max(n3Ta); mean(n3Ta(isfinite(n3Ta))); min(n3Ta)],...
                        [sum(isfinite(1./n3Te)); max(n3Te); mean(n3Te(isfinite(n3Te))); min(n3Te)],...
                        [sum(isfinite(1./n3Th)); max(n3Th); mean(n3Th(isfinite(n3Th))); min(n3Th)],...
                        [sum(isfinite(1./n3Tl)); max(n3Tl); mean(n3Tl(isfinite(n3Tl))); min(n3Tl)],...
                        [sum(isfinite(1./n3U)); max(n3U); mean(n3U(isfinite(n3U))); min(n3U)],...
                        [sum(isfinite(1./n3V)); max(n3V); mean(n3V(isfinite(n3V))); min(n3V)],...
                        [sum(isfinite(1./n3W)); max(n3W); mean(n3W(isfinite(n3W))); min(n3W)],...
                        [sum(isfinite(1./n3Y)); max(n3Y); mean(n3Y(isfinite(n3Y))); min(n3Y)],...
                        [sum(isfinite(1./n3Zn)); max(n3Zn); mean(n3Zn(isfinite(n3Zn))); min(n3Zn)],...
                        [sum(isfinite(1./n3Zr)); max(n3Zr); mean(n3Zr(isfinite(n3Zr))); min(n3Zr)],...
                        [sum(isfinite(1./n3Ru)); max(n3Ru); mean(n3Ru(isfinite(n3Ru))); min(n3Ru)],...
                        [sum(isfinite(1./n3Rh)); max(n3Rh); mean(n3Rh(isfinite(n3Rh))); min(n3Rh)],...
                        [sum(isfinite(1./n3Pd)); max(n3Pd); mean(n3Pd(isfinite(n3Pd))); min(n3Pd)],...
                        [sum(isfinite(1./n3Os)); max(n3Os); mean(n3Os(isfinite(n3Os))); min(n3Os)],...
                        [sum(isfinite(1./n3Ir)); max(n3Ir); mean(n3Ir(isfinite(n3Ir))); min(n3Ir)],...
                        [sum(isfinite(1./n3Pt)); max(n3Pt); mean(n3Pt(isfinite(n3Pt))); min(n3Pt)],...
                        [sum(isfinite(1./n3La)); max(n3La); mean(n3La(isfinite(n3La))); min(n3La)],...
                        [sum(isfinite(1./n3Ce)); max(n3Ce); mean(n3Ce(isfinite(n3Ce))); min(n3Ce)],...
                        [sum(isfinite(1./n3Pr)); max(n3Pr); mean(n3Pr(isfinite(n3Pr))); min(n3Pr)],...
                        [sum(isfinite(1./n3Nd)); max(n3Nd); mean(n3Nd(isfinite(n3Nd))); min(n3Nd)],...
                        [sum(isfinite(1./n3Sm)); max(n3Sm); mean(n3Sm(isfinite(n3Sm))); min(n3Sm)],...
                        [sum(isfinite(1./n3Eu)); max(n3Eu); mean(n3Eu(isfinite(n3Eu))); min(n3Eu)],...
                        [sum(isfinite(1./n3Gd)); max(n3Gd); mean(n3Gd(isfinite(n3Gd))); min(n3Gd)],...
                        [sum(isfinite(1./n3Tb)); max(n3Tb); mean(n3Tb(isfinite(n3Tb))); min(n3Tb)],...
                        [sum(isfinite(1./n3Dy)); max(n3Dy); mean(n3Dy(isfinite(n3Dy))); min(n3Dy)],...
                        [sum(isfinite(1./n3Ho)); max(n3Ho); mean(n3Ho(isfinite(n3Ho))); min(n3Ho)],...
                        [sum(isfinite(1./n3Er)); max(n3Er); mean(n3Er(isfinite(n3Er))); min(n3Er)],...
                        [sum(isfinite(1./n3Tm)); max(n3Tm); mean(n3Tm(isfinite(n3Tm))); min(n3Tm)],...
                        [sum(isfinite(1./n3Yb)); max(n3Yb); mean(n3Yb(isfinite(n3Yb))); min(n3Yb)],...
                        [sum(isfinite(1./n3Lu)); max(n3Lu); mean(n3Lu(isfinite(n3Lu))); min(n3Lu)]);
% Turn zeros to NaN's
output_norm_stat3(isnan(0./output_norm_stat3)) = NaN;