%% Write normalized data to Excel to "Output-Normalized"-Tab

% Run normalization
    cd(folder_norm)
    normalization1
    normalization2
    cd(folder_plot)

% Create lables
    header1 = input_header1(1,1:5);
    header2 = {'SiO2 [mol.%]' 'TiO2 [mol.%]' 'Al2O3 [mol.%]' 'Fe2O3 [mol.%]' 'MnO [mol.%]' 'MgO [mol.%]' 'CaO [mol.%]' 'Na2O [mol.%]' 'K2O [mol.%]' 'P2O5 [mol.%]' 'Total [mol.%]'};
    rows    = {'Values'; 'maximum'; 'average'; 'minimum'};
    
%% Writing first file
xlswrite(input_path_file1,header1,           'Molar-Values',     'B1')
xlswrite(input_path_file1,header2,           'Molar-Values',     'G1')
xlswrite(input_path_file1,input_samples1,    'Molar-Values',     'A2')
xlswrite(input_path_file1,output_molar1,     'Molar-Values',     'G2')
xlswrite(input_path_file1,input_comments1,   'Molar-Values',     'B2')

xlswrite(input_path_file1,header2,           'Molar-Statistics', 'B1')
xlswrite(input_path_file1,rows,              'Molar-Statistics', 'A2')
xlswrite(input_path_file1,output_molar_stat1,'Molar-Statistics', 'B2')

%% Writing second file
xlswrite(input_path_file2,header1,           'Molar-Values',     'B1')
xlswrite(input_path_file2,header2,           'Molar-Values',     'G1')
xlswrite(input_path_file2,input_samples2,    'Molar-Values',     'A2')
xlswrite(input_path_file2,output_molar2,     'Molar-Values',     'G2')
xlswrite(input_path_file2,input_comments2,   'Molar-Values',     'B2')

xlswrite(input_path_file2,header2,           'Molar-Statistics', 'B1')
xlswrite(input_path_file2,rows,              'Molar-Statistics', 'A2')
xlswrite(input_path_file2,output_molar_stat2,'Molar-Statistics', 'B2')

%% Clear data
clear header1 header2 rows
