%% In this script the input variables from the PLOT-O-MAT are handled. 
% More variables are planned for future versions!

%% Declares variables to be global
global handles3
global xvalues1 yvalues1 zvalues1 tvalues1
global xvalues2 yvalues2 zvalues2 tvalues2
global xvalues3 yvalues3 zvalues3 tvalues3

%% 1st dataset handles of x-numerators

% Handles of first factor
facx11 = get(findobj('Tag','facx01'),'Value');
if facx11 == 1
    xvalues1.xfact11 = 1;
    elseif facx11 == 2
    xvalues1.xfact11 = 0.1;
    elseif facx11 == 3
    xvalues1.xfact11 = 0.01;
    elseif facx11 == 4
    xvalues1.xfact11 = 0.001;
    elseif facx11 == 5
    xvalues1.xfact11 = 0.0001;
    elseif facx11 == 6    
    xvalues1.xfact11 = 10;
    elseif facx11 == 7
    xvalues1.xfact11 = 100;
    elseif facx11 == 8
    xvalues1.xfact11 = 1000;
    else
    xvalues1.xfact11 = 10000;
end

% Handles of second factor
facx12 = get(findobj('Tag','facx02'),'Value');
if facx12 == 1
    xvalues1.xfact12 = 1;
    elseif facx12 == 2
    xvalues1.xfact12 = 2;
    elseif facx12 == 3
    xvalues1.xfact12 = 3;
    elseif facx12 == 4
    xvalues1.xfact12 = 4;
    elseif facx12 == 5
    xvalues1.xfact12 = 5;
    elseif facx12 == 6
    xvalues1.xfact12 = 6;
    elseif facx12 == 7
    xvalues1.xfact12 = 7;
    elseif facx12 == 8
    xvalues1.xfact12 = 8;
    elseif facx12 == 9
    xvalues1.xfact12 = 9;
    elseif facx12 == 10
    xvalues1.xfact12 = 10;
    elseif facx12 == 11
    xvalues1.xfact12 = 11;
    elseif facx12 == 12
    xvalues1.xfact12 = 12;
    elseif facx12 == 13
    xvalues1.xfact12 = 13;
    elseif facx12 == 14
    xvalues1.xfact12 = 14;
    elseif facx12 == 15
    xvalues1.xfact12 = 15;
    elseif facx12 == 16
    xvalues1.xfact12 = 16;
    elseif facx12 == 17
    xvalues1.xfact12 = 17;
    elseif facx12 == 18
    xvalues1.xfact12 = 18;
    elseif facx12 == 19
    xvalues1.xfact12 = 19;
    elseif facx12 == 20
    xvalues1.xfact12 = 20;
    elseif facx12 == 21
    xvalues1.xfact12 = 21;
    elseif facx12 == 22
    xvalues1.xfact12 = 22;
    elseif facx12 == 23
    xvalues1.xfact12 = 23;
    elseif facx12 == 24
    xvalues1.xfact12 = 24;
    else
    xvalues1.xfact12 = 25;
end

% Handles of input x-numerator
dat11 = get(findobj('Tag','popx01'),'Value');
if dat11 == 1
    xvalues1.xdata11 = 1;
    elseif dat11 == 2
    xvalues1.xdata11 = evalin('base','n1SiO2');
    elseif dat11 == 3
    xvalues1.xdata11 = evalin('base','n1TiO2');
    elseif dat11 == 4
    xvalues1.xdata11 = evalin('base','n1Al2O3');
    elseif dat11 == 5
    xvalues1.xdata11 = evalin('base','n1Fe2O3');
    elseif dat11 == 6
    xvalues1.xdata11 = evalin('base','n1MnO');
    elseif dat11 == 7
    xvalues1.xdata11 = evalin('base','n1MgO');
    elseif dat11 == 8
    xvalues1.xdata11 = evalin('base','n1CaO');
    elseif dat11 == 9
    xvalues1.xdata11 = evalin('base','n1Na2O');
    elseif dat11 == 10
    xvalues1.xdata11 = evalin('base','n1K2O');
    elseif dat11 == 11
    xvalues1.xdata11 = evalin('base','n1P2O5');
    elseif dat11 == 12
    xvalues1.xdata11 = evalin('base','n1Ag');
    elseif dat11 == 13
    xvalues1.xdata11 = evalin('base','n1As');
    elseif dat11 == 14
    xvalues1.xdata11 = evalin('base','n1Ba');
    elseif dat11 == 15
    xvalues1.xdata11 = evalin('base','n1Be');
    elseif dat11 == 16
    xvalues1.xdata11 = evalin('base','n1Bi');
    elseif dat11 == 17
    xvalues1.xdata11 = evalin('base','n1Cd');
    elseif dat11 == 18
    xvalues1.xdata11 = evalin('base','n1Co');
    elseif dat11 == 19
    xvalues1.xdata11 = evalin('base','n1Cr');
    elseif dat11 == 20
    xvalues1.xdata11 = evalin('base','n1Cs');
    elseif dat11 == 21
    xvalues1.xdata11 = evalin('base','n1Cu');
    elseif dat11 == 22
    xvalues1.xdata11 = evalin('base','n1Ga');
    elseif dat11 == 23
    xvalues1.xdata11 = evalin('base','n1Hf');
    elseif dat11 == 24
    xvalues1.xdata11 = evalin('base','n1In');
    elseif dat11 == 25
    xvalues1.xdata11 = evalin('base','n1Li');
    elseif dat11 == 26
    xvalues1.xdata11 = evalin('base','n1Mo');
    elseif dat11 == 27
    xvalues1.xdata11 = evalin('base','n1Nb');
    elseif dat11 == 28
    xvalues1.xdata11 = evalin('base','n1Ni');
    elseif dat11 == 29
    xvalues1.xdata11 = evalin('base','n1Pb');
    elseif dat11 == 30
    xvalues1.xdata11 = evalin('base','n1Rb');
    elseif dat11 == 31
    xvalues1.xdata11 = evalin('base','n1Sb');
    elseif dat11 == 32
    xvalues1.xdata11 = evalin('base','n1Sc');
    elseif dat11 == 33
    xvalues1.xdata11 = evalin('base','n1Sn');
    elseif dat11 == 34
    xvalues1.xdata11 = evalin('base','n1Sr');
    elseif dat11 == 35
    xvalues1.xdata11 = evalin('base','n1Ta');
    elseif dat11 == 36
    xvalues1.xdata11 = evalin('base','n1Tl');
    elseif dat11 == 37
    xvalues1.xdata11 = evalin('base','n1Th');
    elseif dat11 == 38
    xvalues1.xdata11 = evalin('base','n1U');
    elseif dat11 == 39
    xvalues1.xdata11 = evalin('base','n1V');
    elseif dat11 == 40
    xvalues1.xdata11 = evalin('base','n1W');
    elseif dat11 == 41
    xvalues1.xdata11 = evalin('base','n1Y');
    elseif dat11 == 42
    xvalues1.xdata11 = evalin('base','n1Zn');
    elseif dat11 == 43
    xvalues1.xdata11 = evalin('base','n1Zr');
    elseif dat11 == 44
    xvalues1.xdata11 = evalin('base','n1La');
    elseif dat11 == 45
    xvalues1.xdata11 = evalin('base','n1Ce');
    elseif dat11 == 46
    xvalues1.xdata11 = evalin('base','n1Pr');
    elseif dat11 == 47
    xvalues1.xdata11 = evalin('base','n1Nd');
    elseif dat11 == 48
    xvalues1.xdata11 = evalin('base','n1Sm');
    elseif dat11 == 49
    xvalues1.xdata11 = evalin('base','n1Eu');
    elseif dat11 == 50
    xvalues1.xdata11 = evalin('base','n1Gd');
    elseif dat11 == 51
    xvalues1.xdata11 = evalin('base','n1Tb');
    elseif dat11 == 52
    xvalues1.xdata11 = evalin('base','n1Dy');
    elseif dat11 == 53
    xvalues1.xdata11 = evalin('base','n1Ho');
    elseif dat11 == 54
    xvalues1.xdata11 = evalin('base','n1Er');
    elseif dat11 == 55
    xvalues1.xdata11 = evalin('base','n1Tm');
    elseif dat11 == 56
    xvalues1.xdata11 = evalin('base','n1Yb');
    else
    xvalues1.xdata11 = evalin('base','n1Lu');
end

%% 1st dataset handles of x-denominator

% Handles of first factor
facx13 = get(findobj('Tag','facx03'),'Value');
if facx13 == 1
    xvalues1.xfact13 = 1;
    elseif facx13 == 2
    xvalues1.xfact13 = 0.1;
    elseif facx13 == 3
    xvalues1.xfact13 = 0.01;
    elseif facx13 == 4
    xvalues1.xfact13 = 0.001;
    elseif facx13 == 5
    xvalues1.xfact13 = 0.0001;
    elseif facx13 == 6    
    xvalues1.xfact13 = 10;
    elseif facx13 == 7
    xvalues1.xfact13 = 100;
    elseif facx13 == 8
    xvalues1.xfact13 = 1000;
    else
    xvalues1.xfact13 = 10000;
end

% Handles of second factor
facx14 = get(findobj('Tag','facx04'),'Value');
if facx14 == 1
    xvalues1.xfact14 = 1;
    elseif facx14 == 2
    xvalues1.xfact14 = 2;
    elseif facx14 == 3
    xvalues1.xfact14 = 3;
    elseif facx14 == 4
    xvalues1.xfact14 = 4;
    elseif facx14 == 5
    xvalues1.xfact14 = 5;
    elseif facx14 == 6
    xvalues1.xfact14 = 6;
    elseif facx14 == 7
    xvalues1.xfact14 = 7;
    elseif facx14 == 8
    xvalues1.xfact14 = 8;
    elseif facx14 == 9
    xvalues1.xfact14 = 9;
    elseif facx14 == 10
    xvalues1.xfact14 = 10;
    elseif facx14 == 11
    xvalues1.xfact14 = 11;
    elseif facx14 == 12
    xvalues1.xfact14 = 12;
    elseif facx14 == 13
    xvalues1.xfact14 = 13;
    elseif facx14 == 14
    xvalues1.xfact14 = 14;
    elseif facx14 == 15
    xvalues1.xfact14 = 15;
    elseif facx14 == 16
    xvalues1.xfact14 = 16;
    elseif facx14 == 17
    xvalues1.xfact14 = 17;
    elseif facx14 == 18
    xvalues1.xfact14 = 18;
    elseif facx14 == 19
    xvalues1.xfact14 = 19;
    elseif facx14 == 20
    xvalues1.xfact14 = 20;
    elseif facx14 == 21
    xvalues1.xfact14 = 21;
    elseif facx14 == 22
    xvalues1.xfact14 = 22;
    elseif facx14 == 23
    xvalues1.xfact14 = 23;
    elseif facx14 == 24
    xvalues1.xfact14 = 24;
    else
    xvalues1.xfact14 = 25;
end

% Handles of input y-numerator
dat12 = get(findobj('Tag','popx02'),'Value');
if dat12 == 1
    xvalues1.xdata12 = 1;
    elseif dat12 == 2
    xvalues1.xdata12 = evalin('base','n1SiO2');
    elseif dat12 == 3
    xvalues1.xdata12 = evalin('base','n1TiO2');
    elseif dat12 == 4
    xvalues1.xdata12 = evalin('base','n1Al2O3');
    elseif dat12 == 5
    xvalues1.xdata12 = evalin('base','n1Fe2O3');
    elseif dat12 == 6
    xvalues1.xdata12 = evalin('base','n1MnO');
    elseif dat12 == 7
    xvalues1.xdata12 = evalin('base','n1MgO');
    elseif dat12 == 8
    xvalues1.xdata12 = evalin('base','n1CaO');
    elseif dat12 == 9
    xvalues1.xdata12 = evalin('base','n1Na2O');
    elseif dat12 == 10
    xvalues1.xdata12 = evalin('base','n1K2O');
    elseif dat12 == 11
    xvalues1.xdata12 = evalin('base','n1P2O5');
    elseif dat12 == 12
    xvalues1.xdata12 = evalin('base','n1Ag');
    elseif dat12 == 13
    xvalues1.xdata12 = evalin('base','n1As');
    elseif dat12 == 14
    xvalues1.xdata12 = evalin('base','n1Ba');
    elseif dat12 == 15
    xvalues1.xdata12 = evalin('base','n1Be');
    elseif dat12 == 16
    xvalues1.xdata12 = evalin('base','n1Bi');
    elseif dat12 == 17
    xvalues1.xdata12 = evalin('base','n1Cd');
    elseif dat12 == 18
    xvalues1.xdata12 = evalin('base','n1Co');
    elseif dat12 == 19
    xvalues1.xdata12 = evalin('base','n1Cr');
    elseif dat12 == 20
    xvalues1.xdata12 = evalin('base','n1Cs');
    elseif dat12 == 21
    xvalues1.xdata12 = evalin('base','n1Cu');
    elseif dat12 == 22
    xvalues1.xdata12 = evalin('base','n1Ga');
    elseif dat12 == 23
    xvalues1.xdata12 = evalin('base','n1Hf');
    elseif dat12 == 24
    xvalues1.xdata12 = evalin('base','n1In');
    elseif dat12 == 25
    xvalues1.xdata12 = evalin('base','n1Li');
    elseif dat12 == 26
    xvalues1.xdata12 = evalin('base','n1Mo');
    elseif dat12 == 27
    xvalues1.xdata12 = evalin('base','n1Nb');
    elseif dat12 == 28
    xvalues1.xdata12 = evalin('base','n1Ni');
    elseif dat12 == 29
    xvalues1.xdata12 = evalin('base','n1Pb');
    elseif dat12 == 30
    xvalues1.xdata12 = evalin('base','n1Rb');
    elseif dat12 == 31
    xvalues1.xdata12 = evalin('base','n1Sb');
    elseif dat12 == 32
    xvalues1.xdata12 = evalin('base','n1Sc');
    elseif dat12 == 33
    xvalues1.xdata12 = evalin('base','n1Sn');
    elseif dat12 == 34
    xvalues1.xdata12 = evalin('base','n1Sr');
    elseif dat12 == 35
    xvalues1.xdata12 = evalin('base','n1Ta');
    elseif dat12 == 36
    xvalues1.xdata12 = evalin('base','n1Tl');
    elseif dat12 == 37
    xvalues1.xdata12 = evalin('base','n1Th');
    elseif dat12 == 38
    xvalues1.xdata12 = evalin('base','n1U');
    elseif dat12 == 39
    xvalues1.xdata12 = evalin('base','n1V');
    elseif dat12 == 40
    xvalues1.xdata12 = evalin('base','n1W');
    elseif dat12 == 41
    xvalues1.xdata12 = evalin('base','n1Y');
    elseif dat12 == 42
    xvalues1.xdata12 = evalin('base','n1Zn');
    elseif dat12 == 43
    xvalues1.xdata12 = evalin('base','n1Zr');
    elseif dat12 == 44
    xvalues1.xdata12 = evalin('base','n1La');
    elseif dat12 == 45
    xvalues1.xdata12 = evalin('base','n1Ce');
    elseif dat12 == 46
    xvalues1.xdata12 = evalin('base','n1Pr');
    elseif dat12 == 47
    xvalues1.xdata12 = evalin('base','n1Nd');
    elseif dat12 == 48
    xvalues1.xdata12 = evalin('base','n1Sm');
    elseif dat12 == 49
    xvalues1.xdata12 = evalin('base','n1Eu');
    elseif dat12 == 50
    xvalues1.xdata12 = evalin('base','n1Gd');
    elseif dat12 == 51
    xvalues1.xdata12 = evalin('base','n1Tb');
    elseif dat12 == 52
    xvalues1.xdata12 = evalin('base','n1Dy');
    elseif dat12 == 53
    xvalues1.xdata12 = evalin('base','n1Ho');
    elseif dat12 == 54
    xvalues1.xdata12 = evalin('base','n1Er');
    elseif dat12 == 55
    xvalues1.xdata12 = evalin('base','n1Tm');
    elseif dat12 == 56
    xvalues1.xdata12 = evalin('base','n1Yb');
    else
    xvalues1.xdata12 = evalin('base','n1Lu');
end

%% 1st dataset handles of y-numerators

% Handles of first factor
facy11 = get(findobj('Tag','facy01'),'Value');
if facy11 == 1
    yvalues1.yfact11 = 1;
    elseif facy11 == 2
    yvalues1.yfact11 = 0.1;
    elseif facy11 == 3
    yvalues1.yfact11 = 0.01;
    elseif facy11 == 4
    yvalues1.yfact11 = 0.001;
    elseif facy11 == 5
    yvalues1.yfact11 = 0.0001;
    elseif facy11 == 6    
    yvalues1.yfact11 = 10;
    elseif facy11 == 7
    yvalues1.yfact11 = 100;
    elseif facy11 == 8
    yvalues1.yfact11 = 1000;
    else
    yvalues1.yfact11 = 10000;
end

% Handles of second factor
facy12 = get(findobj('Tag','facy02'),'Value');
if facy12 == 1
    yvalues1.yfact12 = 1;
    elseif facy12 == 2
    yvalues1.yfact12 = 2;
    elseif facy12 == 3
    yvalues1.yfact12 = 3;
    elseif facy12 == 4
    yvalues1.yfact12 = 4;
    elseif facy12 == 5
    yvalues1.yfact12 = 5;
    elseif facy12 == 6
    yvalues1.yfact12 = 6;
    elseif facy12 == 7
    yvalues1.yfact12 = 7;
    elseif facy12 == 8
    yvalues1.yfact12 = 8;
    elseif facy12 == 9
    yvalues1.yfact12 = 9;
    elseif facy12 == 10
    yvalues1.yfact12 = 10;
    elseif facy12 == 11
    yvalues1.yfact12 = 11;
    elseif facy12 == 12
    yvalues1.yfact12 = 12;
    elseif facy12 == 13
    yvalues1.yfact12 = 13;
    elseif facy12 == 14
    yvalues1.yfact12 = 14;
    elseif facy12 == 15
    yvalues1.yfact12 = 15;
    elseif facy12 == 16
    yvalues1.yfact12 = 16;
    elseif facy12 == 17
    yvalues1.yfact12 = 17;
    elseif facy12 == 18
    yvalues1.yfact12 = 18;
    elseif facy12 == 19
    yvalues1.yfact12 = 19;
    elseif facy12 == 20
    yvalues1.yfact12 = 20;
    elseif facy12 == 21
    yvalues1.yfact12 = 21;
    elseif facy12 == 22
    yvalues1.yfact12 = 22;
    elseif facy12 == 23
    yvalues1.yfact12 = 23;
    elseif facy12 == 24
    yvalues1.yfact12 = 24;
    else
    yvalues1.yfact12 = 25;
end

% Handles of input x-numerator
dat11 = get(findobj('Tag','popy01'),'Value');
if dat11 == 1
    yvalues1.ydata11 = 1;
    elseif dat11 == 2
    yvalues1.ydata11 = evalin('base','n1SiO2');
    elseif dat11 == 3
    yvalues1.ydata11 = evalin('base','n1TiO2');
    elseif dat11 == 4
    yvalues1.ydata11 = evalin('base','n1Al2O3');
    elseif dat11 == 5
    yvalues1.ydata11 = evalin('base','n1Fe2O3');
    elseif dat11 == 6
    yvalues1.ydata11 = evalin('base','n1MnO');
    elseif dat11 == 7
    yvalues1.ydata11 = evalin('base','n1MgO');
    elseif dat11 == 8
    yvalues1.ydata11 = evalin('base','n1CaO');
    elseif dat11 == 9
    yvalues1.ydata11 = evalin('base','n1Na2O');
    elseif dat11 == 10
    yvalues1.ydata11 = evalin('base','n1K2O');
    elseif dat11 == 11
    yvalues1.ydata11 = evalin('base','n1P2O5');
    elseif dat11 == 12
    yvalues1.ydata11 = evalin('base','n1Ag');
    elseif dat11 == 13
    yvalues1.ydata11 = evalin('base','n1As');
    elseif dat11 == 14
    yvalues1.ydata11 = evalin('base','n1Ba');
    elseif dat11 == 15
    yvalues1.ydata11 = evalin('base','n1Be');
    elseif dat11 == 16
    yvalues1.ydata11 = evalin('base','n1Bi');
    elseif dat11 == 17
    yvalues1.ydata11 = evalin('base','n1Cd');
    elseif dat11 == 18
    yvalues1.ydata11 = evalin('base','n1Co');
    elseif dat11 == 19
    yvalues1.ydata11 = evalin('base','n1Cr');
    elseif dat11 == 20
    yvalues1.ydata11 = evalin('base','n1Cs');
    elseif dat11 == 21
    yvalues1.ydata11 = evalin('base','n1Cu');
    elseif dat11 == 22
    yvalues1.ydata11 = evalin('base','n1Ga');
    elseif dat11 == 23
    yvalues1.ydata11 = evalin('base','n1Hf');
    elseif dat11 == 24
    yvalues1.ydata11 = evalin('base','n1In');
    elseif dat11 == 25
    yvalues1.ydata11 = evalin('base','n1Li');
    elseif dat11 == 26
    yvalues1.ydata11 = evalin('base','n1Mo');
    elseif dat11 == 27
    yvalues1.ydata11 = evalin('base','n1Nb');
    elseif dat11 == 28
    yvalues1.ydata11 = evalin('base','n1Ni');
    elseif dat11 == 29
    yvalues1.ydata11 = evalin('base','n1Pb');
    elseif dat11 == 30
    yvalues1.ydata11 = evalin('base','n1Rb');
    elseif dat11 == 31
    yvalues1.ydata11 = evalin('base','n1Sb');
    elseif dat11 == 32
    yvalues1.ydata11 = evalin('base','n1Sc');
    elseif dat11 == 33
    yvalues1.ydata11 = evalin('base','n1Sn');
    elseif dat11 == 34
    yvalues1.ydata11 = evalin('base','n1Sr');
    elseif dat11 == 35
    yvalues1.ydata11 = evalin('base','n1Ta');
    elseif dat11 == 36
    yvalues1.ydata11 = evalin('base','n1Tl');
    elseif dat11 == 37
    yvalues1.ydata11 = evalin('base','n1Th');
    elseif dat11 == 38
    yvalues1.ydata11 = evalin('base','n1U');
    elseif dat11 == 39
    yvalues1.ydata11 = evalin('base','n1V');
    elseif dat11 == 40
    yvalues1.ydata11 = evalin('base','n1W');
    elseif dat11 == 41
    yvalues1.ydata11 = evalin('base','n1Y');
    elseif dat11 == 42
    yvalues1.ydata11 = evalin('base','n1Zn');
    elseif dat11 == 43
    yvalues1.ydata11 = evalin('base','n1Zr');
    elseif dat11 == 44
    yvalues1.ydata11 = evalin('base','n1La');
    elseif dat11 == 45
    yvalues1.ydata11 = evalin('base','n1Ce');
    elseif dat11 == 46
    yvalues1.ydata11 = evalin('base','n1Pr');
    elseif dat11 == 47
    yvalues1.ydata11 = evalin('base','n1Nd');
    elseif dat11 == 48
    yvalues1.ydata11 = evalin('base','n1Sm');
    elseif dat11 == 49
    yvalues1.ydata11 = evalin('base','n1Eu');
    elseif dat11 == 50
    yvalues1.ydata11 = evalin('base','n1Gd');
    elseif dat11 == 51
    yvalues1.ydata11 = evalin('base','n1Tb');
    elseif dat11 == 52
    yvalues1.ydata11 = evalin('base','n1Dy');
    elseif dat11 == 53
    yvalues1.ydata11 = evalin('base','n1Ho');
    elseif dat11 == 54
    yvalues1.ydata11 = evalin('base','n1Er');
    elseif dat11 == 55
    yvalues1.ydata11 = evalin('base','n1Tm');
    elseif dat11 == 56
    yvalues1.ydata11 = evalin('base','n1Yb');
    else
    yvalues1.ydata11 = evalin('base','n1Lu');
end

%% 1st dataset handles of y-denominator

% Handles of first factor
facy13 = get(findobj('Tag','facy03'),'Value');
if facy13 == 1
    yvalues1.yfact13 = 1;
    elseif facy13 == 2
    yvalues1.yfact13 = 0.1;
    elseif facy13 == 3
    yvalues1.yfact13 = 0.01;
    elseif facy13 == 4
    yvalues1.yfact13 = 0.001;
    elseif facy13 == 5
    yvalues1.yfact13 = 0.0001;
    elseif facy13 == 6    
    yvalues1.yfact13 = 10;
    elseif facy13 == 7
    yvalues1.yfact13 = 100;
    elseif facy13 == 8
    yvalues1.yfact13 = 1000;
    else
    yvalues1.yfact13 = 10000;
end

% Handles of second factor
facy14 = get(findobj('Tag','facy04'),'Value');
if facy14 == 1
    yvalues1.yfact14 = 1;
    elseif facy14 == 2
    yvalues1.yfact14 = 2;
    elseif facy14 == 3
    yvalues1.yfact14 = 3;
    elseif facy14 == 4
    yvalues1.yfact14 = 4;
    elseif facy14 == 5
    yvalues1.yfact14 = 5;
    elseif facy14 == 6
    yvalues1.yfact14 = 6;
    elseif facy14 == 7
    yvalues1.yfact14 = 7;
    elseif facy14 == 8
    yvalues1.yfact14 = 8;
    elseif facy14 == 9
    yvalues1.yfact14 = 9;
    elseif facy14 == 10
    yvalues1.yfact14 = 10;
    elseif facy14 == 11
    yvalues1.yfact14 = 11;
    elseif facy14 == 12
    yvalues1.yfact14 = 12;
    elseif facy14 == 13
    yvalues1.yfact14 = 13;
    elseif facy14 == 14
    yvalues1.yfact14 = 14;
    elseif facy14 == 15
    yvalues1.yfact14 = 15;
    elseif facy14 == 16
    yvalues1.yfact14 = 16;
    elseif facy14 == 17
    yvalues1.yfact14 = 17;
    elseif facy14 == 18
    yvalues1.yfact14 = 18;
    elseif facy14 == 19
    yvalues1.yfact14 = 19;
    elseif facy14 == 20
    yvalues1.yfact14 = 20;
    elseif facy14 == 21
    yvalues1.yfact14 = 21;
    elseif facy14 == 22
    yvalues1.yfact14 = 22;
    elseif facy14 == 23
    yvalues1.yfact14 = 23;
    elseif facy14 == 24
    yvalues1.yfact14 = 24;
    else
    yvalues1.yfact14 = 25;
end

% Handles of input y-numerator
dat12 = get(findobj('Tag','popy02'),'Value');
if dat12 == 1
    yvalues1.ydata12 = 1;
    elseif dat12 == 2
    yvalues1.ydata12 = evalin('base','n1SiO2');
    elseif dat12 == 3
    yvalues1.ydata12 = evalin('base','n1TiO2');
    elseif dat12 == 4
    yvalues1.ydata12 = evalin('base','n1Al2O3');
    elseif dat12 == 5
    yvalues1.ydata12 = evalin('base','n1Fe2O3');
    elseif dat12 == 6
    yvalues1.ydata12 = evalin('base','n1MnO');
    elseif dat12 == 7
    yvalues1.ydata12 = evalin('base','n1MgO');
    elseif dat12 == 8
    yvalues1.ydata12 = evalin('base','n1CaO');
    elseif dat12 == 9
    yvalues1.ydata12 = evalin('base','n1Na2O');
    elseif dat12 == 10
    yvalues1.ydata12 = evalin('base','n1K2O');
    elseif dat12 == 11
    yvalues1.ydata12 = evalin('base','n1P2O5');
    elseif dat12 == 12
    yvalues1.ydata12 = evalin('base','n1Ag');
    elseif dat12 == 13
    yvalues1.ydata12 = evalin('base','n1As');
    elseif dat12 == 14
    yvalues1.ydata12 = evalin('base','n1Ba');
    elseif dat12 == 15
    yvalues1.ydata12 = evalin('base','n1Be');
    elseif dat12 == 16
    yvalues1.ydata12 = evalin('base','n1Bi');
    elseif dat12 == 17
    yvalues1.ydata12 = evalin('base','n1Cd');
    elseif dat12 == 18
    yvalues1.ydata12 = evalin('base','n1Co');
    elseif dat12 == 19
    yvalues1.ydata12 = evalin('base','n1Cr');
    elseif dat12 == 20
    yvalues1.ydata12 = evalin('base','n1Cs');
    elseif dat12 == 21
    yvalues1.ydata12 = evalin('base','n1Cu');
    elseif dat12 == 22
    yvalues1.ydata12 = evalin('base','n1Ga');
    elseif dat12 == 23
    yvalues1.ydata12 = evalin('base','n1Hf');
    elseif dat12 == 24
    yvalues1.ydata12 = evalin('base','n1In');
    elseif dat12 == 25
    yvalues1.ydata12 = evalin('base','n1Li');
    elseif dat12 == 26
    yvalues1.ydata12 = evalin('base','n1Mo');
    elseif dat12 == 27
    yvalues1.ydata12 = evalin('base','n1Nb');
    elseif dat12 == 28
    yvalues1.ydata12 = evalin('base','n1Ni');
    elseif dat12 == 29
    yvalues1.ydata12 = evalin('base','n1Pb');
    elseif dat12 == 30
    yvalues1.ydata12 = evalin('base','n1Rb');
    elseif dat12 == 31
    yvalues1.ydata12 = evalin('base','n1Sb');
    elseif dat12 == 32
    yvalues1.ydata12 = evalin('base','n1Sc');
    elseif dat12 == 33
    yvalues1.ydata12 = evalin('base','n1Sn');
    elseif dat12 == 34
    yvalues1.ydata12 = evalin('base','n1Sr');
    elseif dat12 == 35
    yvalues1.ydata12 = evalin('base','n1Ta');
    elseif dat12 == 36
    yvalues1.ydata12 = evalin('base','n1Tl');
    elseif dat12 == 37
    yvalues1.ydata12 = evalin('base','n1Th');
    elseif dat12 == 38
    yvalues1.ydata12 = evalin('base','n1U');
    elseif dat12 == 39
    yvalues1.ydata12 = evalin('base','n1V');
    elseif dat12 == 40
    yvalues1.ydata12 = evalin('base','n1W');
    elseif dat12 == 41
    yvalues1.ydata12 = evalin('base','n1Y');
    elseif dat12 == 42
    yvalues1.ydata12 = evalin('base','n1Zn');
    elseif dat12 == 43
    yvalues1.ydata12 = evalin('base','n1Zr');
    elseif dat12 == 44
    yvalues1.ydata12 = evalin('base','n1La');
    elseif dat12 == 45
    yvalues1.ydata12 = evalin('base','n1Ce');
    elseif dat12 == 46
    yvalues1.ydata12 = evalin('base','n1Pr');
    elseif dat12 == 47
    yvalues1.ydata12 = evalin('base','n1Nd');
    elseif dat12 == 48
    yvalues1.ydata12 = evalin('base','n1Sm');
    elseif dat12 == 49
    yvalues1.ydata12 = evalin('base','n1Eu');
    elseif dat12 == 50
    yvalues1.ydata12 = evalin('base','n1Gd');
    elseif dat12 == 51
    yvalues1.ydata12 = evalin('base','n1Tb');
    elseif dat12 == 52
    yvalues1.ydata12 = evalin('base','n1Dy');
    elseif dat12 == 53
    yvalues1.ydata12 = evalin('base','n1Ho');
    elseif dat12 == 54
    yvalues1.ydata12 = evalin('base','n1Er');
    elseif dat12 == 55
    yvalues1.ydata12 = evalin('base','n1Tm');
    elseif dat12 == 56
    yvalues1.ydata12 = evalin('base','n1Yb');
    else
    yvalues1.ydata12 = evalin('base','n1Lu');
end

%% 1st dataset handles of z-numerators

% Handles of first factor
facz11 = get(findobj('Tag','facz01'),'Value');
if facz11 == 1
    zvalues1.zfact11 = 1;
    elseif facz11 == 2
    zvalues1.zfact11 = 0.1;
    elseif facz11 == 3
    zvalues1.zfact11 = 0.01;
    elseif facz11 == 4
    zvalues1.zfact11 = 0.001;
    elseif facz11 == 5
    zvalues1.zfact11 = 0.0001;
    elseif facz11 == 6    
    zvalues1.zfact11 = 10;
    elseif facz11 == 7
    zvalues1.zfact11 = 100;
    elseif facz11 == 8
    zvalues1.zfact11 = 1000;
    else
    zvalues1.zfact11 = 10000;
end

% Handles of second factor
facz12 = get(findobj('Tag','facz02'),'Value');
if facz12 == 1
    zvalues1.zfact12 = 1;
    elseif facz12 == 2
    zvalues1.zfact12 = 2;
    elseif facz12 == 3
    zvalues1.zfact12 = 3;
    elseif facz12 == 4
    zvalues1.zfact12 = 4;
    elseif facz12 == 5
    zvalues1.zfact12 = 5;
    elseif facz12 == 6
    zvalues1.zfact12 = 6;
    elseif facz12 == 7
    zvalues1.zfact12 = 7;
    elseif facz12 == 8
    zvalues1.zfact12 = 8;
    elseif facz12 == 9
    zvalues1.zfact12 = 9;
    elseif facz12 == 10
    zvalues1.zfact12 = 10;
    elseif facz12 == 11
    zvalues1.zfact12 = 11;
    elseif facz12 == 12
    zvalues1.zfact12 = 12;
    elseif facz12 == 13
    zvalues1.zfact12 = 13;
    elseif facz12 == 14
    zvalues1.zfact12 = 14;
    elseif facz12 == 15
    zvalues1.zfact12 = 15;
    elseif facz12 == 16
    zvalues1.zfact12 = 16;
    elseif facz12 == 17
    zvalues1.zfact12 = 17;
    elseif facz12 == 18
    zvalues1.zfact12 = 18;
    elseif facz12 == 19
    zvalues1.zfact12 = 19;
    elseif facz12 == 20
    zvalues1.zfact12 = 20;
    elseif facz12 == 21
    zvalues1.zfact12 = 21;
    elseif facz12 == 22
    zvalues1.zfact12 = 22;
    elseif facz12 == 23
    zvalues1.zfact12 = 23;
    elseif facz12 == 24
    zvalues1.zfact12 = 24;
    else
    zvalues1.zfact12 = 25;
end

% Handles of input z-numerator
dat11 = get(findobj('Tag','popz01'),'Value');
if dat11 == 1
    zvalues1.zdata11 = 1;
    elseif dat11 == 2
    zvalues1.zdata11 = evalin('base','n1SiO2');
    elseif dat11 == 3
    zvalues1.zdata11 = evalin('base','n1TiO2');
    elseif dat11 == 4
    zvalues1.zdata11 = evalin('base','n1Al2O3');
    elseif dat11 == 5
    zvalues1.zdata11 = evalin('base','n1Fe2O3');
    elseif dat11 == 6
    zvalues1.zdata11 = evalin('base','n1MnO');
    elseif dat11 == 7
    zvalues1.zdata11 = evalin('base','n1MgO');
    elseif dat11 == 8
    zvalues1.zdata11 = evalin('base','n1CaO');
    elseif dat11 == 9
    zvalues1.zdata11 = evalin('base','n1Na2O');
    elseif dat11 == 10
    zvalues1.zdata11 = evalin('base','n1K2O');
    elseif dat11 == 11
    zvalues1.zdata11 = evalin('base','n1P2O5');
    elseif dat11 == 12
    zvalues1.zdata11 = evalin('base','n1Ag');
    elseif dat11 == 13
    zvalues1.zdata11 = evalin('base','n1As');
    elseif dat11 == 14
    zvalues1.zdata11 = evalin('base','n1Ba');
    elseif dat11 == 15
    zvalues1.zdata11 = evalin('base','n1Be');
    elseif dat11 == 16
    zvalues1.zdata11 = evalin('base','n1Bi');
    elseif dat11 == 17
    zvalues1.zdata11 = evalin('base','n1Cd');
    elseif dat11 == 18
    zvalues1.zdata11 = evalin('base','n1Co');
    elseif dat11 == 19
    zvalues1.zdata11 = evalin('base','n1Cr');
    elseif dat11 == 20
    zvalues1.zdata11 = evalin('base','n1Cs');
    elseif dat11 == 21
    zvalues1.zdata11 = evalin('base','n1Cu');
    elseif dat11 == 22
    zvalues1.zdata11 = evalin('base','n1Ga');
    elseif dat11 == 23
    zvalues1.zdata11 = evalin('base','n1Hf');
    elseif dat11 == 24
    zvalues1.zdata11 = evalin('base','n1In');
    elseif dat11 == 25
    zvalues1.zdata11 = evalin('base','n1Li');
    elseif dat11 == 26
    zvalues1.zdata11 = evalin('base','n1Mo');
    elseif dat11 == 27
    zvalues1.zdata11 = evalin('base','n1Nb');
    elseif dat11 == 28
    zvalues1.zdata11 = evalin('base','n1Ni');
    elseif dat11 == 29
    zvalues1.zdata11 = evalin('base','n1Pb');
    elseif dat11 == 30
    zvalues1.zdata11 = evalin('base','n1Rb');
    elseif dat11 == 31
    zvalues1.zdata11 = evalin('base','n1Sb');
    elseif dat11 == 32
    zvalues1.zdata11 = evalin('base','n1Sc');
    elseif dat11 == 33
    zvalues1.zdata11 = evalin('base','n1Sn');
    elseif dat11 == 34
    zvalues1.zdata11 = evalin('base','n1Sr');
    elseif dat11 == 35
    zvalues1.zdata11 = evalin('base','n1Ta');
    elseif dat11 == 36
    zvalues1.zdata11 = evalin('base','n1Tl');
    elseif dat11 == 37
    zvalues1.zdata11 = evalin('base','n1Th');
    elseif dat11 == 38
    zvalues1.zdata11 = evalin('base','n1U');
    elseif dat11 == 39
    zvalues1.zdata11 = evalin('base','n1V');
    elseif dat11 == 40
    zvalues1.zdata11 = evalin('base','n1W');
    elseif dat11 == 41
    zvalues1.zdata11 = evalin('base','n1Y');
    elseif dat11 == 42
    zvalues1.zdata11 = evalin('base','n1Zn');
    elseif dat11 == 43
    zvalues1.zdata11 = evalin('base','n1Zr');
    elseif dat11 == 44
    zvalues1.zdata11 = evalin('base','n1La');
    elseif dat11 == 45
    zvalues1.zdata11 = evalin('base','n1Ce');
    elseif dat11 == 46
    zvalues1.zdata11 = evalin('base','n1Pr');
    elseif dat11 == 47
    zvalues1.zdata11 = evalin('base','n1Nd');
    elseif dat11 == 48
    zvalues1.zdata11 = evalin('base','n1Sm');
    elseif dat11 == 49
    zvalues1.zdata11 = evalin('base','n1Eu');
    elseif dat11 == 50
    zvalues1.zdata11 = evalin('base','n1Gd');
    elseif dat11 == 51
    zvalues1.zdata11 = evalin('base','n1Tb');
    elseif dat11 == 52
    zvalues1.zdata11 = evalin('base','n1Dy');
    elseif dat11 == 53
    zvalues1.zdata11 = evalin('base','n1Ho');
    elseif dat11 == 54
    zvalues1.zdata11 = evalin('base','n1Er');
    elseif dat11 == 55
    zvalues1.zdata11 = evalin('base','n1Tm');
    elseif dat11 == 56
    zvalues1.zdata11 = evalin('base','n1Yb');
    else
    zvalues1.zdata11 = evalin('base','n1Lu');
end

%% 1st dataset handles of z-denominator

facz13 = get(findobj('Tag','facz03'),'Value');
if facz13 == 1
    zvalues1.zfact13 = 1;
    elseif facz13 == 2
    zvalues1.zfact13 = 0.1;
    elseif facz13 == 3
    zvalues1.zfact13 = 0.01;
    elseif facz13 == 4
    zvalues1.zfact13 = 0.001;
    elseif facz13 == 5
    zvalues1.zfact13 = 0.0001;
    elseif facz13 == 6    
    zvalues1.zfact13 = 10;
    elseif facz13 == 7
    zvalues1.zfact13 = 100;
    elseif facz13 == 8
    zvalues1.zfact13 = 1000;
    else
    zvalues1.zfact13 = 10000;
end

% Handles of second factor
facz14 = get(findobj('Tag','facz04'),'Value');
if facz14 == 1
    zvalues1.zfact14 = 1;
    elseif facz14 == 2
    zvalues1.zfact14 = 2;
    elseif facz14 == 3
    zvalues1.zfact14 = 3;
    elseif facz14 == 4
    zvalues1.zfact14 = 4;
    elseif facz14 == 5
    zvalues1.zfact14 = 5;
    elseif facz14 == 6
    zvalues1.zfact14 = 6;
    elseif facz14 == 7
    zvalues1.zfact14 = 7;
    elseif facz14 == 8
    zvalues1.zfact14 = 8;
    elseif facz14 == 9
    zvalues1.zfact14 = 9;
    elseif facz14 == 10
    zvalues1.zfact14 = 10;
    elseif facz14 == 11
    zvalues1.zfact14 = 11;
    elseif facz14 == 12
    zvalues1.zfact14 = 12;
    elseif facz14 == 13
    zvalues1.zfact14 = 13;
    elseif facz14 == 14
    zvalues1.zfact14 = 14;
    elseif facz14 == 15
    zvalues1.zfact14 = 15;
    elseif facz14 == 16
    zvalues1.zfact14 = 16;
    elseif facz14 == 17
    zvalues1.zfact14 = 17;
    elseif facz14 == 18
    zvalues1.zfact14 = 18;
    elseif facz14 == 19
    zvalues1.zfact14 = 19;
    elseif facz14 == 20
    zvalues1.zfact14 = 20;
    elseif facz14 == 21
    zvalues1.zfact14 = 21;
    elseif facz14 == 22
    zvalues1.zfact14 = 22;
    elseif facz14 == 23
    zvalues1.zfact14 = 23;
    elseif facz14 == 24
    zvalues1.zfact14 = 24;
    else
    zvalues1.zfact14 = 25;
end

% Handles of input z-numerator
dat12 = get(findobj('Tag','popz02'),'Value');
if dat12 == 1
    zvalues1.zdata12 = 1;
    elseif dat12 == 2
    zvalues1.zdata12 = evalin('base','n1SiO2');
    elseif dat12 == 3
    zvalues1.zdata12 = evalin('base','n1TiO2');
    elseif dat12 == 4
    zvalues1.zdata12 = evalin('base','n1Al2O3');
    elseif dat12 == 5
    zvalues1.zdata12 = evalin('base','n1Fe2O3');
    elseif dat12 == 6
    zvalues1.zdata12 = evalin('base','n1MnO');
    elseif dat12 == 7
    zvalues1.zdata12 = evalin('base','n1MgO');
    elseif dat12 == 8
    zvalues1.zdata12 = evalin('base','n1CaO');
    elseif dat12 == 9
    zvalues1.zdata12 = evalin('base','n1Na2O');
    elseif dat12 == 10
    zvalues1.zdata12 = evalin('base','n1K2O');
    elseif dat12 == 11
    zvalues1.zdata12 = evalin('base','n1P2O5');
    elseif dat12 == 12
    zvalues1.zdata12 = evalin('base','n1Ag');
    elseif dat12 == 13
    zvalues1.zdata12 = evalin('base','n1As');
    elseif dat12 == 14
    zvalues1.zdata12 = evalin('base','n1Ba');
    elseif dat12 == 15
    zvalues1.zdata12 = evalin('base','n1Be');
    elseif dat12 == 16
    zvalues1.zdata12 = evalin('base','n1Bi');
    elseif dat12 == 17
    zvalues1.zdata12 = evalin('base','n1Cd');
    elseif dat12 == 18
    zvalues1.zdata12 = evalin('base','n1Co');
    elseif dat12 == 19
    zvalues1.zdata12 = evalin('base','n1Cr');
    elseif dat12 == 20
    zvalues1.zdata12 = evalin('base','n1Cs');
    elseif dat12 == 21
    zvalues1.zdata12 = evalin('base','n1Cu');
    elseif dat12 == 22
    zvalues1.zdata12 = evalin('base','n1Ga');
    elseif dat12 == 23
    zvalues1.zdata12 = evalin('base','n1Hf');
    elseif dat12 == 24
    zvalues1.zdata12 = evalin('base','n1In');
    elseif dat12 == 25
    zvalues1.zdata12 = evalin('base','n1Li');
    elseif dat12 == 26
    zvalues1.zdata12 = evalin('base','n1Mo');
    elseif dat12 == 27
    zvalues1.zdata12 = evalin('base','n1Nb');
    elseif dat12 == 28
    zvalues1.zdata12 = evalin('base','n1Ni');
    elseif dat12 == 29
    zvalues1.zdata12 = evalin('base','n1Pb');
    elseif dat12 == 30
    zvalues1.zdata12 = evalin('base','n1Rb');
    elseif dat12 == 31
    zvalues1.zdata12 = evalin('base','n1Sb');
    elseif dat12 == 32
    zvalues1.zdata12 = evalin('base','n1Sc');
    elseif dat12 == 33
    zvalues1.zdata12 = evalin('base','n1Sn');
    elseif dat12 == 34
    zvalues1.zdata12 = evalin('base','n1Sr');
    elseif dat12 == 35
    zvalues1.zdata12 = evalin('base','n1Ta');
    elseif dat12 == 36
    zvalues1.zdata12 = evalin('base','n1Tl');
    elseif dat12 == 37
    zvalues1.zdata12 = evalin('base','n1Th');
    elseif dat12 == 38
    zvalues1.zdata12 = evalin('base','n1U');
    elseif dat12 == 39
    zvalues1.zdata12 = evalin('base','n1V');
    elseif dat12 == 40
    zvalues1.zdata12 = evalin('base','n1W');
    elseif dat12 == 41
    zvalues1.zdata12 = evalin('base','n1Y');
    elseif dat12 == 42
    zvalues1.zdata12 = evalin('base','n1Zn');
    elseif dat12 == 43
    zvalues1.zdata12 = evalin('base','n1Zr');
    elseif dat12 == 44
    zvalues1.zdata12 = evalin('base','n1La');
    elseif dat12 == 45
    zvalues1.zdata12 = evalin('base','n1Ce');
    elseif dat12 == 46
    zvalues1.zdata12 = evalin('base','n1Pr');
    elseif dat12 == 47
    zvalues1.zdata12 = evalin('base','n1Nd');
    elseif dat12 == 48
    zvalues1.zdata12 = evalin('base','n1Sm');
    elseif dat12 == 49
    zvalues1.zdata12 = evalin('base','n1Eu');
    elseif dat12 == 50
    zvalues1.zdata12 = evalin('base','n1Gd');
    elseif dat12 == 51
    zvalues1.zdata12 = evalin('base','n1Tb');
    elseif dat12 == 52
    zvalues1.zdata12 = evalin('base','n1Dy');
    elseif dat12 == 53
    zvalues1.zdata12 = evalin('base','n1Ho');
    elseif dat12 == 54
    zvalues1.zdata12 = evalin('base','n1Er');
    elseif dat12 == 55
    zvalues1.zdata12 = evalin('base','n1Tm');
    elseif dat12 == 56
    zvalues1.zdata12 = evalin('base','n1Yb');
    else
    zvalues1.zdata12 = evalin('base','n1Lu');
end

%% 2nd dataset handles of x-numerators

% Handles of first factor
facx11 = get(findobj('Tag','facx01'),'Value');
if facx11 == 1
    xvalues2.xfact11 = 1;
    elseif facx11 == 2
    xvalues2.xfact11 = 0.1;
    elseif facx11 == 3
    xvalues2.xfact11 = 0.01;
    elseif facx11 == 4
    xvalues2.xfact11 = 0.001;
    elseif facx11 == 5
    xvalues2.xfact11 = 0.0001;
    elseif facx11 == 6    
    xvalues2.xfact11 = 10;
    elseif facx11 == 7
    xvalues2.xfact11 = 100;
    elseif facx11 == 8
    xvalues2.xfact11 = 1000;
    else
    xvalues2.xfact11 = 10000;
end

% Handles of second factor
facx12 = get(findobj('Tag','facx02'),'Value');
if facx12 == 1
    xvalues2.xfact12 = 1;
    elseif facx12 == 2
    xvalues2.xfact12 = 2;
    elseif facx12 == 3
    xvalues2.xfact12 = 3;
    elseif facx12 == 4
    xvalues2.xfact12 = 4;
    elseif facx12 == 5
    xvalues2.xfact12 = 5;
    elseif facx12 == 6
    xvalues2.xfact12 = 6;
    elseif facx12 == 7
    xvalues2.xfact12 = 7;
    elseif facx12 == 8
    xvalues2.xfact12 = 8;
    elseif facx12 == 9
    xvalues2.xfact12 = 9;
    elseif facx12 == 10
    xvalues2.xfact12 = 10;
    elseif facx12 == 11
    xvalues2.xfact12 = 11;
    elseif facx12 == 12
    xvalues2.xfact12 = 12;
    elseif facx12 == 13
    xvalues2.xfact12 = 13;
    elseif facx12 == 14
    xvalues2.xfact12 = 14;
    elseif facx12 == 15
    xvalues2.xfact12 = 15;
    elseif facx12 == 16
    xvalues2.xfact12 = 16;
    elseif facx12 == 17
    xvalues2.xfact12 = 17;
    elseif facx12 == 18
    xvalues2.xfact12 = 18;
    elseif facx12 == 19
    xvalues2.xfact12 = 19;
    elseif facx12 == 20
    xvalues2.xfact12 = 20;
    elseif facx12 == 21
    xvalues2.xfact12 = 21;
    elseif facx12 == 22
    xvalues2.xfact12 = 22;
    elseif facx12 == 23
    xvalues2.xfact12 = 23;
    elseif facx12 == 24
    xvalues2.xfact12 = 24;
    else
    xvalues2.xfact12 = 25;
end

% Handles of input x-numerator
dat11 = get(findobj('Tag','popx01'),'Value');
if dat11 == 1
    xvalues2.xdata11 = 1;
    elseif dat11 == 2
    xvalues2.xdata11 = evalin('base','n2SiO2');
    elseif dat11 == 3
    xvalues2.xdata11 = evalin('base','n2TiO2');
    elseif dat11 == 4
    xvalues2.xdata11 = evalin('base','n2Al2O3');
    elseif dat11 == 5
    xvalues2.xdata11 = evalin('base','n2Fe2O3');
    elseif dat11 == 6
    xvalues2.xdata11 = evalin('base','n2MnO');
    elseif dat11 == 7
    xvalues2.xdata11 = evalin('base','n2MgO');
    elseif dat11 == 8
    xvalues2.xdata11 = evalin('base','n2CaO');
    elseif dat11 == 9
    xvalues2.xdata11 = evalin('base','n2Na2O');
    elseif dat11 == 10
    xvalues2.xdata11 = evalin('base','n2K2O');
    elseif dat11 == 11
    xvalues2.xdata11 = evalin('base','n2P2O5');
    elseif dat11 == 12
    xvalues2.xdata11 = evalin('base','n2Ag');
    elseif dat11 == 13
    xvalues2.xdata11 = evalin('base','n2As');
    elseif dat11 == 14
    xvalues2.xdata11 = evalin('base','n2Ba');
    elseif dat11 == 15
    xvalues2.xdata11 = evalin('base','n2Be');
    elseif dat11 == 16
    xvalues2.xdata11 = evalin('base','n2Bi');
    elseif dat11 == 17
    xvalues2.xdata11 = evalin('base','n2Cd');
    elseif dat11 == 18
    xvalues2.xdata11 = evalin('base','n2Co');
    elseif dat11 == 19
    xvalues2.xdata11 = evalin('base','n2Cr');
    elseif dat11 == 20
    xvalues2.xdata11 = evalin('base','n2Cs');
    elseif dat11 == 21
    xvalues2.xdata11 = evalin('base','n2Cu');
    elseif dat11 == 22
    xvalues2.xdata11 = evalin('base','n2Ga');
    elseif dat11 == 23
    xvalues2.xdata11 = evalin('base','n2Hf');
    elseif dat11 == 24
    xvalues2.xdata11 = evalin('base','n2In');
    elseif dat11 == 25
    xvalues2.xdata11 = evalin('base','n2Li');
    elseif dat11 == 26
    xvalues2.xdata11 = evalin('base','n2Mo');
    elseif dat11 == 27
    xvalues2.xdata11 = evalin('base','n2Nb');
    elseif dat11 == 28
    xvalues2.xdata11 = evalin('base','n2Ni');
    elseif dat11 == 29
    xvalues2.xdata11 = evalin('base','n2Pb');
    elseif dat11 == 30
    xvalues2.xdata11 = evalin('base','n2Rb');
    elseif dat11 == 31
    xvalues2.xdata11 = evalin('base','n2Sb');
    elseif dat11 == 32
    xvalues2.xdata11 = evalin('base','n2Sc');
    elseif dat11 == 33
    xvalues2.xdata11 = evalin('base','n2Sn');
    elseif dat11 == 34
    xvalues2.xdata11 = evalin('base','n2Sr');
    elseif dat11 == 35
    xvalues2.xdata11 = evalin('base','n2Ta');
    elseif dat11 == 36
    xvalues2.xdata11 = evalin('base','n2Tl');
    elseif dat11 == 37
    xvalues2.xdata11 = evalin('base','n2Th');
    elseif dat11 == 38
    xvalues2.xdata11 = evalin('base','n2U');
    elseif dat11 == 39
    xvalues2.xdata11 = evalin('base','n2V');
    elseif dat11 == 40
    xvalues2.xdata11 = evalin('base','n2W');
    elseif dat11 == 41
    xvalues2.xdata11 = evalin('base','n2Y');
    elseif dat11 == 42
    xvalues2.xdata11 = evalin('base','n2Zn');
    elseif dat11 == 43
    xvalues2.xdata11 = evalin('base','n2Zr');
    elseif dat11 == 44
    xvalues2.xdata11 = evalin('base','n2La');
    elseif dat11 == 45
    xvalues2.xdata11 = evalin('base','n2Ce');
    elseif dat11 == 46
    xvalues2.xdata11 = evalin('base','n2Pr');
    elseif dat11 == 47
    xvalues2.xdata11 = evalin('base','n2Nd');
    elseif dat11 == 48
    xvalues2.xdata11 = evalin('base','n2Sm');
    elseif dat11 == 49
    xvalues2.xdata11 = evalin('base','n2Eu');
    elseif dat11 == 50
    xvalues2.xdata11 = evalin('base','n2Gd');
    elseif dat11 == 51
    xvalues2.xdata11 = evalin('base','n2Tb');
    elseif dat11 == 52
    xvalues2.xdata11 = evalin('base','n2Dy');
    elseif dat11 == 53
    xvalues2.xdata11 = evalin('base','n2Ho');
    elseif dat11 == 54
    xvalues2.xdata11 = evalin('base','n2Er');
    elseif dat11 == 55
    xvalues2.xdata11 = evalin('base','n2Tm');
    elseif dat11 == 56
    xvalues2.xdata11 = evalin('base','n2Yb');
    else
    xvalues2.xdata11 = evalin('base','n2Lu');
end

%% 2nd dataset handles of x-denominator

% Handles of first factor
facx13 = get(findobj('Tag','facx03'),'Value');
if facx13 == 1
    xvalues2.xfact13 = 1;
    elseif facx13 == 2
    xvalues2.xfact13 = 0.1;
    elseif facx13 == 3
    xvalues2.xfact13 = 0.01;
    elseif facx13 == 4
    xvalues2.xfact13 = 0.001;
    elseif facx13 == 5
    xvalues2.xfact13 = 0.0001;
    elseif facx13 == 6    
    xvalues2.xfact13 = 10;
    elseif facx13 == 7
    xvalues2.xfact13 = 100;
    elseif facx13 == 8
    xvalues2.xfact13 = 1000;
    else
    xvalues2.xfact13 = 10000;
end

% Handles of second factor
facx14 = get(findobj('Tag','facx04'),'Value');
if facx14 == 1
    xvalues2.xfact14 = 1;
    elseif facx14 == 2
    xvalues2.xfact14 = 2;
    elseif facx14 == 3
    xvalues2.xfact14 = 3;
    elseif facx14 == 4
    xvalues2.xfact14 = 4;
    elseif facx14 == 5
    xvalues2.xfact14 = 5;
    elseif facx14 == 6
    xvalues2.xfact14 = 6;
    elseif facx14 == 7
    xvalues2.xfact14 = 7;
    elseif facx14 == 8
    xvalues2.xfact14 = 8;
    elseif facx14 == 9
    xvalues2.xfact14 = 9;
    elseif facx14 == 10
    xvalues2.xfact14 = 10;
    elseif facx14 == 11
    xvalues2.xfact14 = 11;
    elseif facx14 == 12
    xvalues2.xfact14 = 12;
    elseif facx14 == 13
    xvalues2.xfact14 = 13;
    elseif facx14 == 14
    xvalues2.xfact14 = 14;
    elseif facx14 == 15
    xvalues2.xfact14 = 15;
    elseif facx14 == 16
    xvalues2.xfact14 = 16;
    elseif facx14 == 17
    xvalues2.xfact14 = 17;
    elseif facx14 == 18
    xvalues2.xfact14 = 18;
    elseif facx14 == 19
    xvalues2.xfact14 = 19;
    elseif facx14 == 20
    xvalues2.xfact14 = 20;
    elseif facx14 == 21
    xvalues2.xfact14 = 21;
    elseif facx14 == 22
    xvalues2.xfact14 = 22;
    elseif facx14 == 23
    xvalues2.xfact14 = 23;
    elseif facx14 == 24
    xvalues2.xfact14 = 24;
    else
    xvalues2.xfact14 = 25;
end

% Handles of input y-numerator
dat12 = get(findobj('Tag','popx02'),'Value');
if dat12 == 1
    xvalues2.xdata12 = 1;
    elseif dat12 == 2
    xvalues2.xdata12 = evalin('base','n2SiO2');
    elseif dat12 == 3
    xvalues2.xdata12 = evalin('base','n2TiO2');
    elseif dat12 == 4
    xvalues2.xdata12 = evalin('base','n2Al2O3');
    elseif dat12 == 5
    xvalues2.xdata12 = evalin('base','n2Fe2O3');
    elseif dat12 == 6
    xvalues2.xdata12 = evalin('base','n2MnO');
    elseif dat12 == 7
    xvalues2.xdata12 = evalin('base','n2MgO');
    elseif dat12 == 8
    xvalues2.xdata12 = evalin('base','n2CaO');
    elseif dat12 == 9
    xvalues2.xdata12 = evalin('base','n2Na2O');
    elseif dat12 == 10
    xvalues2.xdata12 = evalin('base','n2K2O');
    elseif dat12 == 11
    xvalues2.xdata12 = evalin('base','n2P2O5');
    elseif dat12 == 12
    xvalues2.xdata12 = evalin('base','n2Ag');
    elseif dat12 == 13
    xvalues2.xdata12 = evalin('base','n2As');
    elseif dat12 == 14
    xvalues2.xdata12 = evalin('base','n2Ba');
    elseif dat12 == 15
    xvalues2.xdata12 = evalin('base','n2Be');
    elseif dat12 == 16
    xvalues2.xdata12 = evalin('base','n2Bi');
    elseif dat12 == 17
    xvalues2.xdata12 = evalin('base','n2Cd');
    elseif dat12 == 18
    xvalues2.xdata12 = evalin('base','n2Co');
    elseif dat12 == 19
    xvalues2.xdata12 = evalin('base','n2Cr');
    elseif dat12 == 20
    xvalues2.xdata12 = evalin('base','n2Cs');
    elseif dat12 == 21
    xvalues2.xdata12 = evalin('base','n2Cu');
    elseif dat12 == 22
    xvalues2.xdata12 = evalin('base','n2Ga');
    elseif dat12 == 23
    xvalues2.xdata12 = evalin('base','n2Hf');
    elseif dat12 == 24
    xvalues2.xdata12 = evalin('base','n2In');
    elseif dat12 == 25
    xvalues2.xdata12 = evalin('base','n2Li');
    elseif dat12 == 26
    xvalues2.xdata12 = evalin('base','n2Mo');
    elseif dat12 == 27
    xvalues2.xdata12 = evalin('base','n2Nb');
    elseif dat12 == 28
    xvalues2.xdata12 = evalin('base','n2Ni');
    elseif dat12 == 29
    xvalues2.xdata12 = evalin('base','n2Pb');
    elseif dat12 == 30
    xvalues2.xdata12 = evalin('base','n2Rb');
    elseif dat12 == 31
    xvalues2.xdata12 = evalin('base','n2Sb');
    elseif dat12 == 32
    xvalues2.xdata12 = evalin('base','n2Sc');
    elseif dat12 == 33
    xvalues2.xdata12 = evalin('base','n2Sn');
    elseif dat12 == 34
    xvalues2.xdata12 = evalin('base','n2Sr');
    elseif dat12 == 35
    xvalues2.xdata12 = evalin('base','n2Ta');
    elseif dat12 == 36
    xvalues2.xdata12 = evalin('base','n2Tl');
    elseif dat12 == 37
    xvalues2.xdata12 = evalin('base','n2Th');
    elseif dat12 == 38
    xvalues2.xdata12 = evalin('base','n2U');
    elseif dat12 == 39
    xvalues2.xdata12 = evalin('base','n2V');
    elseif dat12 == 40
    xvalues2.xdata12 = evalin('base','n2W');
    elseif dat12 == 41
    xvalues2.xdata12 = evalin('base','n2Y');
    elseif dat12 == 42
    xvalues2.xdata12 = evalin('base','n2Zn');
    elseif dat12 == 43
    xvalues2.xdata12 = evalin('base','n2Zr');
    elseif dat12 == 44
    xvalues2.xdata12 = evalin('base','n2La');
    elseif dat12 == 45
    xvalues2.xdata12 = evalin('base','n2Ce');
    elseif dat12 == 46
    xvalues2.xdata12 = evalin('base','n2Pr');
    elseif dat12 == 47
    xvalues2.xdata12 = evalin('base','n2Nd');
    elseif dat12 == 48
    xvalues2.xdata12 = evalin('base','n2Sm');
    elseif dat12 == 49
    xvalues2.xdata12 = evalin('base','n2Eu');
    elseif dat12 == 50
    xvalues2.xdata12 = evalin('base','n2Gd');
    elseif dat12 == 51
    xvalues2.xdata12 = evalin('base','n2Tb');
    elseif dat12 == 52
    xvalues2.xdata12 = evalin('base','n2Dy');
    elseif dat12 == 53
    xvalues2.xdata12 = evalin('base','n2Ho');
    elseif dat12 == 54
    xvalues2.xdata12 = evalin('base','n2Er');
    elseif dat12 == 55
    xvalues2.xdata12 = evalin('base','n2Tm');
    elseif dat12 == 56
    xvalues2.xdata12 = evalin('base','n2Yb');
    else
    xvalues2.xdata12 = evalin('base','n2Lu');
end

%% 2nd dataset handles of y-numerators

% Handles of first factor
facy11 = get(findobj('Tag','facy01'),'Value');
if facy11 == 1
    yvalues2.yfact11 = 1;
    elseif facy11 == 2
    yvalues2.yfact11 = 0.1;
    elseif facy11 == 3
    yvalues2.yfact11 = 0.01;
    elseif facy11 == 4
    yvalues2.yfact11 = 0.001;
    elseif facy11 == 5
    yvalues2.yfact11 = 0.0001;
    elseif facy11 == 6    
    yvalues2.yfact11 = 10;
    elseif facy11 == 7
    yvalues2.yfact11 = 100;
    elseif facy11 == 8
    yvalues2.yfact11 = 1000;
    else
    yvalues2.yfact11 = 10000;
end

% Handles of second factor
facy12 = get(findobj('Tag','facy02'),'Value');
if facy12 == 1
    yvalues2.yfact12 = 1;
    elseif facy12 == 2
    yvalues2.yfact12 = 2;
    elseif facy12 == 3
    yvalues2.yfact12 = 3;
    elseif facy12 == 4
    yvalues2.yfact12 = 4;
    elseif facy12 == 5
    yvalues2.yfact12 = 5;
    elseif facy12 == 6
    yvalues2.yfact12 = 6;
    elseif facy12 == 7
    yvalues2.yfact12 = 7;
    elseif facy12 == 8
    yvalues2.yfact12 = 8;
    elseif facy12 == 9
    yvalues2.yfact12 = 9;
    elseif facy12 == 10
    yvalues2.yfact12 = 10;
    elseif facy12 == 11
    yvalues2.yfact12 = 11;
    elseif facy12 == 12
    yvalues2.yfact12 = 12;
    elseif facy12 == 13
    yvalues2.yfact12 = 13;
    elseif facy12 == 14
    yvalues2.yfact12 = 14;
    elseif facy12 == 15
    yvalues2.yfact12 = 15;
    elseif facy12 == 16
    yvalues2.yfact12 = 16;
    elseif facy12 == 17
    yvalues2.yfact12 = 17;
    elseif facy12 == 18
    yvalues2.yfact12 = 18;
    elseif facy12 == 19
    yvalues2.yfact12 = 19;
    elseif facy12 == 20
    yvalues2.yfact12 = 20;
    elseif facy12 == 21
    yvalues2.yfact12 = 21;
    elseif facy12 == 22
    yvalues2.yfact12 = 22;
    elseif facy12 == 23
    yvalues2.yfact12 = 23;
    elseif facy12 == 24
    yvalues2.yfact12 = 24;
    else
    yvalues2.yfact12 = 25;
end

% Handles of input x-numerator
dat11 = get(findobj('Tag','popy01'),'Value');
if dat11 == 1
    yvalues2.ydata11 = 1;
    elseif dat11 == 2
    yvalues2.ydata11 = evalin('base','n2SiO2');
    elseif dat11 == 3
    yvalues2.ydata11 = evalin('base','n2TiO2');
    elseif dat11 == 4
    yvalues2.ydata11 = evalin('base','n2Al2O3');
    elseif dat11 == 5
    yvalues2.ydata11 = evalin('base','n2Fe2O3');
    elseif dat11 == 6
    yvalues2.ydata11 = evalin('base','n2MnO');
    elseif dat11 == 7
    yvalues2.ydata11 = evalin('base','n2MgO');
    elseif dat11 == 8
    yvalues2.ydata11 = evalin('base','n2CaO');
    elseif dat11 == 9
    yvalues2.ydata11 = evalin('base','n2Na2O');
    elseif dat11 == 10
    yvalues2.ydata11 = evalin('base','n2K2O');
    elseif dat11 == 11
    yvalues2.ydata11 = evalin('base','n2P2O5');
    elseif dat11 == 12
    yvalues2.ydata11 = evalin('base','n2Ag');
    elseif dat11 == 13
    yvalues2.ydata11 = evalin('base','n2As');
    elseif dat11 == 14
    yvalues2.ydata11 = evalin('base','n2Ba');
    elseif dat11 == 15
    yvalues2.ydata11 = evalin('base','n2Be');
    elseif dat11 == 16
    yvalues2.ydata11 = evalin('base','n2Bi');
    elseif dat11 == 17
    yvalues2.ydata11 = evalin('base','n2Cd');
    elseif dat11 == 18
    yvalues2.ydata11 = evalin('base','n2Co');
    elseif dat11 == 19
    yvalues2.ydata11 = evalin('base','n2Cr');
    elseif dat11 == 20
    yvalues2.ydata11 = evalin('base','n2Cs');
    elseif dat11 == 21
    yvalues2.ydata11 = evalin('base','n2Cu');
    elseif dat11 == 22
    yvalues2.ydata11 = evalin('base','n2Ga');
    elseif dat11 == 23
    yvalues2.ydata11 = evalin('base','n2Hf');
    elseif dat11 == 24
    yvalues2.ydata11 = evalin('base','n2In');
    elseif dat11 == 25
    yvalues2.ydata11 = evalin('base','n2Li');
    elseif dat11 == 26
    yvalues2.ydata11 = evalin('base','n2Mo');
    elseif dat11 == 27
    yvalues2.ydata11 = evalin('base','n2Nb');
    elseif dat11 == 28
    yvalues2.ydata11 = evalin('base','n2Ni');
    elseif dat11 == 29
    yvalues2.ydata11 = evalin('base','n2Pb');
    elseif dat11 == 30
    yvalues2.ydata11 = evalin('base','n2Rb');
    elseif dat11 == 31
    yvalues2.ydata11 = evalin('base','n2Sb');
    elseif dat11 == 32
    yvalues2.ydata11 = evalin('base','n2Sc');
    elseif dat11 == 33
    yvalues2.ydata11 = evalin('base','n2Sn');
    elseif dat11 == 34
    yvalues2.ydata11 = evalin('base','n2Sr');
    elseif dat11 == 35
    yvalues2.ydata11 = evalin('base','n2Ta');
    elseif dat11 == 36
    yvalues2.ydata11 = evalin('base','n2Tl');
    elseif dat11 == 37
    yvalues2.ydata11 = evalin('base','n2Th');
    elseif dat11 == 38
    yvalues2.ydata11 = evalin('base','n2U');
    elseif dat11 == 39
    yvalues2.ydata11 = evalin('base','n2V');
    elseif dat11 == 40
    yvalues2.ydata11 = evalin('base','n2W');
    elseif dat11 == 41
    yvalues2.ydata11 = evalin('base','n2Y');
    elseif dat11 == 42
    yvalues2.ydata11 = evalin('base','n2Zn');
    elseif dat11 == 43
    yvalues2.ydata11 = evalin('base','n2Zr');
    elseif dat11 == 44
    yvalues2.ydata11 = evalin('base','n2La');
    elseif dat11 == 45
    yvalues2.ydata11 = evalin('base','n2Ce');
    elseif dat11 == 46
    yvalues2.ydata11 = evalin('base','n2Pr');
    elseif dat11 == 47
    yvalues2.ydata11 = evalin('base','n2Nd');
    elseif dat11 == 48
    yvalues2.ydata11 = evalin('base','n2Sm');
    elseif dat11 == 49
    yvalues2.ydata11 = evalin('base','n2Eu');
    elseif dat11 == 50
    yvalues2.ydata11 = evalin('base','n2Gd');
    elseif dat11 == 51
    yvalues2.ydata11 = evalin('base','n2Tb');
    elseif dat11 == 52
    yvalues2.ydata11 = evalin('base','n2Dy');
    elseif dat11 == 53
    yvalues2.ydata11 = evalin('base','n2Ho');
    elseif dat11 == 54
    yvalues2.ydata11 = evalin('base','n2Er');
    elseif dat11 == 55
    yvalues2.ydata11 = evalin('base','n2Tm');
    elseif dat11 == 56
    yvalues2.ydata11 = evalin('base','n2Yb');
    else
    yvalues2.ydata11 = evalin('base','n2Lu');
end

%% 2nd dataset handles of y-denominator

% Handles of first factor
facy13 = get(findobj('Tag','facy03'),'Value');
if facy13 == 1
    yvalues2.yfact13 = 1;
    elseif facy13 == 2
    yvalues2.yfact13 = 0.1;
    elseif facy13 == 3
    yvalues2.yfact13 = 0.01;
    elseif facy13 == 4
    yvalues2.yfact13 = 0.001;
    elseif facy13 == 5
    yvalues2.yfact13 = 0.0001;
    elseif facy13 == 6    
    yvalues2.yfact13 = 10;
    elseif facy13 == 7
    yvalues2.yfact13 = 100;
    elseif facy13 == 8
    yvalues2.yfact13 = 1000;
    else
    yvalues2.yfact13 = 10000;
end

% Handles of second factor
facy14 = get(findobj('Tag','facy04'),'Value');
if facy14 == 1
    yvalues2.yfact14 = 1;
    elseif facy14 == 2
    yvalues2.yfact14 = 2;
    elseif facy14 == 3
    yvalues2.yfact14 = 3;
    elseif facy14 == 4
    yvalues2.yfact14 = 4;
    elseif facy14 == 5
    yvalues2.yfact14 = 5;
    elseif facy14 == 6
    yvalues2.yfact14 = 6;
    elseif facy14 == 7
    yvalues2.yfact14 = 7;
    elseif facy14 == 8
    yvalues2.yfact14 = 8;
    elseif facy14 == 9
    yvalues2.yfact14 = 9;
    elseif facy14 == 10
    yvalues2.yfact14 = 10;
    elseif facy14 == 11
    yvalues2.yfact14 = 11;
    elseif facy14 == 12
    yvalues2.yfact14 = 12;
    elseif facy14 == 13
    yvalues2.yfact14 = 13;
    elseif facy14 == 14
    yvalues2.yfact14 = 14;
    elseif facy14 == 15
    yvalues2.yfact14 = 15;
    elseif facy14 == 16
    yvalues2.yfact14 = 16;
    elseif facy14 == 17
    yvalues2.yfact14 = 17;
    elseif facy14 == 18
    yvalues2.yfact14 = 18;
    elseif facy14 == 19
    yvalues2.yfact14 = 19;
    elseif facy14 == 20
    yvalues2.yfact14 = 20;
    elseif facy14 == 21
    yvalues2.yfact14 = 21;
    elseif facy14 == 22
    yvalues2.yfact14 = 22;
    elseif facy14 == 23
    yvalues2.yfact14 = 23;
    elseif facy14 == 24
    yvalues2.yfact14 = 24;
    else
    yvalues2.yfact14 = 25;
end

% Handles of input y-numerator
dat12 = get(findobj('Tag','popy02'),'Value');
if dat12 == 1
    yvalues2.ydata12 = 1;
    elseif dat12 == 2
    yvalues2.ydata12 = evalin('base','n2SiO2');
    elseif dat12 == 3
    yvalues2.ydata12 = evalin('base','n2TiO2');
    elseif dat12 == 4
    yvalues2.ydata12 = evalin('base','n2Al2O3');
    elseif dat12 == 5
    yvalues2.ydata12 = evalin('base','n2Fe2O3');
    elseif dat12 == 6
    yvalues2.ydata12 = evalin('base','n2MnO');
    elseif dat12 == 7
    yvalues2.ydata12 = evalin('base','n2MgO');
    elseif dat12 == 8
    yvalues2.ydata12 = evalin('base','n2CaO');
    elseif dat12 == 9
    yvalues2.ydata12 = evalin('base','n2Na2O');
    elseif dat12 == 10
    yvalues2.ydata12 = evalin('base','n2K2O');
    elseif dat12 == 11
    yvalues2.ydata12 = evalin('base','n2P2O5');
    elseif dat12 == 12
    yvalues2.ydata12 = evalin('base','n2Ag');
    elseif dat12 == 13
    yvalues2.ydata12 = evalin('base','n2As');
    elseif dat12 == 14
    yvalues2.ydata12 = evalin('base','n2Ba');
    elseif dat12 == 15
    yvalues2.ydata12 = evalin('base','n2Be');
    elseif dat12 == 16
    yvalues2.ydata12 = evalin('base','n2Bi');
    elseif dat12 == 17
    yvalues2.ydata12 = evalin('base','n2Cd');
    elseif dat12 == 18
    yvalues2.ydata12 = evalin('base','n2Co');
    elseif dat12 == 19
    yvalues2.ydata12 = evalin('base','n2Cr');
    elseif dat12 == 20
    yvalues2.ydata12 = evalin('base','n2Cs');
    elseif dat12 == 21
    yvalues2.ydata12 = evalin('base','n2Cu');
    elseif dat12 == 22
    yvalues2.ydata12 = evalin('base','n2Ga');
    elseif dat12 == 23
    yvalues2.ydata12 = evalin('base','n2Hf');
    elseif dat12 == 24
    yvalues2.ydata12 = evalin('base','n2In');
    elseif dat12 == 25
    yvalues2.ydata12 = evalin('base','n2Li');
    elseif dat12 == 26
    yvalues2.ydata12 = evalin('base','n2Mo');
    elseif dat12 == 27
    yvalues2.ydata12 = evalin('base','n2Nb');
    elseif dat12 == 28
    yvalues2.ydata12 = evalin('base','n2Ni');
    elseif dat12 == 29
    yvalues2.ydata12 = evalin('base','n2Pb');
    elseif dat12 == 30
    yvalues2.ydata12 = evalin('base','n2Rb');
    elseif dat12 == 31
    yvalues2.ydata12 = evalin('base','n2Sb');
    elseif dat12 == 32
    yvalues2.ydata12 = evalin('base','n2Sc');
    elseif dat12 == 33
    yvalues2.ydata12 = evalin('base','n2Sn');
    elseif dat12 == 34
    yvalues2.ydata12 = evalin('base','n2Sr');
    elseif dat12 == 35
    yvalues2.ydata12 = evalin('base','n2Ta');
    elseif dat12 == 36
    yvalues2.ydata12 = evalin('base','n2Tl');
    elseif dat12 == 37
    yvalues2.ydata12 = evalin('base','n2Th');
    elseif dat12 == 38
    yvalues2.ydata12 = evalin('base','n2U');
    elseif dat12 == 39
    yvalues2.ydata12 = evalin('base','n2V');
    elseif dat12 == 40
    yvalues2.ydata12 = evalin('base','n2W');
    elseif dat12 == 41
    yvalues2.ydata12 = evalin('base','n2Y');
    elseif dat12 == 42
    yvalues2.ydata12 = evalin('base','n2Zn');
    elseif dat12 == 43
    yvalues2.ydata12 = evalin('base','n2Zr');
    elseif dat12 == 44
    yvalues2.ydata12 = evalin('base','n2La');
    elseif dat12 == 45
    yvalues2.ydata12 = evalin('base','n2Ce');
    elseif dat12 == 46
    yvalues2.ydata12 = evalin('base','n2Pr');
    elseif dat12 == 47
    yvalues2.ydata12 = evalin('base','n2Nd');
    elseif dat12 == 48
    yvalues2.ydata12 = evalin('base','n2Sm');
    elseif dat12 == 49
    yvalues2.ydata12 = evalin('base','n2Eu');
    elseif dat12 == 50
    yvalues2.ydata12 = evalin('base','n2Gd');
    elseif dat12 == 51
    yvalues2.ydata12 = evalin('base','n2Tb');
    elseif dat12 == 52
    yvalues2.ydata12 = evalin('base','n2Dy');
    elseif dat12 == 53
    yvalues2.ydata12 = evalin('base','n2Ho');
    elseif dat12 == 54
    yvalues2.ydata12 = evalin('base','n2Er');
    elseif dat12 == 55
    yvalues2.ydata12 = evalin('base','n2Tm');
    elseif dat12 == 56
    yvalues2.ydata12 = evalin('base','n2Yb');
    else
    yvalues2.ydata12 = evalin('base','n2Lu');
end

%% 2nd dataset handles of z-numerators

% Handles of first factor
facz11 = get(findobj('Tag','facz01'),'Value');
if facz11 == 1
    zvalues2.zfact11 = 1;
    elseif facz11 == 2
    zvalues2.zfact11 = 0.1;
    elseif facz11 == 3
    zvalues2.zfact11 = 0.01;
    elseif facz11 == 4
    zvalues2.zfact11 = 0.001;
    elseif facz11 == 5
    zvalues2.zfact11 = 0.0001;
    elseif facz11 == 6    
    zvalues2.zfact11 = 10;
    elseif facz11 == 7
    zvalues2.zfact11 = 100;
    elseif facz11 == 8
    zvalues2.zfact11 = 1000;
    else
    zvalues2.zfact11 = 10000;
end

% Handles of second factor
facz12 = get(findobj('Tag','facz02'),'Value');
if facz12 == 1
    zvalues2.zfact12 = 1;
    elseif facz12 == 2
    zvalues2.zfact12 = 2;
    elseif facz12 == 3
    zvalues2.zfact12 = 3;
    elseif facz12 == 4
    zvalues2.zfact12 = 4;
    elseif facz12 == 5
    zvalues2.zfact12 = 5;
    elseif facz12 == 6
    zvalues2.zfact12 = 6;
    elseif facz12 == 7
    zvalues2.zfact12 = 7;
    elseif facz12 == 8
    zvalues2.zfact12 = 8;
    elseif facz12 == 9
    zvalues2.zfact12 = 9;
    elseif facz12 == 10
    zvalues2.zfact12 = 10;
    elseif facz12 == 11
    zvalues2.zfact12 = 11;
    elseif facz12 == 12
    zvalues2.zfact12 = 12;
    elseif facz12 == 13
    zvalues2.zfact12 = 13;
    elseif facz12 == 14
    zvalues2.zfact12 = 14;
    elseif facz12 == 15
    zvalues2.zfact12 = 15;
    elseif facz12 == 16
    zvalues2.zfact12 = 16;
    elseif facz12 == 17
    zvalues2.zfact12 = 17;
    elseif facz12 == 18
    zvalues2.zfact12 = 18;
    elseif facz12 == 19
    zvalues2.zfact12 = 19;
    elseif facz12 == 20
    zvalues2.zfact12 = 20;
    elseif facz12 == 21
    zvalues2.zfact12 = 21;
    elseif facz12 == 22
    zvalues2.zfact12 = 22;
    elseif facz12 == 23
    zvalues2.zfact12 = 23;
    elseif facz12 == 24
    zvalues2.zfact12 = 24;
    else
    zvalues2.zfact12 = 25;
end

% Handles of input z-numerator
dat11 = get(findobj('Tag','popz01'),'Value');
if dat11 == 1
    zvalues2.zdata11 = 1;
    elseif dat11 == 2
    zvalues2.zdata11 = evalin('base','n2SiO2');
    elseif dat11 == 3
    zvalues2.zdata11 = evalin('base','n2TiO2');
    elseif dat11 == 4
    zvalues2.zdata11 = evalin('base','n2Al2O3');
    elseif dat11 == 5
    zvalues2.zdata11 = evalin('base','n2Fe2O3');
    elseif dat11 == 6
    zvalues2.zdata11 = evalin('base','n2MnO');
    elseif dat11 == 7
    zvalues2.zdata11 = evalin('base','n2MgO');
    elseif dat11 == 8
    zvalues2.zdata11 = evalin('base','n2CaO');
    elseif dat11 == 9
    zvalues2.zdata11 = evalin('base','n2Na2O');
    elseif dat11 == 10
    zvalues2.zdata11 = evalin('base','n2K2O');
    elseif dat11 == 11
    zvalues2.zdata11 = evalin('base','n2P2O5');
    elseif dat11 == 12
    zvalues2.zdata11 = evalin('base','n2Ag');
    elseif dat11 == 13
    zvalues2.zdata11 = evalin('base','n2As');
    elseif dat11 == 14
    zvalues2.zdata11 = evalin('base','n2Ba');
    elseif dat11 == 15
    zvalues2.zdata11 = evalin('base','n2Be');
    elseif dat11 == 16
    zvalues2.zdata11 = evalin('base','n2Bi');
    elseif dat11 == 17
    zvalues2.zdata11 = evalin('base','n2Cd');
    elseif dat11 == 18
    zvalues2.zdata11 = evalin('base','n2Co');
    elseif dat11 == 19
    zvalues2.zdata11 = evalin('base','n2Cr');
    elseif dat11 == 20
    zvalues2.zdata11 = evalin('base','n2Cs');
    elseif dat11 == 21
    zvalues2.zdata11 = evalin('base','n2Cu');
    elseif dat11 == 22
    zvalues2.zdata11 = evalin('base','n2Ga');
    elseif dat11 == 23
    zvalues2.zdata11 = evalin('base','n2Hf');
    elseif dat11 == 24
    zvalues2.zdata11 = evalin('base','n2In');
    elseif dat11 == 25
    zvalues2.zdata11 = evalin('base','n2Li');
    elseif dat11 == 26
    zvalues2.zdata11 = evalin('base','n2Mo');
    elseif dat11 == 27
    zvalues2.zdata11 = evalin('base','n2Nb');
    elseif dat11 == 28
    zvalues2.zdata11 = evalin('base','n2Ni');
    elseif dat11 == 29
    zvalues2.zdata11 = evalin('base','n2Pb');
    elseif dat11 == 30
    zvalues2.zdata11 = evalin('base','n2Rb');
    elseif dat11 == 31
    zvalues2.zdata11 = evalin('base','n2Sb');
    elseif dat11 == 32
    zvalues2.zdata11 = evalin('base','n2Sc');
    elseif dat11 == 33
    zvalues2.zdata11 = evalin('base','n2Sn');
    elseif dat11 == 34
    zvalues2.zdata11 = evalin('base','n2Sr');
    elseif dat11 == 35
    zvalues2.zdata11 = evalin('base','n2Ta');
    elseif dat11 == 36
    zvalues2.zdata11 = evalin('base','n2Tl');
    elseif dat11 == 37
    zvalues2.zdata11 = evalin('base','n2Th');
    elseif dat11 == 38
    zvalues2.zdata11 = evalin('base','n2U');
    elseif dat11 == 39
    zvalues2.zdata11 = evalin('base','n2V');
    elseif dat11 == 40
    zvalues2.zdata11 = evalin('base','n2W');
    elseif dat11 == 41
    zvalues2.zdata11 = evalin('base','n2Y');
    elseif dat11 == 42
    zvalues2.zdata11 = evalin('base','n2Zn');
    elseif dat11 == 43
    zvalues2.zdata11 = evalin('base','n2Zr');
    elseif dat11 == 44
    zvalues2.zdata11 = evalin('base','n2La');
    elseif dat11 == 45
    zvalues2.zdata11 = evalin('base','n2Ce');
    elseif dat11 == 46
    zvalues2.zdata11 = evalin('base','n2Pr');
    elseif dat11 == 47
    zvalues2.zdata11 = evalin('base','n2Nd');
    elseif dat11 == 48
    zvalues2.zdata11 = evalin('base','n2Sm');
    elseif dat11 == 49
    zvalues2.zdata11 = evalin('base','n2Eu');
    elseif dat11 == 50
    zvalues2.zdata11 = evalin('base','n2Gd');
    elseif dat11 == 51
    zvalues2.zdata11 = evalin('base','n2Tb');
    elseif dat11 == 52
    zvalues2.zdata11 = evalin('base','n2Dy');
    elseif dat11 == 53
    zvalues2.zdata11 = evalin('base','n2Ho');
    elseif dat11 == 54
    zvalues2.zdata11 = evalin('base','n2Er');
    elseif dat11 == 55
    zvalues2.zdata11 = evalin('base','n2Tm');
    elseif dat11 == 56
    zvalues2.zdata11 = evalin('base','n2Yb');
    else
    zvalues2.zdata11 = evalin('base','n2Lu');
end

%% 2nd dataset handles of z-denominator

facz13 = get(findobj('Tag','facz03'),'Value');
if facz13 == 1
    zvalues2.zfact13 = 1;
    elseif facz13 == 2
    zvalues2.zfact13 = 0.1;
    elseif facz13 == 3
    zvalues2.zfact13 = 0.01;
    elseif facz13 == 4
    zvalues2.zfact13 = 0.001;
    elseif facz13 == 5
    zvalues2.zfact13 = 0.0001;
    elseif facz13 == 6    
    zvalues2.zfact13 = 10;
    elseif facz13 == 7
    zvalues2.zfact13 = 100;
    elseif facz13 == 8
    zvalues2.zfact13 = 1000;
    else
    zvalues2.zfact13 = 10000;
end

% Handles of second factor
facz14 = get(findobj('Tag','facz04'),'Value');
if facz14 == 1
    zvalues2.zfact14 = 1;
    elseif facz14 == 2
    zvalues2.zfact14 = 2;
    elseif facz14 == 3
    zvalues2.zfact14 = 3;
    elseif facz14 == 4
    zvalues2.zfact14 = 4;
    elseif facz14 == 5
    zvalues2.zfact14 = 5;
    elseif facz14 == 6
    zvalues2.zfact14 = 6;
    elseif facz14 == 7
    zvalues2.zfact14 = 7;
    elseif facz14 == 8
    zvalues2.zfact14 = 8;
    elseif facz14 == 9
    zvalues2.zfact14 = 9;
    elseif facz14 == 10
    zvalues2.zfact14 = 10;
    elseif facz14 == 11
    zvalues2.zfact14 = 11;
    elseif facz14 == 12
    zvalues2.zfact14 = 12;
    elseif facz14 == 13
    zvalues2.zfact14 = 13;
    elseif facz14 == 14
    zvalues2.zfact14 = 14;
    elseif facz14 == 15
    zvalues2.zfact14 = 15;
    elseif facz14 == 16
    zvalues2.zfact14 = 16;
    elseif facz14 == 17
    zvalues2.zfact14 = 17;
    elseif facz14 == 18
    zvalues2.zfact14 = 18;
    elseif facz14 == 19
    zvalues2.zfact14 = 19;
    elseif facz14 == 20
    zvalues2.zfact14 = 20;
    elseif facz14 == 21
    zvalues2.zfact14 = 21;
    elseif facz14 == 22
    zvalues2.zfact14 = 22;
    elseif facz14 == 23
    zvalues2.zfact14 = 23;
    elseif facz14 == 24
    zvalues2.zfact14 = 24;
    else
    zvalues2.zfact14 = 25;
end

% Handles of input z-numerator
dat12 = get(findobj('Tag','popz02'),'Value');
if dat12 == 1
    zvalues2.zdata12 = 1;
    elseif dat12 == 2
    zvalues2.zdata12 = evalin('base','n2SiO2');
    elseif dat12 == 3
    zvalues2.zdata12 = evalin('base','n2TiO2');
    elseif dat12 == 4
    zvalues2.zdata12 = evalin('base','n2Al2O3');
    elseif dat12 == 5
    zvalues2.zdata12 = evalin('base','n2Fe2O3');
    elseif dat12 == 6
    zvalues2.zdata12 = evalin('base','n2MnO');
    elseif dat12 == 7
    zvalues2.zdata12 = evalin('base','n2MgO');
    elseif dat12 == 8
    zvalues2.zdata12 = evalin('base','n2CaO');
    elseif dat12 == 9
    zvalues2.zdata12 = evalin('base','n2Na2O');
    elseif dat12 == 10
    zvalues2.zdata12 = evalin('base','n2K2O');
    elseif dat12 == 11
    zvalues2.zdata12 = evalin('base','n2P2O5');
    elseif dat12 == 12
    zvalues2.zdata12 = evalin('base','n2Ag');
    elseif dat12 == 13
    zvalues2.zdata12 = evalin('base','n2As');
    elseif dat12 == 14
    zvalues2.zdata12 = evalin('base','n2Ba');
    elseif dat12 == 15
    zvalues2.zdata12 = evalin('base','n2Be');
    elseif dat12 == 16
    zvalues2.zdata12 = evalin('base','n2Bi');
    elseif dat12 == 17
    zvalues2.zdata12 = evalin('base','n2Cd');
    elseif dat12 == 18
    zvalues2.zdata12 = evalin('base','n2Co');
    elseif dat12 == 19
    zvalues2.zdata12 = evalin('base','n2Cr');
    elseif dat12 == 20
    zvalues2.zdata12 = evalin('base','n2Cs');
    elseif dat12 == 21
    zvalues2.zdata12 = evalin('base','n2Cu');
    elseif dat12 == 22
    zvalues2.zdata12 = evalin('base','n2Ga');
    elseif dat12 == 23
    zvalues2.zdata12 = evalin('base','n2Hf');
    elseif dat12 == 24
    zvalues2.zdata12 = evalin('base','n2In');
    elseif dat12 == 25
    zvalues2.zdata12 = evalin('base','n2Li');
    elseif dat12 == 26
    zvalues2.zdata12 = evalin('base','n2Mo');
    elseif dat12 == 27
    zvalues2.zdata12 = evalin('base','n2Nb');
    elseif dat12 == 28
    zvalues2.zdata12 = evalin('base','n2Ni');
    elseif dat12 == 29
    zvalues2.zdata12 = evalin('base','n2Pb');
    elseif dat12 == 30
    zvalues2.zdata12 = evalin('base','n2Rb');
    elseif dat12 == 31
    zvalues2.zdata12 = evalin('base','n2Sb');
    elseif dat12 == 32
    zvalues2.zdata12 = evalin('base','n2Sc');
    elseif dat12 == 33
    zvalues2.zdata12 = evalin('base','n2Sn');
    elseif dat12 == 34
    zvalues2.zdata12 = evalin('base','n2Sr');
    elseif dat12 == 35
    zvalues2.zdata12 = evalin('base','n2Ta');
    elseif dat12 == 36
    zvalues2.zdata12 = evalin('base','n2Tl');
    elseif dat12 == 37
    zvalues2.zdata12 = evalin('base','n2Th');
    elseif dat12 == 38
    zvalues2.zdata12 = evalin('base','n2U');
    elseif dat12 == 39
    zvalues2.zdata12 = evalin('base','n2V');
    elseif dat12 == 40
    zvalues2.zdata12 = evalin('base','n2W');
    elseif dat12 == 41
    zvalues2.zdata12 = evalin('base','n2Y');
    elseif dat12 == 42
    zvalues2.zdata12 = evalin('base','n2Zn');
    elseif dat12 == 43
    zvalues2.zdata12 = evalin('base','n2Zr');
    elseif dat12 == 44
    zvalues2.zdata12 = evalin('base','n2La');
    elseif dat12 == 45
    zvalues2.zdata12 = evalin('base','n2Ce');
    elseif dat12 == 46
    zvalues2.zdata12 = evalin('base','n2Pr');
    elseif dat12 == 47
    zvalues2.zdata12 = evalin('base','n2Nd');
    elseif dat12 == 48
    zvalues2.zdata12 = evalin('base','n2Sm');
    elseif dat12 == 49
    zvalues2.zdata12 = evalin('base','n2Eu');
    elseif dat12 == 50
    zvalues2.zdata12 = evalin('base','n2Gd');
    elseif dat12 == 51
    zvalues2.zdata12 = evalin('base','n2Tb');
    elseif dat12 == 52
    zvalues2.zdata12 = evalin('base','n2Dy');
    elseif dat12 == 53
    zvalues2.zdata12 = evalin('base','n2Ho');
    elseif dat12 == 54
    zvalues2.zdata12 = evalin('base','n2Er');
    elseif dat12 == 55
    zvalues2.zdata12 = evalin('base','n2Tm');
    elseif dat12 == 56
    zvalues2.zdata12 = evalin('base','n2Yb');
    else
    zvalues2.zdata12 = evalin('base','n2Lu');
end

%% 3rd dataset handles of x-numerators

% Handles of first factor
facx11 = get(findobj('Tag','facx01'),'Value');
if facx11 == 1
    xvalues3.xfact11 = 1;
    elseif facx11 == 2
    xvalues3.xfact11 = 0.1;
    elseif facx11 == 3
    xvalues3.xfact11 = 0.01;
    elseif facx11 == 4
    xvalues3.xfact11 = 0.001;
    elseif facx11 == 5
    xvalues3.xfact11 = 0.0001;
    elseif facx11 == 6    
    xvalues3.xfact11 = 10;
    elseif facx11 == 7
    xvalues3.xfact11 = 100;
    elseif facx11 == 8
    xvalues3.xfact11 = 1000;
    else
    xvalues3.xfact11 = 10000;
end

% Handles of second factor
facx12 = get(findobj('Tag','facx02'),'Value');
if facx12 == 1
    xvalues3.xfact12 = 1;
    elseif facx12 == 2
    xvalues3.xfact12 = 2;
    elseif facx12 == 3
    xvalues3.xfact12 = 3;
    elseif facx12 == 4
    xvalues3.xfact12 = 4;
    elseif facx12 == 5
    xvalues3.xfact12 = 5;
    elseif facx12 == 6
    xvalues3.xfact12 = 6;
    elseif facx12 == 7
    xvalues3.xfact12 = 7;
    elseif facx12 == 8
    xvalues3.xfact12 = 8;
    elseif facx12 == 9
    xvalues3.xfact12 = 9;
    elseif facx12 == 10
    xvalues3.xfact12 = 10;
    elseif facx12 == 11
    xvalues3.xfact12 = 11;
    elseif facx12 == 12
    xvalues3.xfact12 = 12;
    elseif facx12 == 13
    xvalues3.xfact12 = 13;
    elseif facx12 == 14
    xvalues3.xfact12 = 14;
    elseif facx12 == 15
    xvalues3.xfact12 = 15;
    elseif facx12 == 16
    xvalues3.xfact12 = 16;
    elseif facx12 == 17
    xvalues3.xfact12 = 17;
    elseif facx12 == 18
    xvalues3.xfact12 = 18;
    elseif facx12 == 19
    xvalues3.xfact12 = 19;
    elseif facx12 == 20
    xvalues3.xfact12 = 20;
    elseif facx12 == 21
    xvalues3.xfact12 = 21;
    elseif facx12 == 22
    xvalues3.xfact12 = 22;
    elseif facx12 == 23
    xvalues3.xfact12 = 23;
    elseif facx12 == 24
    xvalues3.xfact12 = 24;
    else
    xvalues3.xfact12 = 25;
end

% Handles of inpu x-numerator
dat11 = get(findobj('Tag','popx01'),'Value');
if dat11 == 1
    xvalues3.xdata11 = 1;
    elseif dat11 == 2
    xvalues3.xdata11 = evalin('base','n3SiO2');
    elseif dat11 == 3
    xvalues3.xdata11 = evalin('base','n3TiO2');
    elseif dat11 == 4
    xvalues3.xdata11 = evalin('base','n3Al2O3');
    elseif dat11 == 5
    xvalues3.xdata11 = evalin('base','n3Fe2O3');
    elseif dat11 == 6
    xvalues3.xdata11 = evalin('base','n3MnO');
    elseif dat11 == 7
    xvalues3.xdata11 = evalin('base','n3MgO');
    elseif dat11 == 8
    xvalues3.xdata11 = evalin('base','n3CaO');
    elseif dat11 == 9
    xvalues3.xdata11 = evalin('base','n3Na2O');
    elseif dat11 == 10
    xvalues3.xdata11 = evalin('base','n3K2O');
    elseif dat11 == 11
    xvalues3.xdata11 = evalin('base','n3P2O5');
    elseif dat11 == 12
    xvalues3.xdata11 = evalin('base','n3Ag');
    elseif dat11 == 13
    xvalues3.xdata11 = evalin('base','n3As');
    elseif dat11 == 14
    xvalues3.xdata11 = evalin('base','n3Ba');
    elseif dat11 == 15
    xvalues3.xdata11 = evalin('base','n3Be');
    elseif dat11 == 16
    xvalues3.xdata11 = evalin('base','n3Bi');
    elseif dat11 == 17
    xvalues3.xdata11 = evalin('base','n3Cd');
    elseif dat11 == 18
    xvalues3.xdata11 = evalin('base','n3Co');
    elseif dat11 == 19
    xvalues3.xdata11 = evalin('base','n3Cr');
    elseif dat11 == 20
    xvalues3.xdata11 = evalin('base','n3Cs');
    elseif dat11 == 21
    xvalues3.xdata11 = evalin('base','n3Cu');
    elseif dat11 == 22
    xvalues3.xdata11 = evalin('base','n3Ga');
    elseif dat11 == 23
    xvalues3.xdata11 = evalin('base','n3Hf');
    elseif dat11 == 24
    xvalues3.xdata11 = evalin('base','n3In');
    elseif dat11 == 25
    xvalues3.xdata11 = evalin('base','n3Li');
    elseif dat11 == 26
    xvalues3.xdata11 = evalin('base','n3Mo');
    elseif dat11 == 27
    xvalues3.xdata11 = evalin('base','n3Nb');
    elseif dat11 == 28
    xvalues3.xdata11 = evalin('base','n3Ni');
    elseif dat11 == 29
    xvalues3.xdata11 = evalin('base','n3Pb');
    elseif dat11 == 30
    xvalues3.xdata11 = evalin('base','n3Rb');
    elseif dat11 == 31
    xvalues3.xdata11 = evalin('base','n3Sb');
    elseif dat11 == 32
    xvalues3.xdata11 = evalin('base','n3Sc');
    elseif dat11 == 33
    xvalues3.xdata11 = evalin('base','n3Sn');
    elseif dat11 == 34
    xvalues3.xdata11 = evalin('base','n3Sr');
    elseif dat11 == 35
    xvalues3.xdata11 = evalin('base','n3Ta');
    elseif dat11 == 36
    xvalues3.xdata11 = evalin('base','n3Tl');
    elseif dat11 == 37
    xvalues3.xdata11 = evalin('base','n3Th');
    elseif dat11 == 38
    xvalues3.xdata11 = evalin('base','n3U');
    elseif dat11 == 39
    xvalues3.xdata11 = evalin('base','n3V');
    elseif dat11 == 40
    xvalues3.xdata11 = evalin('base','n3W');
    elseif dat11 == 41
    xvalues3.xdata11 = evalin('base','n3Y');
    elseif dat11 == 42
    xvalues3.xdata11 = evalin('base','n3Zn');
    elseif dat11 == 43
    xvalues3.xdata11 = evalin('base','n3Zr');
    elseif dat11 == 44
    xvalues3.xdata11 = evalin('base','n3La');
    elseif dat11 == 45
    xvalues3.xdata11 = evalin('base','n3Ce');
    elseif dat11 == 46
    xvalues3.xdata11 = evalin('base','n3Pr');
    elseif dat11 == 47
    xvalues3.xdata11 = evalin('base','n3Nd');
    elseif dat11 == 48
    xvalues3.xdata11 = evalin('base','n3Sm');
    elseif dat11 == 49
    xvalues3.xdata11 = evalin('base','n3Eu');
    elseif dat11 == 50
    xvalues3.xdata11 = evalin('base','n3Gd');
    elseif dat11 == 51
    xvalues3.xdata11 = evalin('base','n3Tb');
    elseif dat11 == 52
    xvalues3.xdata11 = evalin('base','n3Dy');
    elseif dat11 == 53
    xvalues3.xdata11 = evalin('base','n3Ho');
    elseif dat11 == 54
    xvalues3.xdata11 = evalin('base','n3Er');
    elseif dat11 == 55
    xvalues3.xdata11 = evalin('base','n3Tm');
    elseif dat11 == 56
    xvalues3.xdata11 = evalin('base','n3Yb');
    else
    xvalues3.xdata11 = evalin('base','n3Lu');
end

%% 3rd dataset handles of x-denominator

% Handles of first factor
facx13 = get(findobj('Tag','facx03'),'Value');
if facx13 == 1
    xvalues3.xfact13 = 1;
    elseif facx13 == 2
    xvalues3.xfact13 = 0.1;
    elseif facx13 == 3
    xvalues3.xfact13 = 0.01;
    elseif facx13 == 4
    xvalues3.xfact13 = 0.001;
    elseif facx13 == 5
    xvalues3.xfact13 = 0.0001;
    elseif facx13 == 6    
    xvalues3.xfact13 = 10;
    elseif facx13 == 7
    xvalues3.xfact13 = 100;
    elseif facx13 == 8
    xvalues3.xfact13 = 1000;
    else
    xvalues3.xfact13 = 10000;
end

% Handles of second factor
facx14 = get(findobj('Tag','facx04'),'Value');
if facx14 == 1
    xvalues3.xfact14 = 1;
    elseif facx14 == 2
    xvalues3.xfact14 = 2;
    elseif facx14 == 3
    xvalues3.xfact14 = 3;
    elseif facx14 == 4
    xvalues3.xfact14 = 4;
    elseif facx14 == 5
    xvalues3.xfact14 = 5;
    elseif facx14 == 6
    xvalues3.xfact14 = 6;
    elseif facx14 == 7
    xvalues3.xfact14 = 7;
    elseif facx14 == 8
    xvalues3.xfact14 = 8;
    elseif facx14 == 9
    xvalues3.xfact14 = 9;
    elseif facx14 == 10
    xvalues3.xfact14 = 10;
    elseif facx14 == 11
    xvalues3.xfact14 = 11;
    elseif facx14 == 12
    xvalues3.xfact14 = 12;
    elseif facx14 == 13
    xvalues3.xfact14 = 13;
    elseif facx14 == 14
    xvalues3.xfact14 = 14;
    elseif facx14 == 15
    xvalues3.xfact14 = 15;
    elseif facx14 == 16
    xvalues3.xfact14 = 16;
    elseif facx14 == 17
    xvalues3.xfact14 = 17;
    elseif facx14 == 18
    xvalues3.xfact14 = 18;
    elseif facx14 == 19
    xvalues3.xfact14 = 19;
    elseif facx14 == 20
    xvalues3.xfact14 = 20;
    elseif facx14 == 21
    xvalues3.xfact14 = 21;
    elseif facx14 == 22
    xvalues3.xfact14 = 22;
    elseif facx14 == 23
    xvalues3.xfact14 = 23;
    elseif facx14 == 24
    xvalues3.xfact14 = 24;
    else
    xvalues3.xfact14 = 25;
end

% Handles of input y-numerator
dat12 = get(findobj('Tag','popx02'),'Value');
if dat12 == 1
    xvalues3.xdata12 = 1;
    elseif dat12 == 2
    xvalues3.xdata12 = evalin('base','n3SiO2');
    elseif dat12 == 3
    xvalues3.xdata12 = evalin('base','n3TiO2');
    elseif dat12 == 4
    xvalues3.xdata12 = evalin('base','n3Al2O3');
    elseif dat12 == 5
    xvalues3.xdata12 = evalin('base','n3Fe2O3');
    elseif dat12 == 6
    xvalues3.xdata12 = evalin('base','n3MnO');
    elseif dat12 == 7
    xvalues3.xdata12 = evalin('base','n3MgO');
    elseif dat12 == 8
    xvalues3.xdata12 = evalin('base','n3CaO');
    elseif dat12 == 9
    xvalues3.xdata12 = evalin('base','n3Na2O');
    elseif dat12 == 10
    xvalues3.xdata12 = evalin('base','n3K2O');
    elseif dat12 == 11
    xvalues3.xdata12 = evalin('base','n3P2O5');
    elseif dat12 == 12
    xvalues3.xdata12 = evalin('base','n3Ag');
    elseif dat12 == 13
    xvalues3.xdata12 = evalin('base','n3As');
    elseif dat12 == 14
    xvalues3.xdata12 = evalin('base','n3Ba');
    elseif dat12 == 15
    xvalues3.xdata12 = evalin('base','n3Be');
    elseif dat12 == 16
    xvalues3.xdata12 = evalin('base','n3Bi');
    elseif dat12 == 17
    xvalues3.xdata12 = evalin('base','n3Cd');
    elseif dat12 == 18
    xvalues3.xdata12 = evalin('base','n3Co');
    elseif dat12 == 19
    xvalues3.xdata12 = evalin('base','n3Cr');
    elseif dat12 == 20
    xvalues3.xdata12 = evalin('base','n3Cs');
    elseif dat12 == 21
    xvalues3.xdata12 = evalin('base','n3Cu');
    elseif dat12 == 22
    xvalues3.xdata12 = evalin('base','n3Ga');
    elseif dat12 == 23
    xvalues3.xdata12 = evalin('base','n3Hf');
    elseif dat12 == 24
    xvalues3.xdata12 = evalin('base','n3In');
    elseif dat12 == 25
    xvalues3.xdata12 = evalin('base','n3Li');
    elseif dat12 == 26
    xvalues3.xdata12 = evalin('base','n3Mo');
    elseif dat12 == 27
    xvalues3.xdata12 = evalin('base','n3Nb');
    elseif dat12 == 28
    xvalues3.xdata12 = evalin('base','n3Ni');
    elseif dat12 == 29
    xvalues3.xdata12 = evalin('base','n3Pb');
    elseif dat12 == 30
    xvalues3.xdata12 = evalin('base','n3Rb');
    elseif dat12 == 31
    xvalues3.xdata12 = evalin('base','n3Sb');
    elseif dat12 == 32
    xvalues3.xdata12 = evalin('base','n3Sc');
    elseif dat12 == 33
    xvalues3.xdata12 = evalin('base','n3Sn');
    elseif dat12 == 34
    xvalues3.xdata12 = evalin('base','n3Sr');
    elseif dat12 == 35
    xvalues3.xdata12 = evalin('base','n3Ta');
    elseif dat12 == 36
    xvalues3.xdata12 = evalin('base','n3Tl');
    elseif dat12 == 37
    xvalues3.xdata12 = evalin('base','n3Th');
    elseif dat12 == 38
    xvalues3.xdata12 = evalin('base','n3U');
    elseif dat12 == 39
    xvalues3.xdata12 = evalin('base','n3V');
    elseif dat12 == 40
    xvalues3.xdata12 = evalin('base','n3W');
    elseif dat12 == 41
    xvalues3.xdata12 = evalin('base','n3Y');
    elseif dat12 == 42
    xvalues3.xdata12 = evalin('base','n3Zn');
    elseif dat12 == 43
    xvalues3.xdata12 = evalin('base','n3Zr');
    elseif dat12 == 44
    xvalues3.xdata12 = evalin('base','n3La');
    elseif dat12 == 45
    xvalues3.xdata12 = evalin('base','n3Ce');
    elseif dat12 == 46
    xvalues3.xdata12 = evalin('base','n3Pr');
    elseif dat12 == 47
    xvalues3.xdata12 = evalin('base','n3Nd');
    elseif dat12 == 48
    xvalues3.xdata12 = evalin('base','n3Sm');
    elseif dat12 == 49
    xvalues3.xdata12 = evalin('base','n3Eu');
    elseif dat12 == 50
    xvalues3.xdata12 = evalin('base','n3Gd');
    elseif dat12 == 51
    xvalues3.xdata12 = evalin('base','n3Tb');
    elseif dat12 == 52
    xvalues3.xdata12 = evalin('base','n3Dy');
    elseif dat12 == 53
    xvalues3.xdata12 = evalin('base','n3Ho');
    elseif dat12 == 54
    xvalues3.xdata12 = evalin('base','n3Er');
    elseif dat12 == 55
    xvalues3.xdata12 = evalin('base','n3Tm');
    elseif dat12 == 56
    xvalues3.xdata12 = evalin('base','n3Yb');
    else
    xvalues3.xdata12 = evalin('base','n3Lu');
end

%% 3rd dataset handles of y-numerators

% Handles of first factor
facy11 = get(findobj('Tag','facy01'),'Value');
if facy11 == 1
    yvalues3.yfact11 = 1;
    elseif facy11 == 2
    yvalues3.yfact11 = 0.1;
    elseif facy11 == 3
    yvalues3.yfact11 = 0.01;
    elseif facy11 == 4
    yvalues3.yfact11 = 0.001;
    elseif facy11 == 5
    yvalues3.yfact11 = 0.0001;
    elseif facy11 == 6    
    yvalues3.yfact11 = 10;
    elseif facy11 == 7
    yvalues3.yfact11 = 100;
    elseif facy11 == 8
    yvalues3.yfact11 = 1000;
    else
    yvalues3.yfact11 = 10000;
end

% Handles of second factor
facy12 = get(findobj('Tag','facy02'),'Value');
if facy12 == 1
    yvalues3.yfact12 = 1;
    elseif facy12 == 2
    yvalues3.yfact12 = 2;
    elseif facy12 == 3
    yvalues3.yfact12 = 3;
    elseif facy12 == 4
    yvalues3.yfact12 = 4;
    elseif facy12 == 5
    yvalues3.yfact12 = 5;
    elseif facy12 == 6
    yvalues3.yfact12 = 6;
    elseif facy12 == 7
    yvalues3.yfact12 = 7;
    elseif facy12 == 8
    yvalues3.yfact12 = 8;
    elseif facy12 == 9
    yvalues3.yfact12 = 9;
    elseif facy12 == 10
    yvalues3.yfact12 = 10;
    elseif facy12 == 11
    yvalues3.yfact12 = 11;
    elseif facy12 == 12
    yvalues3.yfact12 = 12;
    elseif facy12 == 13
    yvalues3.yfact12 = 13;
    elseif facy12 == 14
    yvalues3.yfact12 = 14;
    elseif facy12 == 15
    yvalues3.yfact12 = 15;
    elseif facy12 == 16
    yvalues3.yfact12 = 16;
    elseif facy12 == 17
    yvalues3.yfact12 = 17;
    elseif facy12 == 18
    yvalues3.yfact12 = 18;
    elseif facy12 == 19
    yvalues3.yfact12 = 19;
    elseif facy12 == 20
    yvalues3.yfact12 = 20;
    elseif facy12 == 21
    yvalues3.yfact12 = 21;
    elseif facy12 == 22
    yvalues3.yfact12 = 22;
    elseif facy12 == 23
    yvalues3.yfact12 = 23;
    elseif facy12 == 24
    yvalues3.yfact12 = 24;
    else
    yvalues3.yfact12 = 25;
end

% Handles of input x-numerator
dat11 = get(findobj('Tag','popy01'),'Value');
if dat11 == 1
    yvalues3.ydata11 = 1;
    elseif dat11 == 2
    yvalues3.ydata11 = evalin('base','n3SiO2');
    elseif dat11 == 3
    yvalues3.ydata11 = evalin('base','n3TiO2');
    elseif dat11 == 4
    yvalues3.ydata11 = evalin('base','n3Al2O3');
    elseif dat11 == 5
    yvalues3.ydata11 = evalin('base','n3Fe2O3');
    elseif dat11 == 6
    yvalues3.ydata11 = evalin('base','n3MnO');
    elseif dat11 == 7
    yvalues3.ydata11 = evalin('base','n3MgO');
    elseif dat11 == 8
    yvalues3.ydata11 = evalin('base','n3CaO');
    elseif dat11 == 9
    yvalues3.ydata11 = evalin('base','n3Na2O');
    elseif dat11 == 10
    yvalues3.ydata11 = evalin('base','n3K2O');
    elseif dat11 == 11
    yvalues3.ydata11 = evalin('base','n3P2O5');
    elseif dat11 == 12
    yvalues3.ydata11 = evalin('base','n3Ag');
    elseif dat11 == 13
    yvalues3.ydata11 = evalin('base','n3As');
    elseif dat11 == 14
    yvalues3.ydata11 = evalin('base','n3Ba');
    elseif dat11 == 15
    yvalues3.ydata11 = evalin('base','n3Be');
    elseif dat11 == 16
    yvalues3.ydata11 = evalin('base','n3Bi');
    elseif dat11 == 17
    yvalues3.ydata11 = evalin('base','n3Cd');
    elseif dat11 == 18
    yvalues3.ydata11 = evalin('base','n3Co');
    elseif dat11 == 19
    yvalues3.ydata11 = evalin('base','n3Cr');
    elseif dat11 == 20
    yvalues3.ydata11 = evalin('base','n3Cs');
    elseif dat11 == 21
    yvalues3.ydata11 = evalin('base','n3Cu');
    elseif dat11 == 22
    yvalues3.ydata11 = evalin('base','n3Ga');
    elseif dat11 == 23
    yvalues3.ydata11 = evalin('base','n3Hf');
    elseif dat11 == 24
    yvalues3.ydata11 = evalin('base','n3In');
    elseif dat11 == 25
    yvalues3.ydata11 = evalin('base','n3Li');
    elseif dat11 == 26
    yvalues3.ydata11 = evalin('base','n3Mo');
    elseif dat11 == 27
    yvalues3.ydata11 = evalin('base','n3Nb');
    elseif dat11 == 28
    yvalues3.ydata11 = evalin('base','n3Ni');
    elseif dat11 == 29
    yvalues3.ydata11 = evalin('base','n3Pb');
    elseif dat11 == 30
    yvalues3.ydata11 = evalin('base','n3Rb');
    elseif dat11 == 31
    yvalues3.ydata11 = evalin('base','n3Sb');
    elseif dat11 == 32
    yvalues3.ydata11 = evalin('base','n3Sc');
    elseif dat11 == 33
    yvalues3.ydata11 = evalin('base','n3Sn');
    elseif dat11 == 34
    yvalues3.ydata11 = evalin('base','n3Sr');
    elseif dat11 == 35
    yvalues3.ydata11 = evalin('base','n3Ta');
    elseif dat11 == 36
    yvalues3.ydata11 = evalin('base','n3Tl');
    elseif dat11 == 37
    yvalues3.ydata11 = evalin('base','n3Th');
    elseif dat11 == 38
    yvalues3.ydata11 = evalin('base','n3U');
    elseif dat11 == 39
    yvalues3.ydata11 = evalin('base','n3V');
    elseif dat11 == 40
    yvalues3.ydata11 = evalin('base','n3W');
    elseif dat11 == 41
    yvalues3.ydata11 = evalin('base','n3Y');
    elseif dat11 == 42
    yvalues3.ydata11 = evalin('base','n3Zn');
    elseif dat11 == 43
    yvalues3.ydata11 = evalin('base','n3Zr');
    elseif dat11 == 44
    yvalues3.ydata11 = evalin('base','n3La');
    elseif dat11 == 45
    yvalues3.ydata11 = evalin('base','n3Ce');
    elseif dat11 == 46
    yvalues3.ydata11 = evalin('base','n3Pr');
    elseif dat11 == 47
    yvalues3.ydata11 = evalin('base','n3Nd');
    elseif dat11 == 48
    yvalues3.ydata11 = evalin('base','n3Sm');
    elseif dat11 == 49
    yvalues3.ydata11 = evalin('base','n3Eu');
    elseif dat11 == 50
    yvalues3.ydata11 = evalin('base','n3Gd');
    elseif dat11 == 51
    yvalues3.ydata11 = evalin('base','n3Tb');
    elseif dat11 == 52
    yvalues3.ydata11 = evalin('base','n3Dy');
    elseif dat11 == 53
    yvalues3.ydata11 = evalin('base','n3Ho');
    elseif dat11 == 54
    yvalues3.ydata11 = evalin('base','n3Er');
    elseif dat11 == 55
    yvalues3.ydata11 = evalin('base','n3Tm');
    elseif dat11 == 56
    yvalues3.ydata11 = evalin('base','n3Yb');
    else
    yvalues3.ydata11 = evalin('base','n3Lu');
end

%% 3rd dataset handles of y-denominator

% Handles of first factor
facy13 = get(findobj('Tag','facy03'),'Value');
if facy13 == 1
    yvalues3.yfact13 = 1;
    elseif facy13 == 2
    yvalues3.yfact13 = 0.1;
    elseif facy13 == 3
    yvalues3.yfact13 = 0.01;
    elseif facy13 == 4
    yvalues3.yfact13 = 0.001;
    elseif facy13 == 5
    yvalues3.yfact13 = 0.0001;
    elseif facy13 == 6    
    yvalues3.yfact13 = 10;
    elseif facy13 == 7
    yvalues3.yfact13 = 100;
    elseif facy13 == 8
    yvalues3.yfact13 = 1000;
    else
    yvalues3.yfact13 = 10000;
end

% Handles of second factor
facy14 = get(findobj('Tag','facy04'),'Value');
if facy14 == 1
    yvalues3.yfact14 = 1;
    elseif facy14 == 2
    yvalues3.yfact14 = 2;
    elseif facy14 == 3
    yvalues3.yfact14 = 3;
    elseif facy14 == 4
    yvalues3.yfact14 = 4;
    elseif facy14 == 5
    yvalues3.yfact14 = 5;
    elseif facy14 == 6
    yvalues3.yfact14 = 6;
    elseif facy14 == 7
    yvalues3.yfact14 = 7;
    elseif facy14 == 8
    yvalues3.yfact14 = 8;
    elseif facy14 == 9
    yvalues3.yfact14 = 9;
    elseif facy14 == 10
    yvalues3.yfact14 = 10;
    elseif facy14 == 11
    yvalues3.yfact14 = 11;
    elseif facy14 == 12
    yvalues3.yfact14 = 12;
    elseif facy14 == 13
    yvalues3.yfact14 = 13;
    elseif facy14 == 14
    yvalues3.yfact14 = 14;
    elseif facy14 == 15
    yvalues3.yfact14 = 15;
    elseif facy14 == 16
    yvalues3.yfact14 = 16;
    elseif facy14 == 17
    yvalues3.yfact14 = 17;
    elseif facy14 == 18
    yvalues3.yfact14 = 18;
    elseif facy14 == 19
    yvalues3.yfact14 = 19;
    elseif facy14 == 20
    yvalues3.yfact14 = 20;
    elseif facy14 == 21
    yvalues3.yfact14 = 21;
    elseif facy14 == 22
    yvalues3.yfact14 = 22;
    elseif facy14 == 23
    yvalues3.yfact14 = 23;
    elseif facy14 == 24
    yvalues3.yfact14 = 24;
    else
    yvalues3.yfact14 = 25;
end

% Handles of input y-numerator
dat12 = get(findobj('Tag','popy02'),'Value');
if dat12 == 1
    yvalues3.ydata12 = 1;
    elseif dat12 == 2
    yvalues3.ydata12 = evalin('base','n3SiO2');
    elseif dat12 == 3
    yvalues3.ydata12 = evalin('base','n3TiO2');
    elseif dat12 == 4
    yvalues3.ydata12 = evalin('base','n3Al2O3');
    elseif dat12 == 5
    yvalues3.ydata12 = evalin('base','n3Fe2O3');
    elseif dat12 == 6
    yvalues3.ydata12 = evalin('base','n3MnO');
    elseif dat12 == 7
    yvalues3.ydata12 = evalin('base','n3MgO');
    elseif dat12 == 8
    yvalues3.ydata12 = evalin('base','n3CaO');
    elseif dat12 == 9
    yvalues3.ydata12 = evalin('base','n3Na2O');
    elseif dat12 == 10
    yvalues3.ydata12 = evalin('base','n3K2O');
    elseif dat12 == 11
    yvalues3.ydata12 = evalin('base','n3P2O5');
    elseif dat12 == 12
    yvalues3.ydata12 = evalin('base','n3Ag');
    elseif dat12 == 13
    yvalues3.ydata12 = evalin('base','n3As');
    elseif dat12 == 14
    yvalues3.ydata12 = evalin('base','n3Ba');
    elseif dat12 == 15
    yvalues3.ydata12 = evalin('base','n3Be');
    elseif dat12 == 16
    yvalues3.ydata12 = evalin('base','n3Bi');
    elseif dat12 == 17
    yvalues3.ydata12 = evalin('base','n3Cd');
    elseif dat12 == 18
    yvalues3.ydata12 = evalin('base','n3Co');
    elseif dat12 == 19
    yvalues3.ydata12 = evalin('base','n3Cr');
    elseif dat12 == 20
    yvalues3.ydata12 = evalin('base','n3Cs');
    elseif dat12 == 21
    yvalues3.ydata12 = evalin('base','n3Cu');
    elseif dat12 == 22
    yvalues3.ydata12 = evalin('base','n3Ga');
    elseif dat12 == 23
    yvalues3.ydata12 = evalin('base','n3Hf');
    elseif dat12 == 24
    yvalues3.ydata12 = evalin('base','n3In');
    elseif dat12 == 25
    yvalues3.ydata12 = evalin('base','n3Li');
    elseif dat12 == 26
    yvalues3.ydata12 = evalin('base','n3Mo');
    elseif dat12 == 27
    yvalues3.ydata12 = evalin('base','n3Nb');
    elseif dat12 == 28
    yvalues3.ydata12 = evalin('base','n3Ni');
    elseif dat12 == 29
    yvalues3.ydata12 = evalin('base','n3Pb');
    elseif dat12 == 30
    yvalues3.ydata12 = evalin('base','n3Rb');
    elseif dat12 == 31
    yvalues3.ydata12 = evalin('base','n3Sb');
    elseif dat12 == 32
    yvalues3.ydata12 = evalin('base','n3Sc');
    elseif dat12 == 33
    yvalues3.ydata12 = evalin('base','n3Sn');
    elseif dat12 == 34
    yvalues3.ydata12 = evalin('base','n3Sr');
    elseif dat12 == 35
    yvalues3.ydata12 = evalin('base','n3Ta');
    elseif dat12 == 36
    yvalues3.ydata12 = evalin('base','n3Tl');
    elseif dat12 == 37
    yvalues3.ydata12 = evalin('base','n3Th');
    elseif dat12 == 38
    yvalues3.ydata12 = evalin('base','n3U');
    elseif dat12 == 39
    yvalues3.ydata12 = evalin('base','n3V');
    elseif dat12 == 40
    yvalues3.ydata12 = evalin('base','n3W');
    elseif dat12 == 41
    yvalues3.ydata12 = evalin('base','n3Y');
    elseif dat12 == 42
    yvalues3.ydata12 = evalin('base','n3Zn');
    elseif dat12 == 43
    yvalues3.ydata12 = evalin('base','n3Zr');
    elseif dat12 == 44
    yvalues3.ydata12 = evalin('base','n3La');
    elseif dat12 == 45
    yvalues3.ydata12 = evalin('base','n3Ce');
    elseif dat12 == 46
    yvalues3.ydata12 = evalin('base','n3Pr');
    elseif dat12 == 47
    yvalues3.ydata12 = evalin('base','n3Nd');
    elseif dat12 == 48
    yvalues3.ydata12 = evalin('base','n3Sm');
    elseif dat12 == 49
    yvalues3.ydata12 = evalin('base','n3Eu');
    elseif dat12 == 50
    yvalues3.ydata12 = evalin('base','n3Gd');
    elseif dat12 == 51
    yvalues3.ydata12 = evalin('base','n3Tb');
    elseif dat12 == 52
    yvalues3.ydata12 = evalin('base','n3Dy');
    elseif dat12 == 53
    yvalues3.ydata12 = evalin('base','n3Ho');
    elseif dat12 == 54
    yvalues3.ydata12 = evalin('base','n3Er');
    elseif dat12 == 55
    yvalues3.ydata12 = evalin('base','n3Tm');
    elseif dat12 == 56
    yvalues3.ydata12 = evalin('base','n3Yb');
    else
    yvalues3.ydata12 = evalin('base','n3Lu');
end

%% 3rd dataset handles of z-numerators

% Handles of first factor
facz11 = get(findobj('Tag','facz01'),'Value');
if facz11 == 1
    zvalues3.zfact11 = 1;
    elseif facz11 == 2
    zvalues3.zfact11 = 0.1;
    elseif facz11 == 3
    zvalues3.zfact11 = 0.01;
    elseif facz11 == 4
    zvalues3.zfact11 = 0.001;
    elseif facz11 == 5
    zvalues3.zfact11 = 0.0001;
    elseif facz11 == 6    
    zvalues3.zfact11 = 10;
    elseif facz11 == 7
    zvalues3.zfact11 = 100;
    elseif facz11 == 8
    zvalues3.zfact11 = 1000;
    else
    zvalues3.zfact11 = 10000;
end

% Handles of second factor
facz12 = get(findobj('Tag','facz02'),'Value');
if facz12 == 1
    zvalues3.zfact12 = 1;
    elseif facz12 == 2
    zvalues3.zfact12 = 2;
    elseif facz12 == 3
    zvalues3.zfact12 = 3;
    elseif facz12 == 4
    zvalues3.zfact12 = 4;
    elseif facz12 == 5
    zvalues3.zfact12 = 5;
    elseif facz12 == 6
    zvalues3.zfact12 = 6;
    elseif facz12 == 7
    zvalues3.zfact12 = 7;
    elseif facz12 == 8
    zvalues3.zfact12 = 8;
    elseif facz12 == 9
    zvalues3.zfact12 = 9;
    elseif facz12 == 10
    zvalues3.zfact12 = 10;
    elseif facz12 == 11
    zvalues3.zfact12 = 11;
    elseif facz12 == 12
    zvalues3.zfact12 = 12;
    elseif facz12 == 13
    zvalues3.zfact12 = 13;
    elseif facz12 == 14
    zvalues3.zfact12 = 14;
    elseif facz12 == 15
    zvalues3.zfact12 = 15;
    elseif facz12 == 16
    zvalues3.zfact12 = 16;
    elseif facz12 == 17
    zvalues3.zfact12 = 17;
    elseif facz12 == 18
    zvalues3.zfact12 = 18;
    elseif facz12 == 19
    zvalues3.zfact12 = 19;
    elseif facz12 == 20
    zvalues3.zfact12 = 20;
    elseif facz12 == 21
    zvalues3.zfact12 = 21;
    elseif facz12 == 22
    zvalues3.zfact12 = 22;
    elseif facz12 == 23
    zvalues3.zfact12 = 23;
    elseif facz12 == 24
    zvalues3.zfact12 = 24;
    else
    zvalues3.zfact12 = 25;
end

% Handles of input z-numerator
dat11 = get(findobj('Tag','popz01'),'Value');
if dat11 == 1
    zvalues3.zdata11 = 1;
    elseif dat11 == 2
    zvalues3.zdata11 = evalin('base','n3SiO2');
    elseif dat11 == 3
    zvalues3.zdata11 = evalin('base','n3TiO2');
    elseif dat11 == 4
    zvalues3.zdata11 = evalin('base','n3Al2O3');
    elseif dat11 == 5
    zvalues3.zdata11 = evalin('base','n3Fe2O3');
    elseif dat11 == 6
    zvalues3.zdata11 = evalin('base','n3MnO');
    elseif dat11 == 7
    zvalues3.zdata11 = evalin('base','n3MgO');
    elseif dat11 == 8
    zvalues3.zdata11 = evalin('base','n3CaO');
    elseif dat11 == 9
    zvalues3.zdata11 = evalin('base','n3Na2O');
    elseif dat11 == 10
    zvalues3.zdata11 = evalin('base','n3K2O');
    elseif dat11 == 11
    zvalues3.zdata11 = evalin('base','n3P2O5');
    elseif dat11 == 12
    zvalues3.zdata11 = evalin('base','n3Ag');
    elseif dat11 == 13
    zvalues3.zdata11 = evalin('base','n3As');
    elseif dat11 == 14
    zvalues3.zdata11 = evalin('base','n3Ba');
    elseif dat11 == 15
    zvalues3.zdata11 = evalin('base','n3Be');
    elseif dat11 == 16
    zvalues3.zdata11 = evalin('base','n3Bi');
    elseif dat11 == 17
    zvalues3.zdata11 = evalin('base','n3Cd');
    elseif dat11 == 18
    zvalues3.zdata11 = evalin('base','n3Co');
    elseif dat11 == 19
    zvalues3.zdata11 = evalin('base','n3Cr');
    elseif dat11 == 20
    zvalues3.zdata11 = evalin('base','n3Cs');
    elseif dat11 == 21
    zvalues3.zdata11 = evalin('base','n3Cu');
    elseif dat11 == 22
    zvalues3.zdata11 = evalin('base','n3Ga');
    elseif dat11 == 23
    zvalues3.zdata11 = evalin('base','n3Hf');
    elseif dat11 == 24
    zvalues3.zdata11 = evalin('base','n3In');
    elseif dat11 == 25
    zvalues3.zdata11 = evalin('base','n3Li');
    elseif dat11 == 26
    zvalues3.zdata11 = evalin('base','n3Mo');
    elseif dat11 == 27
    zvalues3.zdata11 = evalin('base','n3Nb');
    elseif dat11 == 28
    zvalues3.zdata11 = evalin('base','n3Ni');
    elseif dat11 == 29
    zvalues3.zdata11 = evalin('base','n3Pb');
    elseif dat11 == 30
    zvalues3.zdata11 = evalin('base','n3Rb');
    elseif dat11 == 31
    zvalues3.zdata11 = evalin('base','n3Sb');
    elseif dat11 == 32
    zvalues3.zdata11 = evalin('base','n3Sc');
    elseif dat11 == 33
    zvalues3.zdata11 = evalin('base','n3Sn');
    elseif dat11 == 34
    zvalues3.zdata11 = evalin('base','n3Sr');
    elseif dat11 == 35
    zvalues3.zdata11 = evalin('base','n3Ta');
    elseif dat11 == 36
    zvalues3.zdata11 = evalin('base','n3Tl');
    elseif dat11 == 37
    zvalues3.zdata11 = evalin('base','n3Th');
    elseif dat11 == 38
    zvalues3.zdata11 = evalin('base','n3U');
    elseif dat11 == 39
    zvalues3.zdata11 = evalin('base','n3V');
    elseif dat11 == 40
    zvalues3.zdata11 = evalin('base','n3W');
    elseif dat11 == 41
    zvalues3.zdata11 = evalin('base','n3Y');
    elseif dat11 == 42
    zvalues3.zdata11 = evalin('base','n3Zn');
    elseif dat11 == 43
    zvalues3.zdata11 = evalin('base','n3Zr');
    elseif dat11 == 44
    zvalues3.zdata11 = evalin('base','n3La');
    elseif dat11 == 45
    zvalues3.zdata11 = evalin('base','n3Ce');
    elseif dat11 == 46
    zvalues3.zdata11 = evalin('base','n3Pr');
    elseif dat11 == 47
    zvalues3.zdata11 = evalin('base','n3Nd');
    elseif dat11 == 48
    zvalues3.zdata11 = evalin('base','n3Sm');
    elseif dat11 == 49
    zvalues3.zdata11 = evalin('base','n3Eu');
    elseif dat11 == 50
    zvalues3.zdata11 = evalin('base','n3Gd');
    elseif dat11 == 51
    zvalues3.zdata11 = evalin('base','n3Tb');
    elseif dat11 == 52
    zvalues3.zdata11 = evalin('base','n3Dy');
    elseif dat11 == 53
    zvalues3.zdata11 = evalin('base','n3Ho');
    elseif dat11 == 54
    zvalues3.zdata11 = evalin('base','n3Er');
    elseif dat11 == 55
    zvalues3.zdata11 = evalin('base','n3Tm');
    elseif dat11 == 56
    zvalues3.zdata11 = evalin('base','n3Yb');
    else
    zvalues3.zdata11 = evalin('base','n3Lu');
end

%% 3rd dataset handles of z-denominator

facz13 = get(findobj('Tag','facz03'),'Value');
if facz13 == 1
    zvalues3.zfact13 = 1;
    elseif facz13 == 2
    zvalues3.zfact13 = 0.1;
    elseif facz13 == 3
    zvalues3.zfact13 = 0.01;
    elseif facz13 == 4
    zvalues3.zfact13 = 0.001;
    elseif facz13 == 5
    zvalues3.zfact13 = 0.0001;
    elseif facz13 == 6    
    zvalues3.zfact13 = 10;
    elseif facz13 == 7
    zvalues3.zfact13 = 100;
    elseif facz13 == 8
    zvalues3.zfact13 = 1000;
    else
    zvalues3.zfact13 = 10000;
end

% Handles of second factor
facz14 = get(findobj('Tag','facz04'),'Value');
if facz14 == 1
    zvalues3.zfact14 = 1;
    elseif facz14 == 2
    zvalues3.zfact14 = 2;
    elseif facz14 == 3
    zvalues3.zfact14 = 3;
    elseif facz14 == 4
    zvalues3.zfact14 = 4;
    elseif facz14 == 5
    zvalues3.zfact14 = 5;
    elseif facz14 == 6
    zvalues3.zfact14 = 6;
    elseif facz14 == 7
    zvalues3.zfact14 = 7;
    elseif facz14 == 8
    zvalues3.zfact14 = 8;
    elseif facz14 == 9
    zvalues3.zfact14 = 9;
    elseif facz14 == 10
    zvalues3.zfact14 = 10;
    elseif facz14 == 11
    zvalues3.zfact14 = 11;
    elseif facz14 == 12
    zvalues3.zfact14 = 12;
    elseif facz14 == 13
    zvalues3.zfact14 = 13;
    elseif facz14 == 14
    zvalues3.zfact14 = 14;
    elseif facz14 == 15
    zvalues3.zfact14 = 15;
    elseif facz14 == 16
    zvalues3.zfact14 = 16;
    elseif facz14 == 17
    zvalues3.zfact14 = 17;
    elseif facz14 == 18
    zvalues3.zfact14 = 18;
    elseif facz14 == 19
    zvalues3.zfact14 = 19;
    elseif facz14 == 20
    zvalues3.zfact14 = 20;
    elseif facz14 == 21
    zvalues3.zfact14 = 21;
    elseif facz14 == 22
    zvalues3.zfact14 = 22;
    elseif facz14 == 23
    zvalues3.zfact14 = 23;
    elseif facz14 == 24
    zvalues3.zfact14 = 24;
    else
    zvalues3.zfact14 = 25;
end

% Handles of input z-numerator
dat12 = get(findobj('Tag','popz02'),'Value');
if dat12 == 1
    zvalues3.zdata12 = 1;
    elseif dat12 == 2
    zvalues3.zdata12 = evalin('base','n3SiO2');
    elseif dat12 == 3
    zvalues3.zdata12 = evalin('base','n3TiO2');
    elseif dat12 == 4
    zvalues3.zdata12 = evalin('base','n3Al2O3');
    elseif dat12 == 5
    zvalues3.zdata12 = evalin('base','n3Fe2O3');
    elseif dat12 == 6
    zvalues3.zdata12 = evalin('base','n3MnO');
    elseif dat12 == 7
    zvalues3.zdata12 = evalin('base','n3MgO');
    elseif dat12 == 8
    zvalues3.zdata12 = evalin('base','n3CaO');
    elseif dat12 == 9
    zvalues3.zdata12 = evalin('base','n3Na2O');
    elseif dat12 == 10
    zvalues3.zdata12 = evalin('base','n3K2O');
    elseif dat12 == 11
    zvalues3.zdata12 = evalin('base','n3P2O5');
    elseif dat12 == 12
    zvalues3.zdata12 = evalin('base','n3Ag');
    elseif dat12 == 13
    zvalues3.zdata12 = evalin('base','n3As');
    elseif dat12 == 14
    zvalues3.zdata12 = evalin('base','n3Ba');
    elseif dat12 == 15
    zvalues3.zdata12 = evalin('base','n3Be');
    elseif dat12 == 16
    zvalues3.zdata12 = evalin('base','n3Bi');
    elseif dat12 == 17
    zvalues3.zdata12 = evalin('base','n3Cd');
    elseif dat12 == 18
    zvalues3.zdata12 = evalin('base','n3Co');
    elseif dat12 == 19
    zvalues3.zdata12 = evalin('base','n3Cr');
    elseif dat12 == 20
    zvalues3.zdata12 = evalin('base','n3Cs');
    elseif dat12 == 21
    zvalues3.zdata12 = evalin('base','n3Cu');
    elseif dat12 == 22
    zvalues3.zdata12 = evalin('base','n3Ga');
    elseif dat12 == 23
    zvalues3.zdata12 = evalin('base','n3Hf');
    elseif dat12 == 24
    zvalues3.zdata12 = evalin('base','n3In');
    elseif dat12 == 25
    zvalues3.zdata12 = evalin('base','n3Li');
    elseif dat12 == 26
    zvalues3.zdata12 = evalin('base','n3Mo');
    elseif dat12 == 27
    zvalues3.zdata12 = evalin('base','n3Nb');
    elseif dat12 == 28
    zvalues3.zdata12 = evalin('base','n3Ni');
    elseif dat12 == 29
    zvalues3.zdata12 = evalin('base','n3Pb');
    elseif dat12 == 30
    zvalues3.zdata12 = evalin('base','n3Rb');
    elseif dat12 == 31
    zvalues3.zdata12 = evalin('base','n3Sb');
    elseif dat12 == 32
    zvalues3.zdata12 = evalin('base','n3Sc');
    elseif dat12 == 33
    zvalues3.zdata12 = evalin('base','n3Sn');
    elseif dat12 == 34
    zvalues3.zdata12 = evalin('base','n3Sr');
    elseif dat12 == 35
    zvalues3.zdata12 = evalin('base','n3Ta');
    elseif dat12 == 36
    zvalues3.zdata12 = evalin('base','n3Tl');
    elseif dat12 == 37
    zvalues3.zdata12 = evalin('base','n3Th');
    elseif dat12 == 38
    zvalues3.zdata12 = evalin('base','n3U');
    elseif dat12 == 39
    zvalues3.zdata12 = evalin('base','n3V');
    elseif dat12 == 40
    zvalues3.zdata12 = evalin('base','n3W');
    elseif dat12 == 41
    zvalues3.zdata12 = evalin('base','n3Y');
    elseif dat12 == 42
    zvalues3.zdata12 = evalin('base','n3Zn');
    elseif dat12 == 43
    zvalues3.zdata12 = evalin('base','n3Zr');
    elseif dat12 == 44
    zvalues3.zdata12 = evalin('base','n3La');
    elseif dat12 == 45
    zvalues3.zdata12 = evalin('base','n3Ce');
    elseif dat12 == 46
    zvalues3.zdata12 = evalin('base','n3Pr');
    elseif dat12 == 47
    zvalues3.zdata12 = evalin('base','n3Nd');
    elseif dat12 == 48
    zvalues3.zdata12 = evalin('base','n3Sm');
    elseif dat12 == 49
    zvalues3.zdata12 = evalin('base','n3Eu');
    elseif dat12 == 50
    zvalues3.zdata12 = evalin('base','n3Gd');
    elseif dat12 == 51
    zvalues3.zdata12 = evalin('base','n3Tb');
    elseif dat12 == 52
    zvalues3.zdata12 = evalin('base','n3Dy');
    elseif dat12 == 53
    zvalues3.zdata12 = evalin('base','n3Ho');
    elseif dat12 == 54
    zvalues3.zdata12 = evalin('base','n3Er');
    elseif dat12 == 55
    zvalues3.zdata12 = evalin('base','n3Tm');
    elseif dat12 == 56
    zvalues3.zdata12 = evalin('base','n3Yb');
    else
    zvalues3.zdata12 = evalin('base','n3Lu');
end

%% Calculate x- and y-values
% Handles of calculation for 1st dataset
axiscalc = get(findobj('Tag','axisplot'),'Value');
if axiscalc == 1
    xvalues1.xval1 = (xvalues1.xfact11.*xvalues1.xfact12.*xvalues1.xdata11)./(xvalues1.xfact13.*xvalues1.xfact14.*xvalues1.xdata12);
    yvalues1.yval1 = (yvalues1.yfact11.*yvalues1.yfact12.*yvalues1.ydata11)./(yvalues1.yfact13.*yvalues1.yfact14.*yvalues1.ydata12);
    elseif axiscalc == 2
    xvalues1.xval1 = (xvalues1.xfact11.*xvalues1.xfact12.*xvalues1.xdata11)./(xvalues1.xfact13.*xvalues1.xfact14.*xvalues1.xdata12);
    yvalues1.yval1 = (yvalues1.yfact11.*yvalues1.yfact12.*yvalues1.ydata11)./(yvalues1.yfact13.*yvalues1.yfact14.*yvalues1.ydata12);
    elseif axiscalc == 3
    xvalues1.xval1 = (xvalues1.xfact11.*xvalues1.xfact12.*xvalues1.xdata11)./(xvalues1.xfact13.*xvalues1.xfact14.*xvalues1.xdata12);
    yvalues1.yval1 = (yvalues1.yfact11.*yvalues1.yfact12.*yvalues1.ydata11)./(yvalues1.yfact13.*yvalues1.yfact14.*yvalues1.ydata12);
    elseif axiscalc == 4
    xvalues1.xval1 = (xvalues1.xfact11.*xvalues1.xfact12.*xvalues1.xdata11)./(xvalues1.xfact13.*xvalues1.xfact14.*xvalues1.xdata12);
    yvalues1.yval1 = (yvalues1.yfact11.*yvalues1.yfact12.*yvalues1.ydata11)./(yvalues1.yfact13.*yvalues1.yfact14.*yvalues1.ydata12);
    else
    xvalues1.xval1 = (xvalues1.xfact11.*xvalues1.xfact12.*xvalues1.xdata11)./(xvalues1.xfact13.*xvalues1.xfact14.*xvalues1.xdata12);
    yvalues1.yval1 = (yvalues1.yfact11.*yvalues1.yfact12.*yvalues1.ydata11)./(yvalues1.yfact13.*yvalues1.yfact14.*yvalues1.ydata12);
    zvalues1.zval1 = (zvalues1.zfact11.*zvalues1.zfact12.*zvalues1.zdata11)./(zvalues1.zfact13.*zvalues1.zfact14.*zvalues1.zdata12);
    tvalues1.sumval1 = xvalues1.xval1+yvalues1.yval1+zvalues1.zval1;
    tvalues1.tyval1  = (yvalues1.yval1./tvalues1.sumval1)*sin(deg2rad(60));
    tvalues1.txval1  = (xvalues1.xval1./tvalues1.sumval1)+tvalues1.tyval1*cot(deg2rad(60));
end

% Handles of calculation for 2nd dataset
axiscalc = get(findobj('Tag','axisplot'),'Value');
if axiscalc == 1
    xvalues2.xval1 = (xvalues2.xfact11.*xvalues2.xfact12.*xvalues2.xdata11)./(xvalues2.xfact13.*xvalues2.xfact14.*xvalues2.xdata12);
    yvalues2.yval1 = (yvalues2.yfact11.*yvalues2.yfact12.*yvalues2.ydata11)./(yvalues2.yfact13.*yvalues2.yfact14.*yvalues2.ydata12);
    elseif axiscalc == 2
    xvalues2.xval1 = (xvalues2.xfact11.*xvalues2.xfact12.*xvalues2.xdata11)./(xvalues2.xfact13.*xvalues2.xfact14.*xvalues2.xdata12);
    yvalues2.yval1 = (yvalues2.yfact11.*yvalues2.yfact12.*yvalues2.ydata11)./(yvalues2.yfact13.*yvalues2.yfact14.*yvalues2.ydata12);
    elseif axiscalc == 3
    xvalues2.xval1 = (xvalues2.xfact11.*xvalues2.xfact12.*xvalues2.xdata11)./(xvalues2.xfact13.*xvalues2.xfact14.*xvalues2.xdata12);
    yvalues2.yval1 = (yvalues2.yfact11.*yvalues2.yfact12.*yvalues2.ydata11)./(yvalues2.yfact13.*yvalues2.yfact14.*yvalues2.ydata12);
    elseif axiscalc == 4
    xvalues2.xval1 = (xvalues2.xfact11.*xvalues2.xfact12.*xvalues2.xdata11)./(xvalues2.xfact13.*xvalues2.xfact14.*xvalues2.xdata12);
    yvalues2.yval1 = (yvalues2.yfact11.*yvalues2.yfact12.*yvalues2.ydata11)./(yvalues2.yfact13.*yvalues2.yfact14.*yvalues2.ydata12);
    else
    xvalues2.xval1 = (xvalues2.xfact11.*xvalues2.xfact12.*xvalues2.xdata11)./(xvalues2.xfact13.*xvalues2.xfact14.*xvalues2.xdata12);
    yvalues2.yval1 = (yvalues2.yfact11.*yvalues2.yfact12.*yvalues2.ydata11)./(yvalues2.yfact13.*yvalues2.yfact14.*yvalues2.ydata12);
    zvalues2.zval1 = (zvalues2.zfact11.*zvalues2.zfact12.*zvalues2.zdata11)./(zvalues2.zfact13.*zvalues2.zfact14.*zvalues2.zdata12);
    tvalues2.sumval1 = xvalues2.xval1+yvalues2.yval1+zvalues2.zval1;
    tvalues2.tyval1  = (yvalues2.yval1./tvalues2.sumval1)*sin(deg2rad(60));
    tvalues2.txval1  = (xvalues2.xval1./tvalues2.sumval1)+tvalues2.tyval1*cot(deg2rad(60));
end

% Handles of calculation for 3rd dataset
axiscalc = get(findobj('Tag','axisplot'),'Value');
if axiscalc == 1
    xvalues3.xval1 = (xvalues3.xfact11.*xvalues3.xfact12.*xvalues3.xdata11)./(xvalues3.xfact13.*xvalues3.xfact14.*xvalues3.xdata12);
    yvalues3.yval1 = (yvalues3.yfact11.*yvalues3.yfact12.*yvalues3.ydata11)./(yvalues3.yfact13.*yvalues3.yfact14.*yvalues3.ydata12);
    elseif axiscalc == 2
    xvalues3.xval1 = (xvalues3.xfact11.*xvalues3.xfact12.*xvalues3.xdata11)./(xvalues3.xfact13.*xvalues3.xfact14.*xvalues3.xdata12);
    yvalues3.yval1 = (yvalues3.yfact11.*yvalues3.yfact12.*yvalues3.ydata11)./(yvalues3.yfact13.*yvalues3.yfact14.*yvalues3.ydata12);
    elseif axiscalc == 3
    xvalues3.xval1 = (xvalues3.xfact11.*xvalues3.xfact12.*xvalues3.xdata11)./(xvalues3.xfact13.*xvalues3.xfact14.*xvalues3.xdata12);
    yvalues3.yval1 = (yvalues3.yfact11.*yvalues3.yfact12.*yvalues3.ydata11)./(yvalues3.yfact13.*yvalues3.yfact14.*yvalues3.ydata12);
    elseif axiscalc == 4
    xvalues3.xval1 = (xvalues3.xfact11.*xvalues3.xfact12.*xvalues3.xdata11)./(xvalues3.xfact13.*xvalues3.xfact14.*xvalues3.xdata12);
    yvalues3.yval1 = (yvalues3.yfact11.*yvalues3.yfact12.*yvalues3.ydata11)./(yvalues3.yfact13.*yvalues3.yfact14.*yvalues3.ydata12);
    else
    xvalues3.xval1 = (xvalues3.xfact11.*xvalues3.xfact12.*xvalues3.xdata11)./(xvalues3.xfact13.*xvalues3.xfact14.*xvalues3.xdata12);
    yvalues3.yval1 = (yvalues3.yfact11.*yvalues3.yfact12.*yvalues3.ydata11)./(yvalues3.yfact13.*yvalues3.yfact14.*yvalues3.ydata12);
    zvalues3.zval1 = (zvalues3.zfact11.*zvalues3.zfact12.*zvalues3.zdata11)./(zvalues3.zfact13.*zvalues3.zfact14.*zvalues3.zdata12);
    tvalues3.sumval1 = xvalues3.xval1+yvalues3.yval1+zvalues3.zval1;
    tvalues3.tyval1  = (yvalues3.yval1./tvalues3.sumval1)*sin(deg2rad(60));
    tvalues3.txval1  = (xvalues3.xval1./tvalues3.sumval1)+tvalues3.tyval1*cot(deg2rad(60));
end

%% Plot x- and y values
% Handles of axes
axisplot = get(findobj('Tag','axisplot'),'Value');
if axisplot == 1
    plot(handles3.VISU,xvalues1.xval1,yvalues1.yval1,'Linestyle','none','Marker','s','MarkerSize',7,'MarkerFaceColor','r','MarkerEdgeColor','k');
    hold(handles3.VISU,'all')
    plot(handles3.VISU,xvalues2.xval1,yvalues2.yval1,'Linestyle','none','Marker','o','MarkerSize',7,'MarkerFaceColor','b','MarkerEdgeColor','k');  
    plot(handles3.VISU,xvalues3.xval1,yvalues3.yval1,'Linestyle','none','Marker','v','MarkerSize',7,'MarkerFaceColor','g','MarkerEdgeColor','k');
    set(handles3.VISU,'Fontsize',[10],'FontWeight','bold','FontName','Arial','LineWidth',1.5); box on;
    hold(handles3.VISU,'off')    
    elseif axisplot == 2
    semilogy(handles3.VISU,xvalues1.xval1,yvalues1.yval1,'Linestyle','none','Marker','s','MarkerSize',7,'MarkerFaceColor','r','MarkerEdgeColor','k');
    set(handles3.VISU,'Fontsize',[10],'FontWeight','bold','FontName','Arial','LineWidth',1.5); box on;
    hold(handles3.VISU,'all')
    plot(handles3.VISU,xvalues2.xval1,yvalues2.yval1,'Linestyle','none','Marker','o','MarkerSize',7,'MarkerFaceColor','b','MarkerEdgeColor','k');  
    plot(handles3.VISU,xvalues3.xval1,yvalues3.yval1,'Linestyle','none','Marker','v','MarkerSize',7,'MarkerFaceColor','g','MarkerEdgeColor','k');
    set(handles3.VISU,'Fontsize',[10],'FontWeight','bold','FontName','Arial','LineWidth',1.5); box on;
    hold(handles3.VISU,'off')  
    elseif axisplot == 3
    semilogx(handles3.VISU,xvalues1.xval1,yvalues1.yval1,'Linestyle','none','Marker','s','MarkerSize',7,'MarkerFaceColor','r','MarkerEdgeColor','k');
    set(handles3.VISU,'Fontsize',[10],'FontWeight','bold','FontName','Arial','LineWidth',1.5); box on;
    hold(handles3.VISU,'all')
    plot(handles3.VISU,xvalues2.xval1,yvalues2.yval1,'Linestyle','none','Marker','o','MarkerSize',7,'MarkerFaceColor','b','MarkerEdgeColor','k');  
    plot(handles3.VISU,xvalues3.xval1,yvalues3.yval1,'Linestyle','none','Marker','v','MarkerSize',7,'MarkerFaceColor','g','MarkerEdgeColor','k');
    set(handles3.VISU,'Fontsize',[10],'FontWeight','bold','FontName','Arial','LineWidth',1.5); box on;
    hold(handles3.VISU,'off')  
    elseif axisplot == 4
    loglog(handles3.VISU,xvalues1.xval1,yvalues1.yval1,'Linestyle','none','Marker','s','MarkerSize',7,'MarkerFaceColor','r','MarkerEdgeColor','k');
    set(handles3.VISU,'Fontsize',[10],'FontWeight','bold','FontName','Arial','LineWidth',1.5); box on;
    hold(handles3.VISU,'all')
    plot(handles3.VISU,xvalues2.xval1,yvalues2.yval1,'Linestyle','none','Marker','o','MarkerSize',7,'MarkerFaceColor','b','MarkerEdgeColor','k');  
    plot(handles3.VISU,xvalues3.xval1,yvalues3.yval1,'Linestyle','none','Marker','v','MarkerSize',7,'MarkerFaceColor','g','MarkerEdgeColor','k');
    set(handles3.VISU,'Fontsize',[10],'FontWeight','bold','FontName','Arial','LineWidth',1.5); box on;
    hold(handles3.VISU,'off')
    else
    plot(handles3.VISU,[0 1 0.5 0],[0 0 sin(1/3*pi) 0],'Color','k','LineWidth',[2],'HandleVisibility','off')
    set(handles3.VISU,'dataaspectratio',[1 1 1])
    hold(handles3.VISU,'all')
    patch('XData',[0 1 0.5 0],'YData',[0 0 sin(1/3*pi) 0],'EdgeColor','k','FaceColor','white','Visible','on')   
    plot(handles3.VISU,[0 1 0.5 0],[0 0 sin(1/3*pi) 0],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,[0.5 0.5],[0.000 0.017],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,[0.75 0.75],[0.000 0.017],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,[0.25 0.25],[0.000 0.017],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,[0.750 0.735],[0.433 0.425],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,[0.625 0.611],[0.650 0.641],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,[0.875 0.861],[0.217 0.208],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,[0.250 0.265],[0.433 0.425],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,[0.375 0.389],[0.650 0.641],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,[0.125 0.139],[0.217 0.208],'Color','k','LineWidth',[2],'HandleVisibility','off')
    plot(handles3.VISU,tvalues1.txval1,tvalues1.tyval1,'Marker','s','MarkerFaceColor','r','MarkerEdgeColor','k',...
    'MarkerSize',[6],'LineStyle','none','LineWidth',[1]);
    plot(handles3.VISU,tvalues2.txval1,tvalues2.tyval1,'Marker','o','MarkerFaceColor','b','MarkerEdgeColor','k',...
    'MarkerSize',[6],'LineStyle','none','LineWidth',[1]);
    plot(handles3.VISU,tvalues3.txval1,tvalues3.tyval1,'Marker','v','MarkerFaceColor','g','MarkerEdgeColor','k',...
    'MarkerSize',[6],'LineStyle','none','LineWidth',[1]);
    set(handles3.VISU,'box','on','XLim',[0 1],'YLim',[0 sin(1/3*pi)],'Visible','off');
    hold(handles3.VISU,'off')
end

%% Clear data
clear axisplot axiscalc
clear dat11 dat12 facx11 facx12 facx13 facx14 facy11 facy12 facy13 facy14 facz11 facz12 facz13 facz14
clear global xvalues1 yvalues1 zvalues1 tvalues1 
clear global xvalues2 yvalues2 zvalues2 tvalues2
clear global xvalues3 yvalues3 zvalues3 tvalues3