%% PLOT-O-MAT v1.0
% Release April, 2012

function plotomat_3dataset 
%% Create a and then hide a figure
            PMAT = figure('Visible','on','Position',[200,100,1200,800]);
    movegui(PMAT,'center')
        set(PMAT,'Name','PLOT-O-MAT v1.0 @ FastGAPP v1.0 - 3 datasets')

%% Create layout
      a000 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[398,0,4,800]);
      a001 = uicontrol('Style','text','String','PLOT-O-MAT v1.0',...
          'ForegroundColor','w','BackgroundColor',[0.0,0.0,0.0],...
          'Fontsize',32,'FontWeight','bold','FontName','Arial',...
          'Position',[0,750,398,50]);
      a011 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[0,750,398,4]);
      a002 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[0,598,398,4]);
      a003 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[0,448,398,4]);
      a004= uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[0,298,398,4]);
      a005 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[0,248,398,4]);
      a006 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[0,98,298,4]);
      a007 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[298,98,4,50]);
      a026 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[0,148,298,4]);
      a008 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[298,148,100,4]);
      a009 = uicontrol('Style','text','String','X-Axis formula',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',12,'FontWeight','bold','FontName','Arial',...
          'Position',[0,705,150,20]);
      a010 = uicontrol('Style','text','String','Y-Axis formula',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',12,'FontWeight','bold','FontName','Arial',...
          'Position',[0,555,150,20]);
      a012 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[5,508,290,4]);
      a013 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[5,658,290,4]);
      a014 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[68,670,20,20]);
      a015 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[68,625,20,20]);
      a016 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[68,520,20,20]);
      a017 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[68,475,20,20]);
      a018 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[153,670,20,20]);
      a019 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[153,625,20,20]);
      a020 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[153,520,20,20]);
      a021 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[153,475,20,20]);
      a022 = uicontrol('Style','text','String','Numerator',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',10,'FontWeight','bold','FontName','Arial',...
          'Position',[300,670,98,20]);
      a023 = uicontrol('Style','text','String','Denominator',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',10,'FontWeight','bold','FontName','Arial',...
          'Position',[300,625,98,20]);
      a024 = uicontrol('Style','text','String','Numerator',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',10,'FontWeight','bold','FontName','Arial',...
          'Position',[300,520,98,20]);
      a025 = uicontrol('Style','text','String','Denominator',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',10,'FontWeight','bold','FontName','Arial',...
          'Position',[300,475,98,20]);
      a027 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[153,325,20,20]);
      a028 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[68,325,20,20]);
      a029 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[68,370,20,20]);
      a030 = uicontrol('Style','text','String','Numerator',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',10,'FontWeight','bold','FontName','Arial',...
          'Position',[300,370,98,20]);
      a031 = uicontrol('Style','text','String','Denominator',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',10,'FontWeight','bold','FontName','Arial',...
          'Position',[300,325,98,20]);
      a032 = uicontrol('Style','text','String','Z-Axis formula',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',12,'FontWeight','bold','FontName','Arial',...
          'Position',[0,405,150,20]);
      a033 = uicontrol('Style','text','String','*',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Fontsize',14,'FontWeight','bold','FontName','Arial',...
          'Position',[153,370,20,20]);
      a034 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[0,198,398,4]);
      a035 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[5,358,290,4]);
      
    %% Create a legend
      LEGINT = axes('Units','Pixels','Position',[0,0,398,100]);
          line(0.1,4,'LineStyle','none','Marker','s',...
                              'MarkerSize',[6],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r');
          text(0.2,4,(evalin('base','input_file1')),'FontSize',[9],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          line(0.1,3,'LineStyle','none','Marker','o',...
                              'MarkerSize',[6],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','b');
          text(0.2,3,(evalin('base','input_file2')),'FontSize',[9],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          line(0.1,2,'LineStyle','none','Marker','v',...
                              'MarkerSize',[6],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','g');
          text(0.2,2,(evalin('base','input_file3')),'FontSize',[9],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          axis ([0 2 0 5]); box off; axis off;
          
       LEGBUT = uicontrol('Style','pushbutton','String','Legend',...
        'Position',[305,100,90,45],'Fontsize',[10],'FontWeight','bold',...
        'ForegroundColor',[1,1,1],'BackgroundColor','k',...
        'Callback','legend_3');

%% Create axes object
global handles3
    handles3.VISU = axes('Parent',PMAT,'Tag','VISU','Units','Pixels','Position',[490,70,690,700]);
    set(handles3.VISU,'Fontsize',12,'FontWeight','bold','FontName','Arial','LineWidth',2); box on;

%% Create lables for popups
pt1 = '1|SiO2 [wt.%]|TiO2 [wt.%]|Al2O3 [wt.%]|Fe2O3 [wt.%]|MnO [wt.%]|';
pt2 = 'MgO [wt.%]|CaO [wt.%]|Na2O[wt.%]|K2O [wt.%]|P2O5 [wt.%]|';
pt3 = 'Ag [ppm]|As [ppm]|Ba [ppm]|Be [ppm]|Bi [ppm]|';
pt4 = 'Cd [ppm]|Co [ppm]|Cr [ppm]|Cs [ppm]|Cu [ppm]|';
pt5 = 'Ga [ppm]|Hf [ppm]|In [ppm]|Li [ppm]|Mo [ppm]|';
pt6 = 'Nb [ppm]|Ni [ppm]|Pb [ppm]|Rb [ppm]|Sb [ppm]|';
pt7 = 'Sc [ppm]|Sn [ppm]|Sr [ppm]|Ta [ppm]|Tl [ppm]|';
pt8 = 'Th [ppm]|U [ppm]|V [ppm]|W [ppm]|Y [ppm]|';
pt9 = 'Zn [ppm]|Zr [ppm]|La [ppm]|Ce [ppm]|Pr [ppm]|';
pt10 = 'Nd [ppm]|Sm [ppm]|Eu [ppm]|Gd [ppm]|Tb [ppm]|';
pt11 = 'Dy [ppm]|Ho [ppm]|Er [ppm]|Tm [ppm]|Yb [ppm]|'; 
pt12 = 'Lu [ppm]';
popuptxt1 = [pt1 pt2 pt3 pt4 pt5 pt6 pt7 pt8 pt9 pt10 pt11 pt12];
popupnum1  = '1|0.1|0.01|0.001|0.0001|10|100|1000|10000';
popupnum2  = '1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25';

%% Create buttons and control for x-axis
handles3.facx01 = uicontrol('Style','popup',...
           'String',popupnum1,...
           'Position',[5,655,60,40],...
           'Tag','facx01');
handles3.facx02 = uicontrol('Style','popup',...
           'String',popupnum2,...
           'Position',[90,655,60,40],...
           'Tag','facx02');
handles3.popx01 = uicontrol('Style','popup',...
           'String',popuptxt1,...
           'Position',[175,655,120,40],...
           'Tag','popx01');
handles3.popx02 = uicontrol('Style','popup',...
           'String',popuptxt1,...
           'Position',[175,610,120,40],...
           'Tag','popx02');
handles3.facx03 = uicontrol('Style','popup',...
           'String',popupnum1,...
           'Position',[5,610,60,40],...
           'Tag','facx03');
handles3.facx04 = uicontrol('Style','popup',...
           'String',popupnum2,...
           'Position',[90,610,60,40],...
           'Tag','facx04');
        
%% Create buttons and control for y-axis
handles3.facy01 = uicontrol('Style','popup',...
           'String',popupnum1,...
           'Position',[5,505,60,40],...
           'Tag','facy01');
handles3.facy02 = uicontrol('Style','popup',...
           'String',popupnum2,...
           'Position',[90,505,60,40],...
           'Tag','facy02');
handles3.popy01 = uicontrol('Style','popup',...
           'String',popuptxt1,...
           'Position',[175,505,120,40],...
           'Tag','popy01');
handles3.popy02 = uicontrol('Style','popup',...
           'String',popuptxt1,...
           'Position',[175,460,120,40],...
           'Tag','popy02');
handles3.facy03 = uicontrol('Style','popup',...
           'String',popupnum1,...
           'Position',[5,460,60,40],...
           'Tag','facy03');
handles3.facy04 = uicontrol('Style','popup',...
           'String',popupnum2,...
           'Position',[90,460,60,40],...
           'Tag','facy04');
       
%% Create buttons and control for z-axis
handles3.facz01 = uicontrol('Style','popup',...
           'String',popupnum1,...
           'Position',[5,355,60,40],...
           'Tag','facz01');
handles3.facz02 = uicontrol('Style','popup',...
           'String',popupnum2,...
           'Position',[90,355,60,40],...
           'Tag','facz02');
handles3.popz01 = uicontrol('Style','popup',...
           'String',popuptxt1,...
           'Position',[175,355,120,40],...
           'Tag','popz01');
handles3.popz02 = uicontrol('Style','popup',...
           'String',popuptxt1,...
           'Position',[175,310,120,40],...
           'Tag','popz02');
handles3.facz03 = uicontrol('Style','popup',...
           'String',popupnum1,...
           'Position',[5,310,60,40],...
           'Tag','facz03');
handles3.facz04 = uicontrol('Style','popup',...
           'String',popupnum2,...
           'Position',[90,310,60,40],...
           'Tag','facz04');
       
%% Create axis handles
handles3.axesplot = uicontrol('Style','popup',...
           'String','linear|semi log y-axis|semi log x-axis|log log|ternary',...
           'Position',[5,256,390,30],...
           'ForegroundColor','white','BackgroundColor',[0.0,0.0,0.0],...
           'Tag','axisplot');
       
%% Create plot button
handles3.plotit = uicontrol('Style','pushbutton','String','Plot it!!!',...
        'Position',[5,205,390,40],'Fontsize',[20],'FontWeight','bold',...
        'ForegroundColor','white','BackgroundColor',[0.0,0.0,0.0],...
        'Callback',@plotit_callback);

%% Restart close
      rebut = uicontrol('Style','pushbutton','String','Restart',...
          'FontSize',[13],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.5],...
          'Position',[5,108,120,35],...
          'Callback','restart_pom_3');
      clbut = uicontrol('Style','pushbutton','String','Back to FastGAPP',...
          'FontSize',[13],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.5,0.5],...
          'Position',[130,108,160,35],...
          'Callback','close_pom_3');

%% Change to automatical resize of the window.
        set([PMAT,...
             a000,a001,a002,a003,a004,a005,a006,a007,a008,a009,a010,a011,a012,a013,...
             a014,a015,a016,a017,a018,a019,a020,a021,a022,a023,a024,a025,a026,a027,...
             a028,a029,a030,a031,a032,a033,a034,a035,...
             LEGINT,LEGBUT,rebut,clbut,...
             handles3.VISU,handles3.axesplot,...
             handles3.facx01,handles3.facx02,handles3.popx01,handles3.popx02,handles3.facx03,handles3.facx04,...
             handles3.facy01,handles3.facy02,handles3.popy01,handles3.popy02,handles3.facy03,handles3.facy04,...
             handles3.facz01,handles3.facz02,handles3.popz01,handles3.popz02,handles3.facz03,handles3.facz04,...
             handles3.plotit],...
             'Units','normalized');

function plotit_callback(hObject,~)
% Laden der Struktur
handles3 = guidata(hObject);
% bergabe in Skript "floplot"
plotitcall_3dataset
