%% Re-assemble tables for first dataset

%% Creating blanks to replace volatiles that are not normalized
[h ~] = size(input_dat1); 
blank = zeros(h,1); blank(isnan(0./blank))   = NaN;

%% Creates table of normalized data
output_norm1 = [n1SiO2,n1TiO2,n1Al2O3,n1Fe2O3,n1MnO,n1MgO,n1CaO,n1Na2O,n1K2O,n1P2O5,...
        blank,blank,blank,blank,blank,blank,n1total,...                 
        n1Ag,n1As,n1Au,n1B,n1Ba,n1Be,n1Bi,n1Cd,n1Co,n1Cr,n1Cs,n1Cu,...
        n1Ga,n1Ge,n1Hf,n1Hg,n1In,n1Li,n1Mo,n1Nb,n1Ni,n1Pb,n1Rb,n1Re,...
        n1Sb,n1Sc,n1Se,n1Sn,n1Sr,n1Ta,n1Te,n1Th,n1Tl,n1U ,n1V ,n1W ,n1Y ,...
        n1Zn,n1Zr,...
        n1Ru,n1Rh,n1Pd,n1Os,n1Ir,n1Pt,...
        n1La,n1Ce,n1Pr,n1Nd,n1Sm,n1Eu,n1Gd,n1Tb,n1Dy,n1Ho,...
        n1Er,n1Tm,n1Yb,n1Lu];

%% Create a variable of samples lables
[h ~] = size(input_raw1);
input_samples1 = input_raw1(2:h,1);
input_he1 = input_raw1(1,2:6);
input_el1 = input_raw1(1,7:82);
input_header1 = [input_he1 input_el1];
input_comments1 = input_raw1(2:h,2:6);

%% Clear data
clear h blank input_el1 input_he1