%% Write statistics to Excel to "Input-Statistics"- and "Output-Statistics"-Tab

% Run normalization
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    normalization4
    cd(folder_plot)
    
% Create lables
    header = input_header1(1,6:81);
    rows = {'values'; 'maximum'; 'average'; 'minimum'};

%% Writing first file
xlswrite(input_path_file1,header,           'Input-Statistics',     'B1')
xlswrite(input_path_file1,rows,             'Input-Statistics',     'A2')
xlswrite(input_path_file1,input_raw_stat1,  'Input-Statistics',     'B2')

xlswrite(input_path_file1,header,           'Output-Statistics',    'B1')
xlswrite(input_path_file1,rows,             'Output-Statistics',    'A2')
xlswrite(input_path_file1,output_norm_stat1,'Output-Statistics',    'B2')

%% Writing second file
xlswrite(input_path_file2,header,           'Input-Statistics',     'B1')
xlswrite(input_path_file2,rows,             'Input-Statistics',     'A2')
xlswrite(input_path_file2,input_raw_stat2,  'Input-Statistics',     'B2')

xlswrite(input_path_file2,header,           'Output-Statistics',    'B1')
xlswrite(input_path_file2,rows,             'Output-Statistics',    'A2')
xlswrite(input_path_file2,output_norm_stat2,'Output-Statistics',    'B2')

%% Writing third file
xlswrite(input_path_file3,header,           'Input-Statistics',     'B1')
xlswrite(input_path_file3,rows,             'Input-Statistics',     'A2')
xlswrite(input_path_file3,input_raw_stat3,  'Input-Statistics',     'B2')

xlswrite(input_path_file3,header,           'Output-Statistics',    'B1')
xlswrite(input_path_file3,rows,             'Output-Statistics',    'A2')
xlswrite(input_path_file3,output_norm_stat3,'Output-Statistics',    'B2')

%% Writing fourth file
xlswrite(input_path_file4,header,           'Input-Statistics',     'B1')
xlswrite(input_path_file4,rows,             'Input-Statistics',     'A2')
xlswrite(input_path_file4,input_raw_stat4,  'Input-Statistics',     'B2')

xlswrite(input_path_file4,header,           'Output-Statistics',    'B1')
xlswrite(input_path_file4,rows,             'Output-Statistics',    'A2')
xlswrite(input_path_file4,output_norm_stat4,'Output-Statistics',    'B2')

%% Clear data
clear header rows