%% Runs the generation script of the data
    cd(folder_norm)
    normalization1
    normalization2
    cd(folder_plot)

%% First File            
    header = input_header1(1,6:81);
    rows = {'values'; 'maximum'; 'average'; 'minimum'};
    
f1 = figure('Position',[100 300 1000 150]);
    tit = ['Input data statistics - FGAPP v1.0 - First dataset --- ' input_file1];
    set(f1,'Name',tit);
    rawstattab1 = uitable('Parent',f1,'Data',input_raw_stat1,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
f1a = figure('Position',[110 290 1000 150]);
    tit = ['Normalized data statistics - FGAPP v1.0 - First dataset --- ' input_file1];
    set(f1a,'Name',tit);
    normstattab1 = uitable('Parent',f1a,'Data',output_norm_stat1,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
%% Second File            
    header = input_header2(1,6:81);
    rows = {'values'; 'maximum'; 'average'; 'minimum'};
    
f2 = figure('Position',[130 270 1000 150]);
    tit = ['Input data statistics - FGAPP v1.0 - Second dataset --- ' input_file2];
    set(f2,'Name',tit);
    rawstattab2 = uitable('Parent',f2,'Data',input_raw_stat2,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
f2a = figure('Position',[140 260 1000 150]);
    tit = ['Normalized data statistics - FGAPP v1.0 - Second dataset --- ' input_file2];
    set(f2a,'Name',tit);
    normstattab2 = uitable('Parent',f2a,'Data',output_norm_stat2,'RowName',rows,'ColumnName',header,'Position',[0 0 1000 150]);
    
    %% clear data
clear tit header rows h b blank f1 f1a f2 f2a
clear rawstattab1 normstattab1 rawstattab2 normstattab2