%% Create statistics
% Calculate the sum and mean of given elements in the second dataset and determines
% minumum and maximum

%% Input Statistics - First dataset
    input_raw_stat2 = cat(2,...
                        [sum(isfinite(1./r2SiO2)); max(r2SiO2); mean(r2SiO2(isfinite(r2SiO2))); min(r2SiO2)],...
                        [sum(isfinite(1./r2TiO2)); max(r2TiO2); mean(r2TiO2(isfinite(r2TiO2))); min(r2TiO2)],...
                        [sum(isfinite(1./r2Al2O3)); max(r2Al2O3); mean(r2Al2O3(isfinite(r2Al2O3))); min(r2Al2O3)],...
                        [sum(isfinite(1./r2Fe2O3)); max(r2Fe2O3); mean(r2Fe2O3(isfinite(r2Fe2O3))); min(r2Fe2O3)],...
                        [sum(isfinite(1./r2MnO)); max(r2MnO); mean(r2MnO(isfinite(r2MnO))); min(r2MnO)],...
                        [sum(isfinite(1./r2MgO)); max(r2MgO); mean(r2MgO(isfinite(r2MgO))); min(r2MgO)],...
                        [sum(isfinite(1./r2CaO)); max(r2CaO); mean(r2CaO(isfinite(r2CaO))); min(r2CaO)],...
                        [sum(isfinite(1./r2Na2O)); max(r2Na2O); mean(r2Na2O(isfinite(r2Na2O))); min(r2Na2O)],...
                        [sum(isfinite(1./r2K2O)); max(r2K2O); mean(r2K2O(isfinite(r2K2O))); min(r2K2O)],...
                        [sum(isfinite(1./r2P2O5)); max(r2P2O5); mean(r2P2O5(isfinite(r2P2O5))); min(r2P2O5)],...
                        [sum(isfinite(1./r2SO3)); max(r2SO3); mean(r2SO3(isfinite(r2SO3))); min(r2SO3)],...
                        [sum(isfinite(1./r2Cl)); max(r2Cl); mean(r2Cl(isfinite(r2Cl))); min(r2Cl)],...
                        [sum(isfinite(1./r2F)); max(r2F); mean(r2F(isfinite(r2F))); min(r2F)],...
                        [sum(isfinite(1./r2H2O)); max(r2H2O); mean(r2H2O(isfinite(r2H2O))); min(r2H2O)],...
                        [sum(isfinite(1./r2CO2)); max(r2CO2); mean(r2CO2(isfinite(r2CO2))); min(r2CO2)],... 
                        [sum(isfinite(1./r2LOI)); max(r2LOI); mean(r2LOI(isfinite(r2LOI))); min(r2LOI)],...
                        [sum(isfinite(1./r2totalLOI)); max(r2totalLOI); mean(r2totalLOI(isfinite(r2totalLOI))); min(r2totalLOI)],...
                        [sum(isfinite(1./r2Ag)); max(r2Ag); mean(r2Ag(isfinite(r2Ag))); min(r2Ag)],...
                        [sum(isfinite(1./r2As)); max(r2As); mean(r2As(isfinite(r2As))); min(r2As)],...
                        [sum(isfinite(1./r2Au)); max(r2Au); mean(r2As(isfinite(r2As))); min(r2Au)],...
                        [sum(isfinite(1./r2B )); max(r2B ); mean(r2B (isfinite(r2B ))); min(r2B )],...
                        [sum(isfinite(1./r2Ba)); max(r2Ba); mean(r2Ba(isfinite(r2Ba))); min(r2Ba)],...
                        [sum(isfinite(1./r2Be)); max(r2Be); mean(r2Be(isfinite(r2Be))); min(r2Be)],...
                        [sum(isfinite(1./r2Bi)); max(r2Bi); mean(r2Bi(isfinite(r2Bi))); min(r2Bi)],...
                        [sum(isfinite(1./r2Cd)); max(r2Cd); mean(r2Cd(isfinite(r2Cd))); min(r2Cd)],...
                        [sum(isfinite(1./r2Co)); max(r2Co); mean(r2Co(isfinite(r2Co))); min(r2Co)],...
                        [sum(isfinite(1./r2Cr)); max(r2Cr); mean(r2Cr(isfinite(r2Cr))); min(r2Cr)],...
                        [sum(isfinite(1./r2Cs)); max(r2Cs); mean(r2Cs(isfinite(r2Cs))); min(r2Cs)],...
                        [sum(isfinite(1./r2Cu)); max(r2Cu); mean(r2Cu(isfinite(r2Cu))); min(r2Cu)],...
                        [sum(isfinite(1./r2Ga)); max(r2Ga); mean(r2Ga(isfinite(r2Ga))); min(r2Ga)],...
                        [sum(isfinite(1./r2Ge)); max(r2Ge); mean(r2Ge(isfinite(r2Ge))); min(r2Ge)],...
                        [sum(isfinite(1./r2Hf)); max(r2Hf); mean(r2Hf(isfinite(r2Hf))); min(r2Hf)],...
                        [sum(isfinite(1./r2Hg)); max(r2Hg); mean(r2Hg(isfinite(r2Hg))); min(r2Hg)],...
                        [sum(isfinite(1./r2In)); max(r2In); mean(r2In(isfinite(r2In))); min(r2In)],...
                        [sum(isfinite(1./r2Li)); max(r2Li); mean(r2Li(isfinite(r2Li))); min(r2Li)],...
                        [sum(isfinite(1./r2Mo)); max(r2Mo); mean(r2Mo(isfinite(r2Mo))); min(r2Mo)],...
                        [sum(isfinite(1./r2Nb)); max(r2Nb); mean(r2Nb(isfinite(r2Nb))); min(r2Nb)],...
                        [sum(isfinite(1./r2Ni)); max(r2Ni); mean(r2Ni(isfinite(r2Ni))); min(r2Ni)],...
                        [sum(isfinite(1./r2Pb)); max(r2Pb); mean(r2Pb(isfinite(r2Pb))); min(r2Pb)],...
                        [sum(isfinite(1./r2Rb)); max(r2Rb); mean(r2Rb(isfinite(r2Rb))); min(r2Rb)],...
                        [sum(isfinite(1./r2Re)); max(r2Re); mean(r2Re(isfinite(r2Re))); min(r2Re)],...
                        [sum(isfinite(1./r2Sb)); max(r2Sb); mean(r2Sb(isfinite(r2Sb))); min(r2Sb)],...
                        [sum(isfinite(1./r2Sc)); max(r2Sc); mean(r2Sc(isfinite(r2Sc))); min(r2Sc)],...
                        [sum(isfinite(1./r2Se)); max(r2Se); mean(r2Se(isfinite(r2Se))); min(r2Se)],...
                        [sum(isfinite(1./r2Sn)); max(r2Sn); mean(r2Sn(isfinite(r2Sn))); min(r2Sn)],...
                        [sum(isfinite(1./r2Sr)); max(r2Sr); mean(r2Sr(isfinite(r2Sr))); min(r2Sr)],...
                        [sum(isfinite(1./r2Ta)); max(r2Ta); mean(r2Ta(isfinite(r2Ta))); min(r2Ta)],...
                        [sum(isfinite(1./r2Te)); max(r2Te); mean(r2Te(isfinite(r2Te))); min(r2Te)],...
                        [sum(isfinite(1./r2Th)); max(r2Th); mean(r2Th(isfinite(r2Th))); min(r2Th)],...
                        [sum(isfinite(1./r2Tl)); max(r2Tl); mean(r2Tl(isfinite(r2Tl))); min(r2Tl)],...
                        [sum(isfinite(1./r2U));  max(r2U);  mean(r2U(isfinite(r2U)));   min(r2U)],...
                        [sum(isfinite(1./r2V));  max(r2V);  mean(r2V(isfinite(r2V)));   min(r2V)],...
                        [sum(isfinite(1./r2W));  max(r2W);  mean(r2W(isfinite(r2W)));   min(r2W)],...
                        [sum(isfinite(1./r2Y));  max(r2Y);  mean(r2Y(isfinite(r2Y)));   min(r2Y)],...
                        [sum(isfinite(1./r2Zn)); max(r2Zn); mean(r2Zn(isfinite(r2Zn))); min(r2Zn)],...
                        [sum(isfinite(1./r2Zr)); max(r2Zr); mean(r2Zr(isfinite(r2Zr))); min(r2Zr)],...
                        [sum(isfinite(1./r2Ru)); max(r2Ru); mean(r2Ru(isfinite(r2Ru))); min(r2Ru)],...
                        [sum(isfinite(1./r2Rh)); max(r2Rh); mean(r2Rh(isfinite(r2Rh))); min(r2Rh)],...
                        [sum(isfinite(1./r2Pd)); max(r2Pd); mean(r2Pd(isfinite(r2Pd))); min(r2Pd)],...
                        [sum(isfinite(1./r2Os)); max(r2Os); mean(r2Os(isfinite(r2Os))); min(r2Os)],...
                        [sum(isfinite(1./r2Ir)); max(r2Ir); mean(r2Ir(isfinite(r2Ir))); min(r2Ir)],...
                        [sum(isfinite(1./r2Pt)); max(r2Pt); mean(r2Pt(isfinite(r2Pt))); min(r2Pt)],...
                        [sum(isfinite(1./r2La)); max(r2La); mean(r2La(isfinite(r2La))); min(r2La)],...
                        [sum(isfinite(1./r2Ce)); max(r2Ce); mean(r2Ce(isfinite(r2Ce))); min(r2Ce)],...
                        [sum(isfinite(1./r2Pr)); max(r2Pr); mean(r2Pr(isfinite(r2Pr))); min(r2Pr)],...
                        [sum(isfinite(1./r2Nd)); max(r2Nd); mean(r2Nd(isfinite(r2Nd))); min(r2Nd)],...
                        [sum(isfinite(1./r2Sm)); max(r2Sm); mean(r2Sm(isfinite(r2Sm))); min(r2Sm)],...
                        [sum(isfinite(1./r2Eu)); max(r2Eu); mean(r2Eu(isfinite(r2Eu))); min(r2Eu)],...
                        [sum(isfinite(1./r2Gd)); max(r2Gd); mean(r2Gd(isfinite(r2Gd))); min(r2Gd)],...
                        [sum(isfinite(1./r2Tb)); max(r2Tb); mean(r2Tb(isfinite(r2Tb))); min(r2Tb)],...
                        [sum(isfinite(1./r2Dy)); max(r2Dy); mean(r2Dy(isfinite(r2Dy))); min(r2Dy)],...
                        [sum(isfinite(1./r2Ho)); max(r2Ho); mean(r2Ho(isfinite(r2Ho))); min(r2Ho)],...
                        [sum(isfinite(1./r2Er)); max(r2Er); mean(r2Er(isfinite(r2Er))); min(r2Er)],...
                        [sum(isfinite(1./r2Tm)); max(r2Tm); mean(r2Tm(isfinite(r2Tm))); min(r2Tm)],...
                        [sum(isfinite(1./r2Yb)); max(r2Yb); mean(r2Yb(isfinite(r2Yb))); min(r2Yb)],...
                        [sum(isfinite(1./r2Lu)); max(r2Lu); mean(r2Lu(isfinite(r2Lu))); min(r2Lu)]);
% Turn zeros to NaN's     
input_raw_stat2(isnan(0./input_raw_stat2)) = NaN;
                    
%% Normalized Statistics - First dataset
    output_norm_stat2 = cat(2,...
                        [sum(isfinite(1./n2SiO2)); max(n2SiO2); mean(n2SiO2(isfinite(n2SiO2))); min(n2SiO2)],...
                        [sum(isfinite(1./n2TiO2)); max(n2TiO2); mean(n2TiO2(isfinite(n2TiO2))); min(n2TiO2)],...
                        [sum(isfinite(1./n2Al2O3)); max(n2Al2O3); mean(n2Al2O3(isfinite(n2Al2O3))); min(n2Al2O3)],...
                        [sum(isfinite(1./n2Fe2O3)); max(n2Fe2O3); mean(n2Fe2O3(isfinite(n2Fe2O3))); min(n2Fe2O3)],...
                        [sum(isfinite(1./n2MnO)); max(n2MnO); mean(n2MnO(isfinite(n2MnO))); min(n2MnO)],...
                        [sum(isfinite(1./n2MgO)); max(n2MgO); mean(n2MgO(isfinite(n2MgO))); min(n2MgO)],...
                        [sum(isfinite(1./n2CaO)); max(n2CaO); mean(n2CaO(isfinite(n2CaO))); min(n2CaO)],...
                        [sum(isfinite(1./n2Na2O)); max(n2Na2O); mean(n2Na2O(isfinite(n2Na2O))); min(n2Na2O)],...
                        [sum(isfinite(1./n2K2O)); max(n2K2O); mean(n2K2O(isfinite(n2K2O))); min(n2K2O)],...
                        [sum(isfinite(1./n2P2O5)); max(n2P2O5); mean(n2P2O5(isfinite(n2P2O5))); min(n2P2O5)],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [sum(isfinite(1./n2total)); max(n2total); mean(n2total(isfinite(n2total))); min(n2total)],...
                        [sum(isfinite(1./n2Ag)); max(n2Ag); mean(n2Ag(isfinite(n2Ag))); min(n2Ag)],...
                        [sum(isfinite(1./n2As)); max(n2As); mean(n2As(isfinite(n2As))); min(n2As)],...
                        [sum(isfinite(1./n2Au)); max(n2Au); mean(n2Au(isfinite(n2Au))); min(n2Au)],...
                        [sum(isfinite(1./n2B )); max(n2B ); mean(n2B (isfinite(n2B ))); min(n2B )],...
                        [sum(isfinite(1./n2Ba)); max(n2Ba); mean(n2Ba(isfinite(n2Ba))); min(n2Ba)],...
                        [sum(isfinite(1./n2Be)); max(n2Be); mean(n2Be(isfinite(n2Be))); min(n2Be)],...
                        [sum(isfinite(1./n2Bi)); max(n2Bi); mean(n2Bi(isfinite(n2Bi))); min(n2Bi)],...
                        [sum(isfinite(1./n2Cd)); max(n2Cd); mean(n2Cd(isfinite(n2Cd))); min(n2Cd)],...
                        [sum(isfinite(1./n2Co)); max(n2Co); mean(n2Co(isfinite(n2Co))); min(n2Co)],...
                        [sum(isfinite(1./n2Cr)); max(n2Cr); mean(n2Cr(isfinite(n2Cr))); min(n2Cr)],...
                        [sum(isfinite(1./n2Cs)); max(n2Cs); mean(n2Cs(isfinite(n2Cs))); min(n2Cs)],...
                        [sum(isfinite(1./n2Cu)); max(n2Cu); mean(n2Cu(isfinite(n2Cu))); min(n2Cu)],...
                        [sum(isfinite(1./n2Ga)); max(n2Ga); mean(n2Ga(isfinite(n2Ga))); min(n2Ga)],...
                        [sum(isfinite(1./n2Ge)); max(n2Ge); mean(n2Ge(isfinite(n2Ge))); min(n2Ge)],...
                        [sum(isfinite(1./n2Hf)); max(n2Hf); mean(n2Hf(isfinite(n2Hf))); min(n2Hf)],...
                        [sum(isfinite(1./n2Hg)); max(n2Hg); mean(n2Hg(isfinite(n2Hg))); min(n2Hg)],...
                        [sum(isfinite(1./n2In)); max(n2In); mean(n2In(isfinite(n2In))); min(n2In)],...
                        [sum(isfinite(1./n2Li)); max(n2Li); mean(n2Li(isfinite(n2Li))); min(n2Li)],...
                        [sum(isfinite(1./n2Mo)); max(n2Mo); mean(n2Mo(isfinite(n2Mo))); min(n2Mo)],...
                        [sum(isfinite(1./n2Nb)); max(n2Nb); mean(n2Nb(isfinite(n2Nb))); min(n2Nb)],...
                        [sum(isfinite(1./n2Ni)); max(n2Ni); mean(n2Ni(isfinite(n2Ni))); min(n2Ni)],...
                        [sum(isfinite(1./n2Pb)); max(n2Pb); mean(n2Pb(isfinite(n2Pb))); min(n2Pb)],...
                        [sum(isfinite(1./n2Rb)); max(n2Rb); mean(n2Rb(isfinite(n2Rb))); min(n2Rb)],...
                        [sum(isfinite(1./n2Re)); max(n2Re); mean(n2Re(isfinite(n2Re))); min(n2Re)],...
                        [sum(isfinite(1./n2Sb)); max(n2Sb); mean(n2Sb(isfinite(n2Sb))); min(n2Sb)],...
                        [sum(isfinite(1./n2Sc)); max(n2Sc); mean(n2Sc(isfinite(n2Sc))); min(n2Sc)],...
                        [sum(isfinite(1./n2Se)); max(n2Se); mean(n2Se(isfinite(n2Se))); min(n2Se)],...
                        [sum(isfinite(1./n2Sn)); max(n2Sn); mean(n2Sn(isfinite(n2Sn))); min(n2Sn)],...
                        [sum(isfinite(1./n2Sr)); max(n2Sr); mean(n2Sr(isfinite(n2Sr))); min(n2Sr)],...
                        [sum(isfinite(1./n2Ta)); max(n2Ta); mean(n2Ta(isfinite(n2Ta))); min(n2Ta)],...
                        [sum(isfinite(1./n2Te)); max(n2Te); mean(n2Te(isfinite(n2Te))); min(n2Te)],...
                        [sum(isfinite(1./n2Th)); max(n2Th); mean(n2Th(isfinite(n2Th))); min(n2Th)],...
                        [sum(isfinite(1./n2Tl)); max(n2Tl); mean(n2Tl(isfinite(n2Tl))); min(n2Tl)],...
                        [sum(isfinite(1./n2U)); max(n2U); mean(n2U(isfinite(n2U))); min(n2U)],...
                        [sum(isfinite(1./n2V)); max(n2V); mean(n2V(isfinite(n2V))); min(n2V)],...
                        [sum(isfinite(1./n2W)); max(n2W); mean(n2W(isfinite(n2W))); min(n2W)],...
                        [sum(isfinite(1./n2Y)); max(n2Y); mean(n2Y(isfinite(n2Y))); min(n2Y)],...
                        [sum(isfinite(1./n2Zn)); max(n2Zn); mean(n2Zn(isfinite(n2Zn))); min(n2Zn)],...
                        [sum(isfinite(1./n2Zr)); max(n2Zr); mean(n2Zr(isfinite(n2Zr))); min(n2Zr)],...
                        [sum(isfinite(1./n2Ru)); max(n2Ru); mean(n2Ru(isfinite(n2Ru))); min(n2Ru)],...
                        [sum(isfinite(1./n2Rh)); max(n2Rh); mean(n2Rh(isfinite(n2Rh))); min(n2Rh)],...
                        [sum(isfinite(1./n2Pd)); max(n2Pd); mean(n2Pd(isfinite(n2Pd))); min(n2Pd)],...
                        [sum(isfinite(1./n2Os)); max(n2Os); mean(n2Os(isfinite(n2Os))); min(n2Os)],...
                        [sum(isfinite(1./n2Ir)); max(n2Ir); mean(n2Ir(isfinite(n2Ir))); min(n2Ir)],...
                        [sum(isfinite(1./n2Pt)); max(n2Pt); mean(n2Pt(isfinite(n2Pt))); min(n2Pt)],...
                        [sum(isfinite(1./n2La)); max(n2La); mean(n2La(isfinite(n2La))); min(n2La)],...
                        [sum(isfinite(1./n2Ce)); max(n2Ce); mean(n2Ce(isfinite(n2Ce))); min(n2Ce)],...
                        [sum(isfinite(1./n2Pr)); max(n2Pr); mean(n2Pr(isfinite(n2Pr))); min(n2Pr)],...
                        [sum(isfinite(1./n2Nd)); max(n2Nd); mean(n2Nd(isfinite(n2Nd))); min(n2Nd)],...
                        [sum(isfinite(1./n2Sm)); max(n2Sm); mean(n2Sm(isfinite(n2Sm))); min(n2Sm)],...
                        [sum(isfinite(1./n2Eu)); max(n2Eu); mean(n2Eu(isfinite(n2Eu))); min(n2Eu)],...
                        [sum(isfinite(1./n2Gd)); max(n2Gd); mean(n2Gd(isfinite(n2Gd))); min(n2Gd)],...
                        [sum(isfinite(1./n2Tb)); max(n2Tb); mean(n2Tb(isfinite(n2Tb))); min(n2Tb)],...
                        [sum(isfinite(1./n2Dy)); max(n2Dy); mean(n2Dy(isfinite(n2Dy))); min(n2Dy)],...
                        [sum(isfinite(1./n2Ho)); max(n2Ho); mean(n2Ho(isfinite(n2Ho))); min(n2Ho)],...
                        [sum(isfinite(1./n2Er)); max(n2Er); mean(n2Er(isfinite(n2Er))); min(n2Er)],...
                        [sum(isfinite(1./n2Tm)); max(n2Tm); mean(n2Tm(isfinite(n2Tm))); min(n2Tm)],...
                        [sum(isfinite(1./n2Yb)); max(n2Yb); mean(n2Yb(isfinite(n2Yb))); min(n2Yb)],...
                        [sum(isfinite(1./n2Lu)); max(n2Lu); mean(n2Lu(isfinite(n2Lu))); min(n2Lu)]);
% Turn zeros to NaN's
output_norm_stat2(isnan(0./output_norm_stat2)) = NaN;