    %% File Input - 4 datastets
    cd ..
    close
    folder_program = pwd;
    folder_plot = [folder_program '\bin'];
    folder_norm = [folder_program '\norm'];

    % Opens dialog box for first input-file
[input_file1, input_path1] = uigetfile({'*.xlsx';'*.xls';'*.*'},...
                                        'Select first Excel-Spreadsheet - FGAPP v1.0');
    % Opens dialog box for second input-file
[input_file2, input_path2] = uigetfile({'*.xlsx';'*.xls';'*.*'},...
                                        'Select second Excel-Spreadsheet - FGAPP v1.0');
    % Opens dialog box for third input-file
[input_file3, input_path3] = uigetfile({'*.xlsx';'*.xls';'*.*'},...
                                        'Select third Excel-Spreadsheet - FGAPP v1.0');
    % Opens dialog box for fourth input-file
[input_file4, input_path4] = uigetfile({'*.xlsx';'*.xls';'*.*'},...
                                        'Select fourth Excel-Spreadsheet - FGAPP v1.0');
                 
	%% Reads of file into MATLAB-Workspace  
    tic
    Status = 'Reading data...'
    Date  = datestr(clock)
    input_path_file1 = [input_path1 input_file1];
[input_dat1, ~,input_raw1] = xlsread(input_path_file1);
    input_path_file2 = [input_path2 input_file2];
[input_dat2, ~,input_raw2] = xlsread(input_path_file2);
    input_path_file3 = [input_path3 input_file3];
[input_dat3, ~,input_raw3] = xlsread(input_path_file3);
    input_path_file4 = [input_path4 input_file4];
[input_dat4, ~,input_raw4] = xlsread(input_path_file4); 
    Status = '...finished reading...'
    Date  = datestr(clock)
    toc
    
     %% Runs normalization
    tic
    Status = '...normalizing data...'
    Date  = datestr(clock)
    input_norm1n = '\norm\normalization1.m'; input_norm1n = [folder_program input_norm1n];
run(input_norm1n)
    input_norm2n = '\norm\normalization2.m'; input_norm2n = [folder_program input_norm2n];
run(input_norm2n)
    input_norm3n = '\norm\normalization3.m'; input_norm3n = [folder_program input_norm3n];
run(input_norm3n)
    input_norm4n = '\norm\normalization4.m'; input_norm4n = [folder_program input_norm4n];
run(input_norm4n)
    Status = '...finished normalization...'
    Date  = datestr(clock)
    toc
    
    %% Starts Main Window
    tic
    Status = '...opening Main Window'
    Date  = datestr(clock)
    input_mw4 = '\main_window\mainwindow4.m'; input_mw4 = [folder_program input_mw4];
run(input_mw4)
    Status = '...finished!'
    Date  = datestr(clock)
    toc  
    
    %% Clear data
    clear Status Date
    clear input_path1 input_path2 input_path3 input_path4 input_mw4
    
    %% Change to Plots Directory
    cd (folder_plot)