% FastGAPP Mainwindow - 3 datasets

function mainwindow3   
%% Initialize the GUI
% Create and then hide the GUI as it is being constructed.
   fgapp_main_window = figure('Visible','off','Position',[100,100,1200,700]);

% Title
   titlehead1 = uicontrol('Style','text','String',sprintf(''),...
          'FontSize',[12],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[670,80,330,180]);
   titlehead2 = uicontrol('Style','text','String',sprintf('FastGAPP version 1.0 \n \n Scientific Project of Florian Riefstahl \n \n University of Bremen, 2012 \n \n Email: flo_rief@uni-bremen.de'),...
          'FontSize',[12],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[670,80,330,160]);
   
% Construtcting the FastGAPP Layout
    % Header Layout
      a000 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[0,670,880,20]);
      a001 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[0,690,880,10]);
      a002 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[880,695,105,5]);
      a003 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[880,670,105,25]);    
      a004 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[985,690,85,10]);        
      a005 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[985,670,85,20]);
      a006 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[1070,685,65,15]);
      a007 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[1070,670,65,15]);   
      a008 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[1135,680,45,20]);
      a009 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[1135,670,45,10]);    
      a010 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[1180,675,20,25]);
      a011 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.0,0.0,0.0],...
          'Position',[1180,670,20,5]);
    % Header Text
      a012 = uicontrol('Style','text','String','FastGAPP v1.0',...
          'FontSize',[14],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor','white','BackgroundColor','black',...
          'Position',[0,670,200,20]);     
      a013 = uicontrol('Style','text','String','Fast Geochemical Analysis Plotting Program',...
          'FontSize',[12],'FontWeight','bold','FontName','Arial',...
          'ForegroundColor','white','BackgroundColor','black',...
          'Position',[735,670,370,18]);
    % Lines
      a014 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[219,477,2,190]);
      a015 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[439,477,2,190]);
      a016 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[659,477,2,190]);
      a017 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[879,477,2,190]);
      a018 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[1099,477,2,190]);
      a019 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[439,277,2,185]);
      a020 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[659,277,2,185]);
      a021 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[879,277,2,190]);
      a022 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[1099,277,2,185]);
      a023 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[259,77,2,185]);
      a024 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[459,77,2,185]);
      a025 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[5,469,210,2]);
      a026 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[225,268,210,4]);
      a027 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[445,268,210,4]);
    % Boundary Main/Trace elements
      a028 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[0,268,220,4]);
      a029 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[218,268,4,204]);
      a030 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[218,468,982,4]);
    % Boundary Trace/Control
      a031 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[0,68,660,4]);
      a032 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[658,68,4,204]);
      a033 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0,0,0],...
          'Position',[658,268,542,4]);
    % Create a sun
      a034 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,0.4,0.1],...
          'Position',[1142,687,8,8]);
      a035 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.8,0.6,0.2],...
          'Position',[1140,688,12,6]);
      a036 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.8,0.6,0.2],...
          'Position',[1143,685,6,12]);

%% 1 TAS-diagram button and preview
    % TAS button
   TAS1 = uibutton('Style','pushbutton','String','TAS diagram',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[10,640,200,25],...
          'Callback','tas_3dataset');
   TAS2 = uibutton('Style','pushbutton','String','K_2O vs. silica classification',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[10,475,200,25],...
          'Callback','subd_3dataset');
    % TAS preview data
   pre1SiO2 = evalin('base','n1SiO2');
   pre1Alk  = evalin('base','n1Na2O')+evalin('base','n1K2O');
   pre2SiO2 = evalin('base','n2SiO2');
   pre2Alk  = evalin('base','n2Na2O')+evalin('base','n2K2O');
   pre3SiO2 = evalin('base','n3SiO2');
   pre3Alk  = evalin('base','n3Na2O')+evalin('base','n3K2O');
    % TAS preview
    TASex = axes('Units','Pixels','Position',[40,532,160,100]);
          line([41 41 41 45 48.4 52.5],[0 3 7 9.4 11.5 14],'Color','k','LineWidth',1);
          line([41 45],[3 3],'Color','k','LineWidth',1);
          line([45 45 45 49.4 53 57.6 64],[0 3 5 7.3 9.3 11.7 15],'Color','k','LineWidth',1);
          line([45 52 57 63 69],[5 5 5.9 7 8],'Color','k','LineWidth',1);
          line([52 52 49.4 45],[0 5 7.3 9.4],'Color','k','LineWidth',1);
          line([57 57 53 48.4],[0 5.9 9.3 11.5],'Color','k','LineWidth',1);
          line([63 63 57.6 50.3],[0 7 11.7 15],'Color','k','LineWidth',1);
          line([77 69 69],[0 8 15],'Color','k','LineWidth',1);
          line([39.5 66.5],[0 10.25],'Color','k','LineWidth',1,'LineStyle',':');
          line(pre3SiO2,pre3Alk,'LineStyle','none','Marker','v',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','g')
          line(pre2SiO2,pre2Alk,'LineStyle','none','Marker','o',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','b')
          line(pre1SiO2,pre1Alk,'LineStyle','none','Marker','s',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r')
          axis ([35 80 0 16]); box on;
          set(gca,'XTick',35:10:80,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:4:16,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('SiO_2 [wt.%]','FontSize',[7],...
          'FontWeight','bold','FontName','Arial');
          ylabel('Na_2O+K_2O [wt.%]','FontSize',[7],...
          'FontWeight','bold','FontName','Arial');

%% 2 Alkalinity button and single preview
    % Alkalinity Index button
        Molplot1 = uibutton('Style','pushbutton','String','PI and ASI',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[230,640,200,25],...
          'Callback','molar_ratio_3dataset');
        Molplot2 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[230,475,200,25],...
          'Callback','freebutton');

    % Alkalinity preview data
   pre1PI   = (evalin('base','x1Na2O')+evalin('base','x1K2O')).\evalin('base','x1Al2O3');
   pre1ASI  = (evalin('base','x1Na2O')+evalin('base','x1K2O')+evalin('base','x1CaO')-1.67.*evalin('base','x1P2O5')).\evalin('base','x1Al2O3');
   pre2PI   = (evalin('base','x2Na2O')+evalin('base','x2K2O')).\evalin('base','x2Al2O3');
   pre2ASI  = (evalin('base','x2Na2O')+evalin('base','x2K2O')+evalin('base','x2CaO')-1.67.*evalin('base','x2P2O5')).\evalin('base','x2Al2O3');
   pre3PI   = (evalin('base','x3Na2O')+evalin('base','x3K2O')).\evalin('base','x3Al2O3');
   pre3ASI  = (evalin('base','x3Na2O')+evalin('base','x3K2O')+evalin('base','x3CaO')-1.67.*evalin('base','x3P2O5')).\evalin('base','x3Al2O3');
    % Preview of alkalinity Index
        Molplotex = axes('Units','Pixels','Position',[260,532,160,100]);
          line([0.5 2],[0.5 2],'Color','k','LineWidth',1);
          line([0 3],[1 1],'Color','k','LineWidth',1);
          line([1 1],[0 3],'Color','k','LineWidth',1);
          line(pre3ASI,pre3PI,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
                        hold all
          line(pre2ASI,pre2PI,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1ASI,pre1PI,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
                         hold off
          axis ([0.5 2 0.4 3]); box on;
          set(gca,'XTick',0.5:0.5:2,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0.5:0.5:3,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('ASI','FontSize',[7],...
          'FontWeight','bold','FontName','Arial');
          ylabel('PI','FontSize',[7],...
          'FontWeight','bold','FontName','Arial');
      
%% 3 Cross-Plots buttons and preview
    % Crossplots Button
        Cross1 = uibutton('Style','pushbutton','String','Cross plots',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[450,640,200,25],...
          'Callback','crossplots_3dataset');
        Cross2 = uibutton('Style','pushbutton','Interpreter','tex','String','Al_2O_3',...
          'FontSize',[7],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[465,475,50,25],...
          'Callback','crossplots_Al2O3_3dataset');
        Cross3 = uibutton('Style','pushbutton','Interpreter','tex','String','MgO',...
          'FontSize',[7],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[525,475,50,25],...
          'Callback','crossplots_MgO_3dataset');
        Cross4 = uibutton('Style','pushbutton','Interpreter','tex','String','TiO_2',...
          'FontSize',[7],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[585,475,50,25],...
          'Callback','crossplots_TiO2_3dataset');
    % Cross plot preview data
   pre1Al2O3  = evalin('base','n1Al2O3');
   pre2Al2O3  = evalin('base','n2Al2O3');
   pre3Al2O3  = evalin('base','n3Al2O3');
   pre1cross1 = evalin('base','n1CaO')./evalin('base','n1Al2O3');
   pre2cross1 = evalin('base','n2CaO')./evalin('base','n2Al2O3');
   pre3cross1 = evalin('base','n3CaO')./evalin('base','n3Al2O3');
    % Crossplots preview
        Crossex = axes('Units','Pixels','Position',[480,532,160,100]);
            line(pre3Al2O3,pre3cross1,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
            line(pre2Al2O3,pre2cross1,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
            line(pre1Al2O3,pre1cross1,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis; box on;
          set(gca,'XTick',0:2:20,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:0.5:10,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('Al_2O_3 [wt.%]','FontSize',[7],...
          'FontWeight','bold','FontName','Arial');
          ylabel('CaO/Al_2O_3','FontSize',[7],...
          'FontWeight','bold','FontName','Arial');

%% 4 Harker-diagram button and single preview
    % Harker button
    Harker1 = uibutton('Style','pushbutton','String','Harker diagrams',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[670,640,200,25],...
          'Callback','harker_3dataset');
    Harker2 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[665,475,20,20],...
          'Callback','freebutton');
    % Harker preview data
   pre1MgO  = evalin('base','n1MgO');
   pre1Na2O = evalin('base','n1Na2O');
   pre1CaO  = evalin('base','n1CaO');
   pre1K2O  = evalin('base','n1K2O');
   pre2MgO  = evalin('base','n2MgO');
   pre2Na2O = evalin('base','n2Na2O');
   pre2CaO  = evalin('base','n2CaO');
   pre2K2O  = evalin('base','n2K2O');
   pre3MgO  = evalin('base','n3MgO');
   pre3Na2O = evalin('base','n3Na2O');
   pre3CaO  = evalin('base','n3CaO');
   pre3K2O  = evalin('base','n3K2O');
    % Harker preview
    Harkerex1 = axes('Units','Pixels','Position',[700,575,65,50]);
          line(pre3SiO2,pre3MgO,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2SiO2,pre2MgO,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1SiO2,pre1MgO,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([35 70 0 15]); box on;
          set(gca,'XTick',35:10:70,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:5:15,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('MgO [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
    Harkerex2 = axes('Units','Pixels','Position',[700,505,65,50]);
          line(pre3SiO2,pre3CaO,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2SiO2,pre2CaO,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1SiO2,pre1CaO,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([35 70 0 15]); box on;
          set(gca,'XTick',35:10:70,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:5:15,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('SiO_2 [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('CaO [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
    Harkerex3 = axes('Units','Pixels','Position',[780,575,65,50],'YAxisLocation','right');
          line(pre3SiO2,pre3Na2O,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2SiO2,pre2Na2O,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1SiO2,pre1Na2O,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([35 70 0 8]); box on;
          set(gca,'XTick',35:10:70,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:2:8,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('Na_2O [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
    Harkerex4 = axes('Units','Pixels','Position',[780,505,65,50],'YAxisLocation','right');
          line(pre3SiO2,pre3K2O,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2SiO2,pre2K2O,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1SiO2,pre1K2O,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([35 70 0 8]); box on;
          set(gca,'XTick',35:10:70,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:2:8,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('SiO_2 [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('K_2O [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
      
%% 5 Fenner-diagram button
    % Fenner-diagram button
        Fenner1 = uicontrol('Style','pushbutton','String','Fenner diagrams',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[890,640,200,25],...
          'Callback','fenner_3dataset');
        Fenner2 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[885,475,20,20],...
          'Callback','freebutton');
    % Create Fenner data
   pre1TiO2  = evalin('base','n1TiO2');
   pre1Fe2O3 = evalin('base','n1Fe2O3');
   pre1P2O5  = evalin('base','n1P2O5');
   pre2TiO2  = evalin('base','n2TiO2');
   pre2Fe2O3 = evalin('base','n2Fe2O3');
   pre2P2O5  = evalin('base','n2P2O5');
   pre3TiO2  = evalin('base','n3TiO2');
   pre3Fe2O3 = evalin('base','n3Fe2O3');
   pre3P2O5  = evalin('base','n3P2O5');
    % Preview of four Fenner diagrams
    Fennerex1 = axes('Units','Pixels','Position',[920,575,65,50]);
          line(pre3MgO,pre3Al2O3,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2MgO,pre2Al2O3,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1MgO,pre1Al2O3,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([0 16 0 20]); box on;
          set(gca,'XTick',0:4:16,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:5:20,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('Al_2O_3 [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
    Fennerex2 = axes('Units','Pixels','Position',[920,505,65,50]);
          line(pre3MgO,pre3Fe2O3,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2MgO,pre2Fe2O3,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')  
          line(pre1MgO,pre1Fe2O3,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([0 16 0 20]); box on;
          set(gca,'XTick',0:4:16,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:5:20,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('MgO [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('Fe_2O_3 [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
  	Fennerex3 = axes('Units','Pixels','Position',[1000,575,65,50],'YAxisLocation','right');
          line(pre3MgO,pre3TiO2,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2MgO,pre2TiO2,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1MgO,pre1TiO2,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([0 16 0 10]); box on;
          set(gca,'XTick',0:4:16,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:2.5:10,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('TiO_2 [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
    Fennerex4 = axes('Units','Pixels','Position',[1000,505,65,50],'YAxisLocation','right');
          line(pre3MgO,pre3P2O5,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2MgO,pre2P2O5,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1MgO,pre1P2O5,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([0 16 0 2]); box on;
          set(gca,'XTick',0:4:16,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:0.5:2,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('MgO [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('P_2O_5 [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');


%% 6 Alkaline Button
   Alkali1 = uibutton('Style','pushbutton','String','K_2O vs. Na_2O',...
          'FontSize',[7],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,635,90,25],...
          'Callback','middlemost_3dataset');
      
%% 6 Future buttons
      % Future button
   free4 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,605,90,25],...
          'Callback','freebutton');
      % Future button
   free5 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,575,90,25],...
          'Callback','freebutton');
      % Future button
   free6 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,545,90,25],...
          'Callback','freebutton');
      % Future button
   free7 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,515,90,25],...
          'Callback','freebutton');
      % Future button
   free8 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,485,90,25],...
          'Callback','freebutton');

%% 7 AFM diagram
% AFM button
   AFM1 = uicontrol('Style','pushbutton','String','AFM diagram',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[30,440,180,25],...
          'Callback','AFM_3dataset');
   AFM2 = uicontrol('Style','pushbutton','String','Mullen (1983)',...
          'FontSize',[6],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[10,418,80,20],...
          'Callback','Mullen1983_3dataset');
   AFM3 = uicontrol('Style','pushbutton','String','Pearce et al. (1975)',...
          'FontSize',[6],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[10,396,80,20],...
          'Callback','pearceetal1975_3dataset');
   AFM4 = uicontrol('Style','pushbutton','String','Pearce et al. (1977)',...
          'FontSize',[6],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[10,374,80,20],...
          'Callback','pearceetal1977_3dataset');
   AFM5 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[10,352,60,20],...
          'Callback','freebutton');
   AFM6 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[10,330,60,20],...
          'Callback','freebutton');
   AFM7 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[10,308,60,20],...
          'Callback','freebutton');
% Creating AFM data
   pre1sum = pre1Na2O+pre1K2O+(0.8998.*pre1Fe2O3)+pre1MgO;
   pre1F   = ((0.8998.*pre1Fe2O3)./pre1sum)*sin(deg2rad(60));
   pre1M   = (pre1MgO./pre1sum)+pre1F*cot(deg2rad(60));
   pre2sum = pre2Na2O+pre2K2O+(0.8998.*pre2Fe2O3)+pre2MgO;
   pre2F   = ((0.8998.*pre2Fe2O3)./pre2sum)*sin(deg2rad(60));
   pre2M   = (pre2MgO./pre2sum)+pre2F*cot(deg2rad(60));
   pre3sum = pre3Na2O+pre3K2O+(0.8998.*pre3Fe2O3)+pre3MgO;
   pre3F   = ((0.8998.*pre3Fe2O3)./pre3sum)*sin(deg2rad(60));
   pre3M   = (pre3MgO./pre3sum)+pre3F*cot(deg2rad(60));
% AFM preview
   AFMex = axes('Units','Pixels','Position',[75,290,120,120]);
            patch('Xdata',[0 1 0.5 0],'Ydata',[0 0 sin(1/3*pi) 0],'EdgeColor','w',...
                                      'FaceColor','W','HandleVisibility','off')
            set(gca, 'visible', 'off','dataaspectratio',[1 1 1])
            hold all
            plot ([0 1 0.5 0],[0 0 sin(1/3*pi) 0],'Color','k','LineWidth',[1.5],...
                                      'HandleVisibility','off')
            set(gca, 'visible', 'off','dataaspectratio',[1 1 1]);
            plot([0.693 0.660 0.632 0.598 0.570 0.536 0.500 0.464 0.428 0.375 0.186],...
                 [0.349 0.381 0.406 0.435 0.454 0.472 0.481 0.472 0.453 0.412 0.260],...
                 'Marker','none','Color','k','LineStyle','-','LineWidth',[1])
            plot(pre3M,pre3F,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
            plot(pre2M,pre2F,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
            plot(pre1M,pre1F,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
            text(1,-0.0725,'M (MgO)','HorizontalAlignment','center',...
                 'VerticalAlignment','middle','FontSize',[7],'FontWeight','b');
            text(0.1,-0.08,'A (Na_2O+K_2O)','HorizontalAlignment','center',...
                 'VerticalAlignment','middle','FontSize',[7],'FontWeight','b');
            text(0.5,0.9,'F (FeO_t_o_t)','HorizontalAlignment','center',...
                 'VerticalAlignment','middle','FontSize',[7],'FontWeight','b');
            set(gca,'dataaspectratio',[1 1 1]), axis off;
            axis ([0 1 0 sin(1/3*pi)]); box off;

%% 8 Winchester & Floyd (1977) button and preview 
   WF1 = uicontrol('Style','pushbutton','String','Winchester & Floyd (1977)',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[230,440,200,25],...
          'Callback','winchester_floyd_3dataset');
   WF2 = uicontrol('Style','pushbutton','String','Th vs. Co after Hastie et al. (2007)',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[230,275,200,25],...
          'Callback','hastieetal_3dataset');
% Create data
   pre1NbdivY     = evalin('base','n1Nb')./evalin('base','n1Y');
   pre1ZrdivTiO2  = evalin('base','n1Zr')./(evalin('base','n1TiO2')*10000);
   pre2NbdivY     = evalin('base','n2Nb')./evalin('base','n2Y');
   pre2ZrdivTiO2  = evalin('base','n2Zr')./(evalin('base','n2TiO2')*10000);
   pre3NbdivY     = evalin('base','n3Nb')./evalin('base','n3Y');
   pre3ZrdivTiO2  = evalin('base','n3Zr')./(evalin('base','n3TiO2')*10000);
% preview
   WFex = axes('Units','Pixels','Position',[270,332,150,100]);
          loglog([0.029 0.205 0.3 0.4 0.5 0.6 0.8 1 1.4 2 3 3],...
          [0.0047 0.0053 0.0059 0.013 0.0155 0.0175 0.021 0.023 0.024 0.021 0.0155 0.005],'Color','k','LineWidth',1)
          line([0.5 0.4 0.3 0.2 0.1 0.06],[0.0155 0.0145 0.0132 0.012 0.0115 0.0112],'Color','k','LineWidth',1);
          line([0.67 0.67 0.2],[0.0027 0.085 0.12],'Color','k','LineWidth',1);
          line([0.022 0.3 0.35 0.4 0.5 0.6 0.67],[0.06 0.027 0.026 0.0255 0.0255 0.026 0.0265],'Color','k','LineWidth',1);
          line([0.67 0.94],[0.085 0.14],'Color','k','LineWidth',1);
          line([3 4.35 5.6],[0.0155 0.024 0.04],'Color','k','LineWidth',1);
          line([0.34 0.94 1.25 5.6 10],[0.63 0.14 0.094 0.04 0.04],'Color','k','LineWidth',1);
          line([1.25 1.45 1.8],[0.094 0.14 1.4],'Color','k','LineWidth',1);
          line([10 9 8 7 6 5 4 3 2.4 2 1.8 1.6],[0.15 0.155 0.165 0.177 0.195 0.22 0.26 0.35 0.47 0.8 1.4 3],'Color','k','LineWidth',1);
          line(pre3NbdivY,pre3ZrdivTiO2,'LineStyle','none','Marker','v',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','g')
          line(pre2NbdivY,pre2ZrdivTiO2,'LineStyle','none','Marker','o',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','b')
          line(pre1NbdivY,pre1ZrdivTiO2,'LineStyle','none','Marker','s',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r')
          axis ([0.01 10 0.001 5]); box on;
          set(gca,'Fontsize',[6],'XTick',[0.01 0.1 1 10],'XTickLabel',[0.01 0.1 1 10],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'Fontsize',[6],'YTick',[0.001 0.01 0.1 1 5],...
          'YTickLabel',[0.001 0.01 0.1 1 5],'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('Nb/Y','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('Zr/TiO_2','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');            
          
%% 9 Condie Plots
% Condie Button
   Condie1 = uicontrol('Style','pushbutton','String','Condie (2005) plots',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[450,440,200,25],...
          'Callback','condie_3dataset');
   Condie2 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[450,275,200,25],...
          'Callback','freebutton');
% Execute variables from workspace
   % Nb/Y ratio is above
   pre1ZrdivY     = evalin('base','n1Zr')./evalin('base','n1Y');
   pre2ZrdivY     = evalin('base','n2Zr')./evalin('base','n2Y');
   pre3ZrdivY     = evalin('base','n3Zr')./evalin('base','n3Y');
% Condie Plots
   Condieex = axes('Units','Pixels','Position',[490,332,150,100]);
          loglog([1.17 1.25 4.1 6.45 5.65 1.325 1.17],...
                 [0.067 0.13 0.95 0.82 0.315 0.04 0.067],'Color','k','LineWidth',1)
            line([4.59 4.47 10.2 13.3 14.8 13.65 8.6 6 4.59],...
                 [0.82 1.63 5.5 5.6 3.2 2 1 0.7 0.82],'Color','k','LineWidth',1)
            line([2.1 1.7 1.8 4 4.1 3.15 2.6 2.1],...
                 [0.0145 0.031 0.052 0.22 0.12 0.025 0.0165 0.0145],'Color','k','LineWidth',1)
            line([3.48 3.45 9.75 11 12.8 12.66 9.25 5.9 3.48],...
                 [0.08 0.175 1 1.6 1.55 0.75 0.16 0.065 0.08],'Color','k','LineWidth',1)
            line([1 20],[0.0185 5.3],'Color','k','LineWidth',1,'LineStyle',':')
            line(pre3ZrdivY,pre3NbdivY,'LineStyle','none','Marker','v',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','g')
            line(pre2ZrdivY,pre2NbdivY,'LineStyle','none','Marker','o',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','b')
            line(pre1ZrdivY,pre1NbdivY,'LineStyle','none','Marker','s',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r')
          axis ([1 20 0.01 10]); box on;
          set(gca,'XTickLabel',[1 10],'YTickLabel',[0.01 0.1 1 10],'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5)
          xlabel('Zr/Y','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('Nb/Y','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');

%% 10 Trace element variations over SiO2 and preview
% Button
   TEV1 = uibutton('Style','pushbutton','String','Trace elements vs. SiO_2',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[670,440,200,25],...
          'Callback','te1vssio2_3dataset');
   TEV2 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[665,275,20,20],...
          'Callback','freebutton');
% Create data
   pre1Ba    = evalin('base','n1Ba');
   pre1Sr    = evalin('base','n1Sr');
   pre1Rb    = evalin('base','n1Rb');
   pre1Cr    = evalin('base','n1Cr');
   pre2Ba    = evalin('base','n2Ba');
   pre2Sr    = evalin('base','n2Sr');
   pre2Rb    = evalin('base','n2Rb');
   pre2Cr    = evalin('base','n2Cr');
   pre3Ba    = evalin('base','n3Ba');
   pre3Sr    = evalin('base','n3Sr');
   pre3Rb    = evalin('base','n3Rb');
   pre3Cr    = evalin('base','n3Cr');
% preview
   TEV1ex1 = axes('Units','Pixels','Position',[700,375,65,50]);
          line(pre3SiO2,pre3Ba,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2SiO2,pre2Ba,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1SiO2,pre1Ba,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([35 70 0 2000]); box on;
          set(gca,'XTick',35:10:70,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:500:2000,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('Ba [ppm]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
   TEV1ex2 = axes('Units','Pixels','Position',[780,375,65,50],'YAxisLocation','right');
          line(pre3SiO2,pre3Sr,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2SiO2,pre2Sr,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1SiO2,pre1Sr,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([35 70 0 1200]); box on;
          set(gca,'XTick',35:10:70,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:300:2000,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('Sr [ppm]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
   TEV1ex3 = axes('Units','Pixels','Position',[700,305,65,50]);
          line(pre3SiO2,pre3Rb,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2SiO2,pre2Rb,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1SiO2,pre1Rb,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([35 70 0 300]); box on;
          set(gca,'XTick',35:10:70,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:100:300,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('SiO_2 [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('Rb [ppm]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
   TEV1ex4 = axes('Units','Pixels','Position',[780,305,65,50],'YAxisLocation','right');
          line(pre3SiO2,pre3Cr,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2SiO2,pre2Cr,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1SiO2,pre1Cr,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([35 70 0 400]); box on;
          set(gca,'XTick',35:10:70,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:150:600,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('SiO_2 [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('Cr [ppm]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');

%% 11 Trace element variations over MgO and preview
% Button
   TEV3 = uibutton('Style','pushbutton','String','Trace elements vs. MgO',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[890,440,200,25],...
          'Callback','te1vsmgo_3dataset');
   TEV4 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.3,0.3,0.3],...
          'Position',[885,275,20,20],...
          'Callback','freebutton');
% Create data
   pre1V     = evalin('base','n1V');
   pre1Ni    = evalin('base','n1Ni');
   pre1Cu    = evalin('base','n1Cu');
   pre2V     = evalin('base','n2V');
   pre2Ni    = evalin('base','n2Ni');
   pre2Cu    = evalin('base','n2Cu');
   pre3V     = evalin('base','n3V');
   pre3Ni    = evalin('base','n3Ni');
   pre3Cu    = evalin('base','n3Cu');
% preview
   TEV2ex1 = axes('Units','Pixels','Position',[920,375,65,50]);
          line(pre3MgO,pre3Cr,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2MgO,pre2Cr,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1MgO,pre1Cr,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([0 16 0 500]); box on;
          set(gca,'XTick',0:4:16,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:100:2000,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('Cr [ppm]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
   TEV2ex2 = axes('Units','Pixels','Position',[920,305,65,50]);
          line(pre3MgO,pre3V,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2MgO,pre2V,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1MgO,pre1V,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([0 16 0 600]); box on;
          set(gca,'XTick',0:4:16,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:200:600,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('MgO [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('V [ppm]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
   TEV2ex3 = axes('Units','Pixels','Position',[1000,375,65,50],'YAxisLocation','right');
          line(pre3MgO,pre3Ni,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2MgO,pre2Ni,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1MgO,pre1Ni,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([0 16 0 400]); box on;
          set(gca,'XTick',0:4:16,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:100:400,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('Ni [ppm]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
   TEV2ex4 = axes('Units','Pixels','Position',[1000,305,65,50],'YAxisLocation','right');
          line(pre3MgO,pre3Cu,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
          line(pre2MgO,pre2Cu,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
          line(pre1MgO,pre1Cu,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
          axis ([0 16 0 200]); box on;
          set(gca,'XTick',0:4:16,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'YTick',0:100:400,'Fontsize',[6],...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          xlabel('MgO [wt.%]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
          ylabel('Cu [ppm]','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
      
%% 12 Pearce et al. 1984
   pearce5 = uibutton('Style','pushbutton','String','Pearce et al. (1984)',...
          'FontSize',[7],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,435,90,25],...
          'Callback','pearceetal1984_3dataset');
      
      %% 12 Future buttons
      % Future button
   free10 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,405,90,25],...
          'Callback','freebutton');
      % Future button
   free11 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,375,90,25],...
          'Callback','freebutton');
      % Future button
   free12 = uibutton('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,345,90,25],...
          'Callback','freebutton');
      %% NbZrY button
   HFSE1 = uicontrol('Style','pushbutton','String','Nb-Zr-Y ratios',...
          'FontSize',[7],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,315,90,25],...
          'Callback','NbZrY_3dataset');
      %% HFSE button
   HFSE2 = uicontrol('Style','pushbutton','String','Th-Ta-Hf ratios',...
          'FontSize',[7],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1105,285,90,25],...
          'Callback','HFSE_3dataset');

%% 13 Geotectonic buttons and preview
% Meschede button  
   Geot1 = uicontrol('Style','pushbutton','String','Geotectonic plots',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.6,0.6,0.6],...
          'Position',[50,240,200,25],...
          'Callback','geotectonic_3dataset');  
   Geot2 = uicontrol('Style','pushbutton','String','Meschede (1986)',...
          'FontSize',[6],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.7,0.7,0.7],...
          'Position',[10,218,80,20],...
          'Callback','meschede1986_3dataset');  
   Geot3 = uicontrol('Style','pushbutton','String','Pearce&Cann (1973)',...
          'FontSize',[6],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.7,0.7,0.7],...
          'Position',[10,196,80,20],...
          'Callback','pearcecann1973_3dataset');
   Geot4 = uicontrol('Style','pushbutton','String','Wood (1980)',...
          'FontSize',[6],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.7,0.7,0.7],...
          'Position',[10,174,80,20],...
          'Callback','wood1980_3dataset');
   Geot5 = uicontrol('Style','pushbutton','String','Cabanis&Lecolle (1989)',...
          'FontSize',[5],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.7,0.7,0.7],...
          'Position',[10,152,80,20],...
          'Callback','CabanisLecolle1989_3dataset');
   Geot6 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[6],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.7,0.7,0.7],...
          'Position',[10,130,80,20],...
          'Callback','freebutton');
   Geot7 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[6],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.7,0.7,0.7],...
          'Position',[10,108,80,20],...
          'Callback','freebutton');
   Geot8 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[6],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.7,0.7,0.7],...
          'Position',[10,86,80,20],...
          'Callback','freebutton');
% Create Meschede data
   pre1sum = ((evalin('base','n1Zr')./4)+(evalin('base','n1Nb').*2)+(evalin('base','n1Y')));
   pre1Nb  = ((evalin('base','n1Nb').*2)./pre1sum)*sin(deg2rad(60));
   pre1Y   = ((evalin('base','n1Y'))./pre1sum)+pre1Nb*cot(deg2rad(60));
   pre2sum = ((evalin('base','n2Zr')./4)+(evalin('base','n2Nb').*2)+(evalin('base','n2Y')));
   pre2Nb  = ((evalin('base','n2Nb').*2)./pre2sum)*sin(deg2rad(60));
   pre2Y   = ((evalin('base','n2Y'))./pre2sum)+pre2Nb*cot(deg2rad(60));
   pre3sum = ((evalin('base','n3Zr')./4)+(evalin('base','n3Nb').*2)+(evalin('base','n3Y')));
   pre3Nb  = ((evalin('base','n3Nb').*2)./pre3sum)*sin(deg2rad(60));
   pre3Y   = ((evalin('base','n3Y'))./pre3sum)+pre3Nb*cot(deg2rad(60));
% Meschede preview
   Geotpre = axes('Units','Pixels','Position',[105,90,140,140]);
            patch('Xdata',[0 1 0.5 0],'Ydata',[0 0 sin(1/3*pi) 0],'EdgeColor','w',...
                                      'FaceColor','W','HandleVisibility','off')
            set(gca, 'visible', 'off','dataaspectratio',[1 1 1])
            hold all
            plot ([0 1 0.5 0],[0 0 sin(1/3*pi) 0],'Color','k','LineWidth',[1.5],...
                                      'HandleVisibility','off')
            set(gca, 'visible', 'off','dataaspectratio',[1 1 1]);
        plot([0.5000 0.4550 0.3400 0.3050 0.4650 0.5525 0.5800 0.6800 0.7700],...
             [0 0.0260 0.1039 0.2944 0.6842 0.4893 0.4330 0.1905 0],'Color','k','LineWidth',[1]);
        plot([0.4550 0.5200 0.5450 0.6800],[0.0260 0.1905 0.2078 0.1905],'Color','k','LineWidth',[1]);
        plot([0.5200 0.4850 0.4500],[0.1905 0.2685 0.3031],'Color','k','LineWidth',[1]);
        plot([0.3400 0.4500 0.5800],[0.1039 0.3031 0.4330],'Color','k','LineWidth',[1]);
        plot([0.3400 0.4200 0.5525],[0.1039 0.4330 0.4893],'Color','k','LineStyle','--','LineWidth',[1]);
            plot(pre3Y,pre3Nb,'LineStyle','none','Marker','v',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','g')
            plot(pre2Y,pre2Nb,'LineStyle','none','Marker','o',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','b')
            plot(pre1Y,pre1Nb,'LineStyle','none','Marker','s',...
                             'MarkerSize',[5],'MarkerEdgeColor','k',...
                             'MarkerFaceColor','r')
            text(1,-0.0725,'Y','HorizontalAlignment','center',...
                 'VerticalAlignment','middle','FontSize',[7],'FontWeight','b');
            text(0.05,-0.08,'Zr/4','HorizontalAlignment','center',...
                 'VerticalAlignment','middle','FontSize',[7],'FontWeight','b');
            text(0.5,0.9,'2Nb','HorizontalAlignment','center',...
                 'VerticalAlignment','middle','FontSize',[7],'FontWeight','b');
            set(gca,'dataaspectratio',[1 1 1]), axis off;
            axis ([0 1 0 sin(1/3*pi)]); box off;

%% 14 Rare earth elements
% REE button 
   REE1 = uicontrol('Style','pushbutton','String','REE diagram',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.6,0.6,0.6],...
          'Position',[265,240,190,25],...
          'Callback','ree_3dataset');
   REE2 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.6,0.6,0.6],...
          'Position',[265,75,190,25],...
          'Callback','freebutton');

% Create REE data
   % C1-condrite normalization values
   x1La = evalin('base','r1La')./0.237; x1Ce = evalin('base','r1Ce')./0.612;
   x1Pr = evalin('base','r1Pr')./0.095; x1Nd = evalin('base','r1Nd')./0.467; 
   x1Sm = evalin('base','r1Sm')./0.153; x1Eu = evalin('base','r1Eu')./0.058;
   x1Gd = evalin('base','r1Gd')./0.2055; x1Tb = evalin('base','r1Tb')./0.0374; 
   x1Dy = evalin('base','r1Dy')./0.2540; x1Ho = evalin('base','r1Ho')./0.0566; 
   x1Er = evalin('base','r1Er')./0.1655; x1Tm = evalin('base','r1Tm')./0.0255;
   x1Yb = evalin('base','r1Yb')./0.170; x1Lu = evalin('base','r1Lu')./0.0254;
   [ha ba] = size(x1La); ba = ones(ha,1); x1Pm = ba.*NaN;
   pre1norm = [x1La x1Ce x1Pr x1Nd x1Pm x1Sm x1Eu x1Gd x1Tb x1Dy x1Ho x1Er x1Tm x1Yb x1Lu];
   x2La = evalin('base','r2La')./0.237; x2Ce = evalin('base','r2Ce')./0.612;
   x2Pr = evalin('base','r2Pr')./0.095; x2Nd = evalin('base','r2Nd')./0.467; 
   x2Sm = evalin('base','r2Sm')./0.153; x2Eu = evalin('base','r2Eu')./0.058;
   x2Gd = evalin('base','r2Gd')./0.2055; x2Tb = evalin('base','r2Tb')./0.0374; 
   x2Dy = evalin('base','r2Dy')./0.2540; x2Ho = evalin('base','r2Ho')./0.0566; 
   x2Er = evalin('base','r2Er')./0.1655; x2Tm = evalin('base','r2Tm')./0.0255;
   x2Yb = evalin('base','r2Yb')./0.170; x2Lu = evalin('base','r2Lu')./0.0254;
   [hb bb] = size(x2La); bb = ones(hb,1); x2Pm = bb.*NaN;
   pre2norm = [x2La x2Ce x2Pr x2Nd x2Pm x2Sm x2Eu x2Gd x2Tb x2Dy x2Ho x2Er x2Tm x2Yb x2Lu];
   x3La = evalin('base','r3La')./0.237; x3Ce = evalin('base','r3Ce')./0.612;
   x3Pr = evalin('base','r3Pr')./0.095; x3Nd = evalin('base','r3Nd')./0.467; 
   x3Sm = evalin('base','r3Sm')./0.153; x3Eu = evalin('base','r3Eu')./0.058;
   x3Gd = evalin('base','r3Gd')./0.2055; x3Tb = evalin('base','r3Tb')./0.0374; 
   x3Dy = evalin('base','r3Dy')./0.2540; x3Ho = evalin('base','r3Ho')./0.0566; 
   x3Er = evalin('base','r3Er')./0.1655; x3Tm = evalin('base','r3Tm')./0.0255;
   x3Yb = evalin('base','r3Yb')./0.170; x3Lu = evalin('base','r3Lu')./0.0254;
   [hc bc] = size(x3La); bc= ones(hc,1); x3Pm = bc.*NaN;
   pre3norm = [x3La x3Ce x3Pr x3Nd x3Pm x3Sm x3Eu x3Gd x3Tb x3Dy x3Ho x3Er x3Tm x3Yb x3Lu];
   xax    = [1:15];
% REE preview
   REEpre = axes('Units','Pixels','Position',[300,120,140,100]);
          semilogy(xax,pre3norm,'Color','g','Marker','v','MarkerSize',[5],...
                                'MarkerEdgeColor','k','MarkerFaceColor','g','LineWidth',1)
          line(xax,pre2norm,'Color','b','Marker','o','MarkerSize',[5],...
                                'MarkerEdgeColor','k','MarkerFaceColor','b','LineWidth',1)
          line(xax,pre1norm,'Color','r','Marker','s','MarkerSize',[5],...
                                'MarkerEdgeColor','k','MarkerFaceColor','r','LineWidth',1)
          axis ([0.5 15.5 1 2000]); box on;
          set(gca,'Fontsize',[6],'XTick',[1 7 15],'XTickLabel',{'La' 'Eu' 'Lu'},...
          'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          set(gca,'Fontsize',[6],'YTick',[1 10 100 1000],...
          'YTickLabel',[1 10 100 1000],'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('Sample / C1','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');
      
%% 15 Spider Diagram
   Spider1 = uicontrol('Style','pushbutton','String','Spider diagram',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.6,0.6,0.6],...
          'Position',[465,240,190,25],...
          'Callback','spider_3dataset');
   Spider2 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.6,0.6,0.6],...
          'Position',[465,75,190,25],...
          'Callback','freebutton');
   % Create Spider data
   % C1-condrite normalization values
   x1Cs = evalin('base','r1Cs')./0.0079;  x1Rb = evalin('base','r1Rb')./0.635;
   x1Ba = evalin('base','r1Ba')./6.935;   x1Th = evalin('base','r1Th')./0.085;
   x1U = evalin('base','r1U')./0.021;    x1Nb = evalin('base','r1Nb')./0.713;
   x1Ta = evalin('base','r1Ta')./0.041;  x1K = (evalin('base','r1K2O').*0.8301.*10000)./250;
   x1La = evalin('base','r1La')./0.687;  x1Ce = evalin('base','r1Ce')./1.775;
   x1Pb = evalin('base','r1Pb')./0.071;   x1Pr = evalin('base','r1Pr')./0.276; 
   x1Sr = evalin('base','r1Sr')./21.1;   x1P = (evalin('base','r1P2O5').*0.4364.*10000)./95;
   x1Nd = evalin('base','r1Nd')./1.354;  x1Zr  = evalin('base','r1Zr')./11.2;
   x1Sm = evalin('base','r1Sm')./0.444;  x1Eu = evalin('base','r1Eu')./0.168;
   x1Ti = (evalin('base','r1TiO2').*0.5993.*10000)./1300; x1Dy = evalin('base','r1Dy')./0.737; 
   x1Ho = evalin('base','r1Ho')./0.164; x1Y  = evalin('base','r1Y')./4.55;
   x1Yb = evalin('base','r1Yb')./0.493; x1Lu = evalin('base','r1Lu')./0.074;
   spi1norm = [x1Cs x1Rb x1Ba x1Th x1U x1Nb x1Ta x1K x1La x1Ce x1Pb x1Pr x1Sr x1P x1Nd x1Zr x1Sm x1Eu x1Ti x1Dy x1Ho x1Y x1Yb x1Lu];
   x2Cs = evalin('base','r2Cs')./0.0079;  x2Rb = evalin('base','r2Rb')./0.635;
   x2Ba = evalin('base','r2Ba')./6.935;   x2Th = evalin('base','r2Th')./0.085;
   x2U = evalin('base','r2U')./0.021;    x2Nb = evalin('base','r2Nb')./0.713;
   x2Ta = evalin('base','r2Ta')./0.041;  x2K = (evalin('base','r2K2O').*0.8301.*10000)./250;
   x2La = evalin('base','r2La')./0.687;  x2Ce = evalin('base','r2Ce')./1.775;
   x2Pb = evalin('base','r2Pb')./0.071;   x2Pr = evalin('base','r2Pr')./0.276; 
   x2Sr = evalin('base','r2Sr')./21.1;   x2P = (evalin('base','r2P2O5').*0.4364.*10000)./95;
   x2Nd = evalin('base','r2Nd')./1.354;  x2Zr  = evalin('base','r2Zr')./11.2;
   x2Sm = evalin('base','r2Sm')./0.444;  x2Eu = evalin('base','r2Eu')./0.168;
   x2Ti = (evalin('base','r2TiO2').*0.5993.*10000)./1300; x2Dy = evalin('base','r2Dy')./0.737; 
   x2Ho = evalin('base','r2Ho')./0.164; x2Y  = evalin('base','r2Y')./4.55;
   x2Yb = evalin('base','r2Yb')./0.493; x2Lu = evalin('base','r2Lu')./0.074;
   spi2norm = [x2Cs x2Rb x2Ba x2Th x2U x2Nb x2Ta x2K x2La x2Ce x2Pb x2Pr x2Sr x2P x2Nd x2Zr x2Sm x2Eu x2Ti x2Dy x2Ho x2Y x2Yb x2Lu];
   x3Cs = evalin('base','r3Cs')./0.0079;  x3Rb = evalin('base','r3Rb')./0.635;
   x3Ba = evalin('base','r3Ba')./6.935;   x3Th = evalin('base','r3Th')./0.085;
   x3U = evalin('base','r3U')./0.021;    x3Nb = evalin('base','r3Nb')./0.713;
   x3Ta = evalin('base','r3Ta')./0.041;  x3K = (evalin('base','r3K2O').*0.8301.*10000)./250;
   x3La = evalin('base','r3La')./0.687;  x3Ce = evalin('base','r3Ce')./1.775;
   x3Pb = evalin('base','r3Pb')./0.071;   x3Pr = evalin('base','r3Pr')./0.276; 
   x3Sr = evalin('base','r3Sr')./21.1;   x3P = (evalin('base','r3P2O5').*0.4364.*10000)./95;
   x3Nd = evalin('base','r3Nd')./1.354;  x3Zr  = evalin('base','r3Zr')./11.2;
   x3Sm = evalin('base','r3Sm')./0.444;  x3Eu = evalin('base','r3Eu')./0.168;
   x3Ti = (evalin('base','r3TiO2').*0.5993.*10000)./1300; x3Dy = evalin('base','r3Dy')./0.737; 
   x3Ho = evalin('base','r3Ho')./0.164; x3Y  = evalin('base','r3Y')./4.55;
   x3Yb = evalin('base','r3Yb')./0.493; x3Lu = evalin('base','r3Lu')./0.074;
   spi3norm = [x3Cs x3Rb x3Ba x3Th x3U x3Nb x3Ta x3K x3La x3Ce x3Pb x3Pr x3Sr x3P x3Nd x3Zr x3Sm x3Eu x3Ti x3Dy x3Ho x3Y x3Yb x3Lu];
   xax2    = [1:24];
    % Spider preview
   Spiderpre = axes('Units','Pixels','Position',[500,120,140,100]);
      semilogy(xax2,spi3norm,'Color','g','Marker','v','MarkerSize',[5],...
                                'MarkerEdgeColor','k','MarkerFaceColor','g','LineWidth',1)
          line(xax2,spi2norm,'Color','b','Marker','o','MarkerSize',[5],...
                                'MarkerEdgeColor','k','MarkerFaceColor','b','LineWidth',1)
          line(xax2,spi1norm,'Color','r','Marker','s','MarkerSize',[5],...
                                'MarkerEdgeColor','k','MarkerFaceColor','r','LineWidth',1)
          axis ([0.5 24.5 1 2000]); box on;
          set(gca,'Fontsize',[6],'XTick',[1 6 11 16 19 24],'XTickLabel',{'Cs' 'Nb' 'Pb' 'Zr' 'Ti' 'Lu','LineWidth',1.5},...
          'FontWeight','bold','FontName','Arial');
          set(gca,'Fontsize',[6],'YTick',[1 10 100 1000],...
          'YTickLabel',[1 10 100 1000],'FontWeight','bold','FontName','Arial','LineWidth',1.5);
          ylabel('Sample / Primitive mantle','FontSize',[6],...
          'FontWeight','bold','FontName','Arial');

%% Legend
    % Legend response (display of file name)
      LEGINT = axes('Units','Pixels','Position',[70,0,400,68]);
          line(0.1,4,'LineStyle','none','Marker','s',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','r');
          text(0.2,4,(evalin('base','input_file1')),'FontSize',[8],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          line(0.1,3,'LineStyle','none','Marker','o',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','b');
          text(0.2,3,(evalin('base','input_file2')),'FontSize',[8],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          line(0.1,2,'LineStyle','none','Marker','v',...
                              'MarkerSize',[5],'MarkerEdgeColor','k',...
                              'MarkerFaceColor','g');
          text(0.2,2,(evalin('base','input_file3')),'FontSize',[8],'FontWeight','bold',...
                             'HorizontalAlignment','left','VerticalAlignment','middle',...
                             'Interpreter','none');
          axis ([0 2 0 5]); box off; axis off;
    % Legend Button
       LEG1 = uicontrol('Style','pushbutton','String','Legend',...
          'FontSize',[8],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','w','BackgroundColor','k',...
          'Position',[5,15,60,40],...
          'Callback','legend_3');

%% LOI/Normalization buttons
      LOI1 = uibutton('Style','pushbutton','String','LOI',...
          'FontSize',[12],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.7,0.7,0.7],...
          'Position',[590,36,60,28],...
          'Callback','LOI_3dataset');
      LOI2 = uibutton('Style','pushbutton','String','M/T',...
          'FontSize',[12],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.7,0.7,0.7],...
          'Position',[590,6,60,28],...
          'Callback','MEvsTE_3dataset');

%% Output buttons
   TAB1 = uicontrol('Style','pushbutton','String','Open tables',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1015,240,180,18],...
          'Callback','tab_3dataset'); 
   OPUT1 = uicontrol('Style','pushbutton','String','Send tables to Excel',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1015,220,180,18],...
          'Callback','excel_data_output3'); 
   TAB2 = uicontrol('Style','pushbutton','String','Open statistics',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1015,200,180,18],...
          'Callback','stat_3dataset');
   OPUT2 = uicontrol('Style','pushbutton','String','Send statistics to Excel',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1015,180,180,18],...
          'Callback','excel_stat_output3');
   TAB3 = uicontrol('Style','pushbutton','String','Open molar tables',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1015,160,180,18],...
          'Callback','tab_mol_3dataset');
   OPUT3 = uicontrol('Style','pushbutton','String','Send molar tables to Excel',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1015,140,180,18],...
          'Callback','excel_mol_output3');
   TAB4 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1015,120,180,18],...
          'Callback','freebutton'); 
   OPUT4 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1015,100,180,18],...
          'Callback','freebutton'); 
   TAB5 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[10],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','k','BackgroundColor',[0.8,0.8,0.8],...
          'Position',[1015,80,180,18],...
          'Callback','freebutton'); 

%% PLOT-O-MAT button and Close/Reset buttons
      POM1 = uicontrol('Style','pushbutton','String','PLOT-O-MAT',...
          'FontSize',[15],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor',[0.7,0.7,0.7],'BackgroundColor',[0.1,0.1,0.1],...
          'Position',[670,5,180,60],...
          'Callback','open_plotomat_3dataset');
      petro1 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[13],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[865,5,160,28],...
          'Callback','freebutton');
      petro2 = uicontrol('Style','pushbutton','String','',...
          'FontSize',[13],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.5,0.5,0.5],...
          'Position',[865,38,160,28],...
          'Callback','freebutton');
      rebut = uicontrol('Style','pushbutton','String','Restart FastGAPP',...
          'FontSize',[13],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.8,0.5],...
          'Position',[1035,38,160,28],...
          'Callback','restart_fgapp');
      clbut = uicontrol('Style','pushbutton','String','Close FastGAPP',...
          'FontSize',[13],'FontWeight','bold',...
          'FontName','Arial',...
          'ForegroundColor','black','BackgroundColor',[0.8,0.5,0.5],...
          'Position',[1035,5,160,28],...
          'Callback','close_fgapp');
      
%% Last Layout lines
      a040 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[658,0,4,65]);
      
      a050 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.2,0.2,0.2],...
          'Position',[70,5,4,60]);
      
      a060 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.2,0.2,0.2],...
          'Position',[580,5,4,60]);
      
      a090 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.2,0.2,0.2],...
          'Position',[1008,75,4,190]);
      a091 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[0.2,0.2,0.2],...
          'Position',[665,68,530,4]);
      
      a101 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[856,5,4,60]);
      a102 = uicontrol('Style','text','String','',...
          'ForegroundColor','white','BackgroundColor',[1,1,1],...
          'Position',[1028,5,4,60]);
              
%% Finalize GUI directory
    % Change to bin folder   
        cd(evalin('base','folder_plot'))
    % Change to automatical resize of the window.
        set([fgapp_main_window,titlehead1,titlehead2,...
        a000,a001,a002,a003,a004,a005,a006,a007,a008,a009,...
        a010,a011,a012,a013,a014,a015,a016,a017,a018,a019,...
        a020,a021,a022,a023,a024,a025,a026,a027,a028,a029,...
        a030,a031,a032,a033,a034,a035,a036,...
        TAS1,TAS2,TASex,...
        Molplot1,Molplot2,Molplotex,...
        Cross1,Cross2,Cross3,Cross4,Crossex,...
        Harker1,Harker2,Harkerex1,Harkerex2,Harkerex3,Harkerex4,...
        Fenner1,Fenner2,Fennerex1,Fennerex2,Fennerex3,Fennerex4,...
        Alkali1,free4,free5,free6,free7,free8,...
        AFM1,AFM2,AFM3,AFM4,AFM5,AFM6,AFM7,AFMex,...
        WF1,WF2,WFex,...
        Condie1,Condie2,Condieex,...
        TEV1,TEV2,TEV1ex1,TEV1ex2,TEV1ex3,TEV1ex4,...
        TEV3,TEV4,TEV2ex1,TEV2ex2,TEV2ex3,TEV2ex4,...
        pearce5,free10,free11,free12,HFSE1,HFSE2,...
        Geot1,Geot2,Geot3,Geot4,Geot5,Geot6,Geot7,Geot8,Geotpre,...
        REE1,REE2,REEpre,Spider1,Spider2,Spiderpre,....
        a040,LEGINT,a050,LEG1,a060,LOI1,LOI2,...
        a090,a091,OPUT1,OPUT2,TAB1,TAB2,OPUT3,TAB3,OPUT4,TAB4,TAB5,...
        POM1,a101,petro1,petro2,a102,rebut,clbut],...
        'Units','normalized');
    % Change the background coluor of the GUI
        set(fgapp_main_window,'Color',[0.9,0.9,0.9])
    % Assign the GUI a name to appear in the window title.
        set(fgapp_main_window,'Name','FastGAPP v1.0 - 3 datasets loaded succesfully')
    % Move the GUI to the center of the screen.
        movegui(fgapp_main_window,'center')
    % Make the GUI visible.
        set(fgapp_main_window,'Visible','on');
end