%% Create statistics
% Calculate the sum and mean of given elements in the first dataset and determines
% minumum and maximum

%% Input Statistics - First dataset
    input_raw_stat1 = cat(2,...
                        [sum(isfinite(1./r1SiO2)); max(r1SiO2); mean(r1SiO2(isfinite(r1SiO2))); min(r1SiO2)],...
                        [sum(isfinite(1./r1TiO2)); max(r1TiO2); mean(r1TiO2(isfinite(r1TiO2))); min(r1TiO2)],...
                        [sum(isfinite(1./r1Al2O3)); max(r1Al2O3); mean(r1Al2O3(isfinite(r1Al2O3))); min(r1Al2O3)],...
                        [sum(isfinite(1./r1Fe2O3)); max(r1Fe2O3); mean(r1Fe2O3(isfinite(r1Fe2O3))); min(r1Fe2O3)],...
                        [sum(isfinite(1./r1MnO)); max(r1MnO); mean(r1MnO(isfinite(r1MnO))); min(r1MnO)],...
                        [sum(isfinite(1./r1MgO)); max(r1MgO); mean(r1MgO(isfinite(r1MgO))); min(r1MgO)],...
                        [sum(isfinite(1./r1CaO)); max(r1CaO); mean(r1CaO(isfinite(r1CaO))); min(r1CaO)],...
                        [sum(isfinite(1./r1Na2O)); max(r1Na2O); mean(r1Na2O(isfinite(r1Na2O))); min(r1Na2O)],...
                        [sum(isfinite(1./r1K2O)); max(r1K2O); mean(r1K2O(isfinite(r1K2O))); min(r1K2O)],...
                        [sum(isfinite(1./r1P2O5)); max(r1P2O5); mean(r1P2O5(isfinite(r1P2O5))); min(r1P2O5)],...
                        [sum(isfinite(1./r1SO3)); max(r1SO3); mean(r1SO3(isfinite(r1SO3))); min(r1SO3)],...
                        [sum(isfinite(1./r1Cl)); max(r1Cl); mean(r1Cl(isfinite(r1Cl))); min(r1Cl)],...
                        [sum(isfinite(1./r1F)); max(r1F); mean(r1F(isfinite(r1F))); min(r1F)],...
                        [sum(isfinite(1./r1H2O)); max(r1H2O); mean(r1H2O(isfinite(r1H2O))); min(r1H2O)],...
                        [sum(isfinite(1./r1CO2)); max(r1CO2); mean(r1CO2(isfinite(r1CO2))); min(r1CO2)],... 
                        [sum(isfinite(1./r1LOI)); max(r1LOI); mean(r1LOI(isfinite(r1LOI))); min(r1LOI)],...
                        [sum(isfinite(1./r1totalLOI)); max(r1totalLOI); mean(r1totalLOI(isfinite(r1totalLOI))); min(r1totalLOI)],...
                        [sum(isfinite(1./r1Ag)); max(r1Ag); mean(r1Ag(isfinite(r1Ag))); min(r1Ag)],...
                        [sum(isfinite(1./r1As)); max(r1As); mean(r1As(isfinite(r1As))); min(r1As)],...
                        [sum(isfinite(1./r1Au)); max(r1Au); mean(r1As(isfinite(r1As))); min(r1Au)],...
                        [sum(isfinite(1./r1B )); max(r1B ); mean(r1B (isfinite(r1B ))); min(r1B )],...
                        [sum(isfinite(1./r1Ba)); max(r1Ba); mean(r1Ba(isfinite(r1Ba))); min(r1Ba)],...
                        [sum(isfinite(1./r1Be)); max(r1Be); mean(r1Be(isfinite(r1Be))); min(r1Be)],...
                        [sum(isfinite(1./r1Bi)); max(r1Bi); mean(r1Bi(isfinite(r1Bi))); min(r1Bi)],...
                        [sum(isfinite(1./r1Cd)); max(r1Cd); mean(r1Cd(isfinite(r1Cd))); min(r1Cd)],...
                        [sum(isfinite(1./r1Co)); max(r1Co); mean(r1Co(isfinite(r1Co))); min(r1Co)],...
                        [sum(isfinite(1./r1Cr)); max(r1Cr); mean(r1Cr(isfinite(r1Cr))); min(r1Cr)],...
                        [sum(isfinite(1./r1Cs)); max(r1Cs); mean(r1Cs(isfinite(r1Cs))); min(r1Cs)],...
                        [sum(isfinite(1./r1Cu)); max(r1Cu); mean(r1Cu(isfinite(r1Cu))); min(r1Cu)],...
                        [sum(isfinite(1./r1Ga)); max(r1Ga); mean(r1Ga(isfinite(r1Ga))); min(r1Ga)],...
                        [sum(isfinite(1./r1Ge)); max(r1Ge); mean(r1Ge(isfinite(r1Ge))); min(r1Ge)],...
                        [sum(isfinite(1./r1Hf)); max(r1Hf); mean(r1Hf(isfinite(r1Hf))); min(r1Hf)],...
                        [sum(isfinite(1./r1Hg)); max(r1Hg); mean(r1Hg(isfinite(r1Hg))); min(r1Hg)],...
                        [sum(isfinite(1./r1In)); max(r1In); mean(r1In(isfinite(r1In))); min(r1In)],...
                        [sum(isfinite(1./r1Li)); max(r1Li); mean(r1Li(isfinite(r1Li))); min(r1Li)],...
                        [sum(isfinite(1./r1Mo)); max(r1Mo); mean(r1Mo(isfinite(r1Mo))); min(r1Mo)],...
                        [sum(isfinite(1./r1Nb)); max(r1Nb); mean(r1Nb(isfinite(r1Nb))); min(r1Nb)],...
                        [sum(isfinite(1./r1Ni)); max(r1Ni); mean(r1Ni(isfinite(r1Ni))); min(r1Ni)],...
                        [sum(isfinite(1./r1Pb)); max(r1Pb); mean(r1Pb(isfinite(r1Pb))); min(r1Pb)],...
                        [sum(isfinite(1./r1Rb)); max(r1Rb); mean(r1Rb(isfinite(r1Rb))); min(r1Rb)],...
                        [sum(isfinite(1./r1Re)); max(r1Re); mean(r1Re(isfinite(r1Re))); min(r1Re)],...
                        [sum(isfinite(1./r1Sb)); max(r1Sb); mean(r1Sb(isfinite(r1Sb))); min(r1Sb)],...
                        [sum(isfinite(1./r1Sc)); max(r1Sc); mean(r1Sc(isfinite(r1Sc))); min(r1Sc)],...
                        [sum(isfinite(1./r1Se)); max(r1Se); mean(r1Se(isfinite(r1Se))); min(r1Se)],...
                        [sum(isfinite(1./r1Sn)); max(r1Sn); mean(r1Sn(isfinite(r1Sn))); min(r1Sn)],...
                        [sum(isfinite(1./r1Sr)); max(r1Sr); mean(r1Sr(isfinite(r1Sr))); min(r1Sr)],...
                        [sum(isfinite(1./r1Ta)); max(r1Ta); mean(r1Ta(isfinite(r1Ta))); min(r1Ta)],...
                        [sum(isfinite(1./r1Te)); max(r1Te); mean(r1Te(isfinite(r1Te))); min(r1Te)],...
                        [sum(isfinite(1./r1Th)); max(r1Th); mean(r1Th(isfinite(r1Th))); min(r1Th)],...
                        [sum(isfinite(1./r1Tl)); max(r1Tl); mean(r1Tl(isfinite(r1Tl))); min(r1Tl)],...
                        [sum(isfinite(1./r1U));  max(r1U);  mean(r1U(isfinite(r1U)));   min(r1U)],...
                        [sum(isfinite(1./r1V));  max(r1V);  mean(r1V(isfinite(r1V)));   min(r1V)],...
                        [sum(isfinite(1./r1W));  max(r1W);  mean(r1W(isfinite(r1W)));   min(r1W)],...
                        [sum(isfinite(1./r1Y));  max(r1Y);  mean(r1Y(isfinite(r1Y)));   min(r1Y)],...
                        [sum(isfinite(1./r1Zn)); max(r1Zn); mean(r1Zn(isfinite(r1Zn))); min(r1Zn)],...
                        [sum(isfinite(1./r1Zr)); max(r1Zr); mean(r1Zr(isfinite(r1Zr))); min(r1Zr)],...
                        [sum(isfinite(1./r1Ru)); max(r1Ru); mean(r1Ru(isfinite(r1Ru))); min(r1Ru)],...
                        [sum(isfinite(1./r1Rh)); max(r1Rh); mean(r1Rh(isfinite(r1Rh))); min(r1Rh)],...
                        [sum(isfinite(1./r1Pd)); max(r1Pd); mean(r1Pd(isfinite(r1Pd))); min(r1Pd)],...
                        [sum(isfinite(1./r1Os)); max(r1Os); mean(r1Os(isfinite(r1Os))); min(r1Os)],...
                        [sum(isfinite(1./r1Ir)); max(r1Ir); mean(r1Ir(isfinite(r1Ir))); min(r1Ir)],...
                        [sum(isfinite(1./r1Pt)); max(r1Pt); mean(r1Pt(isfinite(r1Pt))); min(r1Pt)],...
                        [sum(isfinite(1./r1La)); max(r1La); mean(r1La(isfinite(r1La))); min(r1La)],...
                        [sum(isfinite(1./r1Ce)); max(r1Ce); mean(r1Ce(isfinite(r1Ce))); min(r1Ce)],...
                        [sum(isfinite(1./r1Pr)); max(r1Pr); mean(r1Pr(isfinite(r1Pr))); min(r1Pr)],...
                        [sum(isfinite(1./r1Nd)); max(r1Nd); mean(r1Nd(isfinite(r1Nd))); min(r1Nd)],...
                        [sum(isfinite(1./r1Sm)); max(r1Sm); mean(r1Sm(isfinite(r1Sm))); min(r1Sm)],...
                        [sum(isfinite(1./r1Eu)); max(r1Eu); mean(r1Eu(isfinite(r1Eu))); min(r1Eu)],...
                        [sum(isfinite(1./r1Gd)); max(r1Gd); mean(r1Gd(isfinite(r1Gd))); min(r1Gd)],...
                        [sum(isfinite(1./r1Tb)); max(r1Tb); mean(r1Tb(isfinite(r1Tb))); min(r1Tb)],...
                        [sum(isfinite(1./r1Dy)); max(r1Dy); mean(r1Dy(isfinite(r1Dy))); min(r1Dy)],...
                        [sum(isfinite(1./r1Ho)); max(r1Ho); mean(r1Ho(isfinite(r1Ho))); min(r1Ho)],...
                        [sum(isfinite(1./r1Er)); max(r1Er); mean(r1Er(isfinite(r1Er))); min(r1Er)],...
                        [sum(isfinite(1./r1Tm)); max(r1Tm); mean(r1Tm(isfinite(r1Tm))); min(r1Tm)],...
                        [sum(isfinite(1./r1Yb)); max(r1Yb); mean(r1Yb(isfinite(r1Yb))); min(r1Yb)],...
                        [sum(isfinite(1./r1Lu)); max(r1Lu); mean(r1Lu(isfinite(r1Lu))); min(r1Lu)]);
% Turn zeros to NaN's     
input_raw_stat1(isnan(0./input_raw_stat1)) = NaN;
                    
%% Normalized Statistics - First dataset
    output_norm_stat1 = cat(2,...
                        [sum(isfinite(1./n1SiO2)); max(n1SiO2); mean(n1SiO2(isfinite(n1SiO2))); min(n1SiO2)],...
                        [sum(isfinite(1./n1TiO2)); max(n1TiO2); mean(n1TiO2(isfinite(n1TiO2))); min(n1TiO2)],...
                        [sum(isfinite(1./n1Al2O3)); max(n1Al2O3); mean(n1Al2O3(isfinite(n1Al2O3))); min(n1Al2O3)],...
                        [sum(isfinite(1./n1Fe2O3)); max(n1Fe2O3); mean(n1Fe2O3(isfinite(n1Fe2O3))); min(n1Fe2O3)],...
                        [sum(isfinite(1./n1MnO)); max(n1MnO); mean(n1MnO(isfinite(n1MnO))); min(n1MnO)],...
                        [sum(isfinite(1./n1MgO)); max(n1MgO); mean(n1MgO(isfinite(n1MgO))); min(n1MgO)],...
                        [sum(isfinite(1./n1CaO)); max(n1CaO); mean(n1CaO(isfinite(n1CaO))); min(n1CaO)],...
                        [sum(isfinite(1./n1Na2O)); max(n1Na2O); mean(n1Na2O(isfinite(n1Na2O))); min(n1Na2O)],...
                        [sum(isfinite(1./n1K2O)); max(n1K2O); mean(n1K2O(isfinite(n1K2O))); min(n1K2O)],...
                        [sum(isfinite(1./n1P2O5)); max(n1P2O5); mean(n1P2O5(isfinite(n1P2O5))); min(n1P2O5)],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [sum(isfinite(1./n1total)); max(n1total); mean(n1total(isfinite(n1total))); min(n1total)],...
                        [sum(isfinite(1./n1Ag)); max(n1Ag); mean(n1Ag(isfinite(n1Ag))); min(n1Ag)],...
                        [sum(isfinite(1./n1As)); max(n1As); mean(n1As(isfinite(n1As))); min(n1As)],...
                        [sum(isfinite(1./n1Au)); max(n1Au); mean(n1Au(isfinite(n1Au))); min(n1Au)],...
                        [sum(isfinite(1./n1B )); max(n1B ); mean(n1B (isfinite(n1B ))); min(n1B )],...
                        [sum(isfinite(1./n1Ba)); max(n1Ba); mean(n1Ba(isfinite(n1Ba))); min(n1Ba)],...
                        [sum(isfinite(1./n1Be)); max(n1Be); mean(n1Be(isfinite(n1Be))); min(n1Be)],...
                        [sum(isfinite(1./n1Bi)); max(n1Bi); mean(n1Bi(isfinite(n1Bi))); min(n1Bi)],...
                        [sum(isfinite(1./n1Cd)); max(n1Cd); mean(n1Cd(isfinite(n1Cd))); min(n1Cd)],...
                        [sum(isfinite(1./n1Co)); max(n1Co); mean(n1Co(isfinite(n1Co))); min(n1Co)],...
                        [sum(isfinite(1./n1Cr)); max(n1Cr); mean(n1Cr(isfinite(n1Cr))); min(n1Cr)],...
                        [sum(isfinite(1./n1Cs)); max(n1Cs); mean(n1Cs(isfinite(n1Cs))); min(n1Cs)],...
                        [sum(isfinite(1./n1Cu)); max(n1Cu); mean(n1Cu(isfinite(n1Cu))); min(n1Cu)],...
                        [sum(isfinite(1./n1Ga)); max(n1Ga); mean(n1Ga(isfinite(n1Ga))); min(n1Ga)],...
                        [sum(isfinite(1./n1Ge)); max(n1Ge); mean(n1Ge(isfinite(n1Ge))); min(n1Ge)],...
                        [sum(isfinite(1./n1Hf)); max(n1Hf); mean(n1Hf(isfinite(n1Hf))); min(n1Hf)],...
                        [sum(isfinite(1./n1Hg)); max(n1Hg); mean(n1Hg(isfinite(n1Hg))); min(n1Hg)],...
                        [sum(isfinite(1./n1In)); max(n1In); mean(n1In(isfinite(n1In))); min(n1In)],...
                        [sum(isfinite(1./n1Li)); max(n1Li); mean(n1Li(isfinite(n1Li))); min(n1Li)],...
                        [sum(isfinite(1./n1Mo)); max(n1Mo); mean(n1Mo(isfinite(n1Mo))); min(n1Mo)],...
                        [sum(isfinite(1./n1Nb)); max(n1Nb); mean(n1Nb(isfinite(n1Nb))); min(n1Nb)],...
                        [sum(isfinite(1./n1Ni)); max(n1Ni); mean(n1Ni(isfinite(n1Ni))); min(n1Ni)],...
                        [sum(isfinite(1./n1Pb)); max(n1Pb); mean(n1Pb(isfinite(n1Pb))); min(n1Pb)],...
                        [sum(isfinite(1./n1Rb)); max(n1Rb); mean(n1Rb(isfinite(n1Rb))); min(n1Rb)],...
                        [sum(isfinite(1./n1Re)); max(n1Re); mean(n1Re(isfinite(n1Re))); min(n1Re)],...
                        [sum(isfinite(1./n1Sb)); max(n1Sb); mean(n1Sb(isfinite(n1Sb))); min(n1Sb)],...
                        [sum(isfinite(1./n1Sc)); max(n1Sc); mean(n1Sc(isfinite(n1Sc))); min(n1Sc)],...
                        [sum(isfinite(1./n1Se)); max(n1Se); mean(n1Se(isfinite(n1Se))); min(n1Se)],...
                        [sum(isfinite(1./n1Sn)); max(n1Sn); mean(n1Sn(isfinite(n1Sn))); min(n1Sn)],...
                        [sum(isfinite(1./n1Sr)); max(n1Sr); mean(n1Sr(isfinite(n1Sr))); min(n1Sr)],...
                        [sum(isfinite(1./n1Ta)); max(n1Ta); mean(n1Ta(isfinite(n1Ta))); min(n1Ta)],...
                        [sum(isfinite(1./n1Te)); max(n1Te); mean(n1Te(isfinite(n1Te))); min(n1Te)],...
                        [sum(isfinite(1./n1Th)); max(n1Th); mean(n1Th(isfinite(n1Th))); min(n1Th)],...
                        [sum(isfinite(1./n1Tl)); max(n1Tl); mean(n1Tl(isfinite(n1Tl))); min(n1Tl)],...
                        [sum(isfinite(1./n1U)); max(n1U); mean(n1U(isfinite(n1U))); min(n1U)],...
                        [sum(isfinite(1./n1V)); max(n1V); mean(n1V(isfinite(n1V))); min(n1V)],...
                        [sum(isfinite(1./n1W)); max(n1W); mean(n1W(isfinite(n1W))); min(n1W)],...
                        [sum(isfinite(1./n1Y)); max(n1Y); mean(n1Y(isfinite(n1Y))); min(n1Y)],...
                        [sum(isfinite(1./n1Zn)); max(n1Zn); mean(n1Zn(isfinite(n1Zn))); min(n1Zn)],...
                        [sum(isfinite(1./n1Zr)); max(n1Zr); mean(n1Zr(isfinite(n1Zr))); min(n1Zr)],...
                        [sum(isfinite(1./n1Ru)); max(n1Ru); mean(n1Ru(isfinite(n1Ru))); min(n1Ru)],...
                        [sum(isfinite(1./n1Rh)); max(n1Rh); mean(n1Rh(isfinite(n1Rh))); min(n1Rh)],...
                        [sum(isfinite(1./n1Pd)); max(n1Pd); mean(n1Pd(isfinite(n1Pd))); min(n1Pd)],...
                        [sum(isfinite(1./n1Os)); max(n1Os); mean(n1Os(isfinite(n1Os))); min(n1Os)],...
                        [sum(isfinite(1./n1Ir)); max(n1Ir); mean(n1Ir(isfinite(n1Ir))); min(n1Ir)],...
                        [sum(isfinite(1./n1Pt)); max(n1Pt); mean(n1Pt(isfinite(n1Pt))); min(n1Pt)],...
                        [sum(isfinite(1./n1La)); max(n1La); mean(n1La(isfinite(n1La))); min(n1La)],...
                        [sum(isfinite(1./n1Ce)); max(n1Ce); mean(n1Ce(isfinite(n1Ce))); min(n1Ce)],...
                        [sum(isfinite(1./n1Pr)); max(n1Pr); mean(n1Pr(isfinite(n1Pr))); min(n1Pr)],...
                        [sum(isfinite(1./n1Nd)); max(n1Nd); mean(n1Nd(isfinite(n1Nd))); min(n1Nd)],...
                        [sum(isfinite(1./n1Sm)); max(n1Sm); mean(n1Sm(isfinite(n1Sm))); min(n1Sm)],...
                        [sum(isfinite(1./n1Eu)); max(n1Eu); mean(n1Eu(isfinite(n1Eu))); min(n1Eu)],...
                        [sum(isfinite(1./n1Gd)); max(n1Gd); mean(n1Gd(isfinite(n1Gd))); min(n1Gd)],...
                        [sum(isfinite(1./n1Tb)); max(n1Tb); mean(n1Tb(isfinite(n1Tb))); min(n1Tb)],...
                        [sum(isfinite(1./n1Dy)); max(n1Dy); mean(n1Dy(isfinite(n1Dy))); min(n1Dy)],...
                        [sum(isfinite(1./n1Ho)); max(n1Ho); mean(n1Ho(isfinite(n1Ho))); min(n1Ho)],...
                        [sum(isfinite(1./n1Er)); max(n1Er); mean(n1Er(isfinite(n1Er))); min(n1Er)],...
                        [sum(isfinite(1./n1Tm)); max(n1Tm); mean(n1Tm(isfinite(n1Tm))); min(n1Tm)],...
                        [sum(isfinite(1./n1Yb)); max(n1Yb); mean(n1Yb(isfinite(n1Yb))); min(n1Yb)],...
                        [sum(isfinite(1./n1Lu)); max(n1Lu); mean(n1Lu(isfinite(n1Lu))); min(n1Lu)]);
% Turn zeros to NaN's
output_norm_stat1(isnan(0./output_norm_stat1)) = NaN;