%% Create statistics
% Calculate the sum and mean of given elements in the fourth dataset and determines
% minumum and maximum

%% Input Statistics - Third dataset
    input_raw_stat4 = cat(2,...
                        [sum(isfinite(1./r4SiO2)); max(r4SiO2); mean(r4SiO2(isfinite(r4SiO2))); min(r4SiO2)],...
                        [sum(isfinite(1./r4TiO2)); max(r4TiO2); mean(r4TiO2(isfinite(r4TiO2))); min(r4TiO2)],...
                        [sum(isfinite(1./r4Al2O3)); max(r4Al2O3); mean(r4Al2O3(isfinite(r4Al2O3))); min(r4Al2O3)],...
                        [sum(isfinite(1./r4Fe2O3)); max(r4Fe2O3); mean(r4Fe2O3(isfinite(r4Fe2O3))); min(r4Fe2O3)],...
                        [sum(isfinite(1./r4MnO)); max(r4MnO); mean(r4MnO(isfinite(r4MnO))); min(r4MnO)],...
                        [sum(isfinite(1./r4MgO)); max(r4MgO); mean(r4MgO(isfinite(r4MgO))); min(r4MgO)],...
                        [sum(isfinite(1./r4CaO)); max(r4CaO); mean(r4CaO(isfinite(r4CaO))); min(r4CaO)],...
                        [sum(isfinite(1./r4Na2O)); max(r4Na2O); mean(r4Na2O(isfinite(r4Na2O))); min(r4Na2O)],...
                        [sum(isfinite(1./r4K2O)); max(r4K2O); mean(r4K2O(isfinite(r4K2O))); min(r4K2O)],...
                        [sum(isfinite(1./r4P2O5)); max(r4P2O5); mean(r4P2O5(isfinite(r4P2O5))); min(r4P2O5)],...
                        [sum(isfinite(1./r4SO3)); max(r4SO3); mean(r4SO3(isfinite(r4SO3))); min(r4SO3)],...
                        [sum(isfinite(1./r4Cl)); max(r4Cl); mean(r4Cl(isfinite(r4Cl))); min(r4Cl)],...
                        [sum(isfinite(1./r4F)); max(r4F); mean(r4F(isfinite(r4F))); min(r4F)],...
                        [sum(isfinite(1./r4H2O)); max(r4H2O); mean(r4H2O(isfinite(r4H2O))); min(r4H2O)],...
                        [sum(isfinite(1./r4CO2)); max(r4CO2); mean(r4CO2(isfinite(r4CO2))); min(r4CO2)],... 
                        [sum(isfinite(1./r4LOI)); max(r4LOI); mean(r4LOI(isfinite(r4LOI))); min(r4LOI)],...
                        [sum(isfinite(1./r4totalLOI)); max(r4totalLOI); mean(r4totalLOI(isfinite(r4totalLOI))); min(r4totalLOI)],...
                        [sum(isfinite(1./r4Ag)); max(r4Ag); mean(r4Ag(isfinite(r4Ag))); min(r4Ag)],...
                        [sum(isfinite(1./r4As)); max(r4As); mean(r4As(isfinite(r4As))); min(r4As)],...
                        [sum(isfinite(1./r4Au)); max(r4Au); mean(r4As(isfinite(r4As))); min(r4Au)],...
                        [sum(isfinite(1./r4B )); max(r4B ); mean(r4B (isfinite(r4B ))); min(r4B )],...
                        [sum(isfinite(1./r4Ba)); max(r4Ba); mean(r4Ba(isfinite(r4Ba))); min(r4Ba)],...
                        [sum(isfinite(1./r4Be)); max(r4Be); mean(r4Be(isfinite(r4Be))); min(r4Be)],...
                        [sum(isfinite(1./r4Bi)); max(r4Bi); mean(r4Bi(isfinite(r4Bi))); min(r4Bi)],...
                        [sum(isfinite(1./r4Cd)); max(r4Cd); mean(r4Cd(isfinite(r4Cd))); min(r4Cd)],...
                        [sum(isfinite(1./r4Co)); max(r4Co); mean(r4Co(isfinite(r4Co))); min(r4Co)],...
                        [sum(isfinite(1./r4Cr)); max(r4Cr); mean(r4Cr(isfinite(r4Cr))); min(r4Cr)],...
                        [sum(isfinite(1./r4Cs)); max(r4Cs); mean(r4Cs(isfinite(r4Cs))); min(r4Cs)],...
                        [sum(isfinite(1./r4Cu)); max(r4Cu); mean(r4Cu(isfinite(r4Cu))); min(r4Cu)],...
                        [sum(isfinite(1./r4Ga)); max(r4Ga); mean(r4Ga(isfinite(r4Ga))); min(r4Ga)],...
                        [sum(isfinite(1./r4Ge)); max(r4Ge); mean(r4Ge(isfinite(r4Ge))); min(r4Ge)],...
                        [sum(isfinite(1./r4Hf)); max(r4Hf); mean(r4Hf(isfinite(r4Hf))); min(r4Hf)],...
                        [sum(isfinite(1./r4Hg)); max(r4Hg); mean(r4Hg(isfinite(r4Hg))); min(r4Hg)],...
                        [sum(isfinite(1./r4In)); max(r4In); mean(r4In(isfinite(r4In))); min(r4In)],...
                        [sum(isfinite(1./r4Li)); max(r4Li); mean(r4Li(isfinite(r4Li))); min(r4Li)],...
                        [sum(isfinite(1./r4Mo)); max(r4Mo); mean(r4Mo(isfinite(r4Mo))); min(r4Mo)],...
                        [sum(isfinite(1./r4Nb)); max(r4Nb); mean(r4Nb(isfinite(r4Nb))); min(r4Nb)],...
                        [sum(isfinite(1./r4Ni)); max(r4Ni); mean(r4Ni(isfinite(r4Ni))); min(r4Ni)],...
                        [sum(isfinite(1./r4Pb)); max(r4Pb); mean(r4Pb(isfinite(r4Pb))); min(r4Pb)],...
                        [sum(isfinite(1./r4Rb)); max(r4Rb); mean(r4Rb(isfinite(r4Rb))); min(r4Rb)],...
                        [sum(isfinite(1./r4Re)); max(r4Re); mean(r4Re(isfinite(r4Re))); min(r4Re)],...
                        [sum(isfinite(1./r4Sb)); max(r4Sb); mean(r4Sb(isfinite(r4Sb))); min(r4Sb)],...
                        [sum(isfinite(1./r4Sc)); max(r4Sc); mean(r4Sc(isfinite(r4Sc))); min(r4Sc)],...
                        [sum(isfinite(1./r4Se)); max(r4Se); mean(r4Se(isfinite(r4Se))); min(r4Se)],...
                        [sum(isfinite(1./r4Sn)); max(r4Sn); mean(r4Sn(isfinite(r4Sn))); min(r4Sn)],...
                        [sum(isfinite(1./r4Sr)); max(r4Sr); mean(r4Sr(isfinite(r4Sr))); min(r4Sr)],...
                        [sum(isfinite(1./r4Ta)); max(r4Ta); mean(r4Ta(isfinite(r4Ta))); min(r4Ta)],...
                        [sum(isfinite(1./r4Te)); max(r4Te); mean(r4Te(isfinite(r4Te))); min(r4Te)],...
                        [sum(isfinite(1./r4Th)); max(r4Th); mean(r4Th(isfinite(r4Th))); min(r4Th)],...
                        [sum(isfinite(1./r4Tl)); max(r4Tl); mean(r4Tl(isfinite(r4Tl))); min(r4Tl)],...
                        [sum(isfinite(1./r4U));  max(r4U);  mean(r4U(isfinite(r4U)));   min(r4U)],...
                        [sum(isfinite(1./r4V));  max(r4V);  mean(r4V(isfinite(r4V)));   min(r4V)],...
                        [sum(isfinite(1./r4W));  max(r4W);  mean(r4W(isfinite(r4W)));   min(r4W)],...
                        [sum(isfinite(1./r4Y));  max(r4Y);  mean(r4Y(isfinite(r4Y)));   min(r4Y)],...
                        [sum(isfinite(1./r4Zn)); max(r4Zn); mean(r4Zn(isfinite(r4Zn))); min(r4Zn)],...
                        [sum(isfinite(1./r4Zr)); max(r4Zr); mean(r4Zr(isfinite(r4Zr))); min(r4Zr)],...
                        [sum(isfinite(1./r4Ru)); max(r4Ru); mean(r4Ru(isfinite(r4Ru))); min(r4Ru)],...
                        [sum(isfinite(1./r4Rh)); max(r4Rh); mean(r4Rh(isfinite(r4Rh))); min(r4Rh)],...
                        [sum(isfinite(1./r4Pd)); max(r4Pd); mean(r4Pd(isfinite(r4Pd))); min(r4Pd)],...
                        [sum(isfinite(1./r4Os)); max(r4Os); mean(r4Os(isfinite(r4Os))); min(r4Os)],...
                        [sum(isfinite(1./r4Ir)); max(r4Ir); mean(r4Ir(isfinite(r4Ir))); min(r4Ir)],...
                        [sum(isfinite(1./r4Pt)); max(r4Pt); mean(r4Pt(isfinite(r4Pt))); min(r4Pt)],...
                        [sum(isfinite(1./r4La)); max(r4La); mean(r4La(isfinite(r4La))); min(r4La)],...
                        [sum(isfinite(1./r4Ce)); max(r4Ce); mean(r4Ce(isfinite(r4Ce))); min(r4Ce)],...
                        [sum(isfinite(1./r4Pr)); max(r4Pr); mean(r4Pr(isfinite(r4Pr))); min(r4Pr)],...
                        [sum(isfinite(1./r4Nd)); max(r4Nd); mean(r4Nd(isfinite(r4Nd))); min(r4Nd)],...
                        [sum(isfinite(1./r4Sm)); max(r4Sm); mean(r4Sm(isfinite(r4Sm))); min(r4Sm)],...
                        [sum(isfinite(1./r4Eu)); max(r4Eu); mean(r4Eu(isfinite(r4Eu))); min(r4Eu)],...
                        [sum(isfinite(1./r4Gd)); max(r4Gd); mean(r4Gd(isfinite(r4Gd))); min(r4Gd)],...
                        [sum(isfinite(1./r4Tb)); max(r4Tb); mean(r4Tb(isfinite(r4Tb))); min(r4Tb)],...
                        [sum(isfinite(1./r4Dy)); max(r4Dy); mean(r4Dy(isfinite(r4Dy))); min(r4Dy)],...
                        [sum(isfinite(1./r4Ho)); max(r4Ho); mean(r4Ho(isfinite(r4Ho))); min(r4Ho)],...
                        [sum(isfinite(1./r4Er)); max(r4Er); mean(r4Er(isfinite(r4Er))); min(r4Er)],...
                        [sum(isfinite(1./r4Tm)); max(r4Tm); mean(r4Tm(isfinite(r4Tm))); min(r4Tm)],...
                        [sum(isfinite(1./r4Yb)); max(r4Yb); mean(r4Yb(isfinite(r4Yb))); min(r4Yb)],...
                        [sum(isfinite(1./r4Lu)); max(r4Lu); mean(r4Lu(isfinite(r4Lu))); min(r4Lu)]);
% Turn zeros to NaN's     
input_raw_stat4(isnan(0./input_raw_stat4)) = NaN;
                    
%% Normalized Statistics - Third dataset
    output_norm_stat4 = cat(2,...
                        [sum(isfinite(1./n4SiO2)); max(n4SiO2); mean(n4SiO2(isfinite(n4SiO2))); min(n4SiO2)],...
                        [sum(isfinite(1./n4TiO2)); max(n4TiO2); mean(n4TiO2(isfinite(n4TiO2))); min(n4TiO2)],...
                        [sum(isfinite(1./n4Al2O3)); max(n4Al2O3); mean(n4Al2O3(isfinite(n4Al2O3))); min(n4Al2O3)],...
                        [sum(isfinite(1./n4Fe2O3)); max(n4Fe2O3); mean(n4Fe2O3(isfinite(n4Fe2O3))); min(n4Fe2O3)],...
                        [sum(isfinite(1./n4MnO)); max(n4MnO); mean(n4MnO(isfinite(n4MnO))); min(n4MnO)],...
                        [sum(isfinite(1./n4MgO)); max(n4MgO); mean(n4MgO(isfinite(n4MgO))); min(n4MgO)],...
                        [sum(isfinite(1./n4CaO)); max(n4CaO); mean(n4CaO(isfinite(n4CaO))); min(n4CaO)],...
                        [sum(isfinite(1./n4Na2O)); max(n4Na2O); mean(n4Na2O(isfinite(n4Na2O))); min(n4Na2O)],...
                        [sum(isfinite(1./n4K2O)); max(n4K2O); mean(n4K2O(isfinite(n4K2O))); min(n4K2O)],...
                        [sum(isfinite(1./n4P2O5)); max(n4P2O5); mean(n4P2O5(isfinite(n4P2O5))); min(n4P2O5)],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [NaN; NaN; NaN; NaN],...
                        [sum(isfinite(1./n4total)); max(n4total); mean(n4total(isfinite(n4total))); min(n4total)],...
                        [sum(isfinite(1./n4Ag)); max(n4Ag); mean(n4Ag(isfinite(n4Ag))); min(n4Ag)],...
                        [sum(isfinite(1./n4As)); max(n4As); mean(n4As(isfinite(n4As))); min(n4As)],...
                        [sum(isfinite(1./n4Au)); max(n4Au); mean(n4Au(isfinite(n4Au))); min(n4Au)],...
                        [sum(isfinite(1./n4B )); max(n4B ); mean(n4B (isfinite(n4B ))); min(n4B )],...
                        [sum(isfinite(1./n4Ba)); max(n4Ba); mean(n4Ba(isfinite(n4Ba))); min(n4Ba)],...
                        [sum(isfinite(1./n4Be)); max(n4Be); mean(n4Be(isfinite(n4Be))); min(n4Be)],...
                        [sum(isfinite(1./n4Bi)); max(n4Bi); mean(n4Bi(isfinite(n4Bi))); min(n4Bi)],...
                        [sum(isfinite(1./n4Cd)); max(n4Cd); mean(n4Cd(isfinite(n4Cd))); min(n4Cd)],...
                        [sum(isfinite(1./n4Co)); max(n4Co); mean(n4Co(isfinite(n4Co))); min(n4Co)],...
                        [sum(isfinite(1./n4Cr)); max(n4Cr); mean(n4Cr(isfinite(n4Cr))); min(n4Cr)],...
                        [sum(isfinite(1./n4Cs)); max(n4Cs); mean(n4Cs(isfinite(n4Cs))); min(n4Cs)],...
                        [sum(isfinite(1./n4Cu)); max(n4Cu); mean(n4Cu(isfinite(n4Cu))); min(n4Cu)],...
                        [sum(isfinite(1./n4Ga)); max(n4Ga); mean(n4Ga(isfinite(n4Ga))); min(n4Ga)],...
                        [sum(isfinite(1./n4Ge)); max(n4Ge); mean(n4Ge(isfinite(n4Ge))); min(n4Ge)],...
                        [sum(isfinite(1./n4Hf)); max(n4Hf); mean(n4Hf(isfinite(n4Hf))); min(n4Hf)],...
                        [sum(isfinite(1./n4Hg)); max(n4Hg); mean(n4Hg(isfinite(n4Hg))); min(n4Hg)],...
                        [sum(isfinite(1./n4In)); max(n4In); mean(n4In(isfinite(n4In))); min(n4In)],...
                        [sum(isfinite(1./n4Li)); max(n4Li); mean(n4Li(isfinite(n4Li))); min(n4Li)],...
                        [sum(isfinite(1./n4Mo)); max(n4Mo); mean(n4Mo(isfinite(n4Mo))); min(n4Mo)],...
                        [sum(isfinite(1./n4Nb)); max(n4Nb); mean(n4Nb(isfinite(n4Nb))); min(n4Nb)],...
                        [sum(isfinite(1./n4Ni)); max(n4Ni); mean(n4Ni(isfinite(n4Ni))); min(n4Ni)],...
                        [sum(isfinite(1./n4Pb)); max(n4Pb); mean(n4Pb(isfinite(n4Pb))); min(n4Pb)],...
                        [sum(isfinite(1./n4Rb)); max(n4Rb); mean(n4Rb(isfinite(n4Rb))); min(n4Rb)],...
                        [sum(isfinite(1./n4Re)); max(n4Re); mean(n4Re(isfinite(n4Re))); min(n4Re)],...
                        [sum(isfinite(1./n4Sb)); max(n4Sb); mean(n4Sb(isfinite(n4Sb))); min(n4Sb)],...
                        [sum(isfinite(1./n4Sc)); max(n4Sc); mean(n4Sc(isfinite(n4Sc))); min(n4Sc)],...
                        [sum(isfinite(1./n4Se)); max(n4Se); mean(n4Se(isfinite(n4Se))); min(n4Se)],...
                        [sum(isfinite(1./n4Sn)); max(n4Sn); mean(n4Sn(isfinite(n4Sn))); min(n4Sn)],...
                        [sum(isfinite(1./n4Sr)); max(n4Sr); mean(n4Sr(isfinite(n4Sr))); min(n4Sr)],...
                        [sum(isfinite(1./n4Ta)); max(n4Ta); mean(n4Ta(isfinite(n4Ta))); min(n4Ta)],...
                        [sum(isfinite(1./n4Te)); max(n4Te); mean(n4Te(isfinite(n4Te))); min(n4Te)],...
                        [sum(isfinite(1./n4Th)); max(n4Th); mean(n4Th(isfinite(n4Th))); min(n4Th)],...
                        [sum(isfinite(1./n4Tl)); max(n4Tl); mean(n4Tl(isfinite(n4Tl))); min(n4Tl)],...
                        [sum(isfinite(1./n4U)); max(n4U); mean(n4U(isfinite(n4U))); min(n4U)],...
                        [sum(isfinite(1./n4V)); max(n4V); mean(n4V(isfinite(n4V))); min(n4V)],...
                        [sum(isfinite(1./n4W)); max(n4W); mean(n4W(isfinite(n4W))); min(n4W)],...
                        [sum(isfinite(1./n4Y)); max(n4Y); mean(n4Y(isfinite(n4Y))); min(n4Y)],...
                        [sum(isfinite(1./n4Zn)); max(n4Zn); mean(n4Zn(isfinite(n4Zn))); min(n4Zn)],...
                        [sum(isfinite(1./n4Zr)); max(n4Zr); mean(n4Zr(isfinite(n4Zr))); min(n4Zr)],...
                        [sum(isfinite(1./n4Ru)); max(n4Ru); mean(n4Ru(isfinite(n4Ru))); min(n4Ru)],...
                        [sum(isfinite(1./n4Rh)); max(n4Rh); mean(n4Rh(isfinite(n4Rh))); min(n4Rh)],...
                        [sum(isfinite(1./n4Pd)); max(n4Pd); mean(n4Pd(isfinite(n4Pd))); min(n4Pd)],...
                        [sum(isfinite(1./n4Os)); max(n4Os); mean(n4Os(isfinite(n4Os))); min(n4Os)],...
                        [sum(isfinite(1./n4Ir)); max(n4Ir); mean(n4Ir(isfinite(n4Ir))); min(n4Ir)],...
                        [sum(isfinite(1./n4Pt)); max(n4Pt); mean(n4Pt(isfinite(n4Pt))); min(n4Pt)],...
                        [sum(isfinite(1./n4La)); max(n4La); mean(n4La(isfinite(n4La))); min(n4La)],...
                        [sum(isfinite(1./n4Ce)); max(n4Ce); mean(n4Ce(isfinite(n4Ce))); min(n4Ce)],...
                        [sum(isfinite(1./n4Pr)); max(n4Pr); mean(n4Pr(isfinite(n4Pr))); min(n4Pr)],...
                        [sum(isfinite(1./n4Nd)); max(n4Nd); mean(n4Nd(isfinite(n4Nd))); min(n4Nd)],...
                        [sum(isfinite(1./n4Sm)); max(n4Sm); mean(n4Sm(isfinite(n4Sm))); min(n4Sm)],...
                        [sum(isfinite(1./n4Eu)); max(n4Eu); mean(n4Eu(isfinite(n4Eu))); min(n4Eu)],...
                        [sum(isfinite(1./n4Gd)); max(n4Gd); mean(n4Gd(isfinite(n4Gd))); min(n4Gd)],...
                        [sum(isfinite(1./n4Tb)); max(n4Tb); mean(n4Tb(isfinite(n4Tb))); min(n4Tb)],...
                        [sum(isfinite(1./n4Dy)); max(n4Dy); mean(n4Dy(isfinite(n4Dy))); min(n4Dy)],...
                        [sum(isfinite(1./n4Ho)); max(n4Ho); mean(n4Ho(isfinite(n4Ho))); min(n4Ho)],...
                        [sum(isfinite(1./n4Er)); max(n4Er); mean(n4Er(isfinite(n4Er))); min(n4Er)],...
                        [sum(isfinite(1./n4Tm)); max(n4Tm); mean(n4Tm(isfinite(n4Tm))); min(n4Tm)],...
                        [sum(isfinite(1./n4Yb)); max(n4Yb); mean(n4Yb(isfinite(n4Yb))); min(n4Yb)],...
                        [sum(isfinite(1./n4Lu)); max(n4Lu); mean(n4Lu(isfinite(n4Lu))); min(n4Lu)]);
% Turn zeros to NaN's
output_norm_stat4(isnan(0./output_norm_stat4)) = NaN;