%% Runs normalization
    cd(folder_norm)
    normalization1
    normalization2
    normalization3
    cd(folder_plot)

%% Create tables for first dataset

% Create column and row names
header1 = input_header1(1,1:5);
header2 = {'SiO2 [mol.%]' 'TiO2 [mol.%]' 'Al2O3 [mol.%]' 'Fe2O3 [mol.%]' 'MnO [mol.%]' 'MgO [mol.%]' 'CaO [mol.%]' 'Na2O [mol.%]' 'K2O [mol.%]' 'P2O5 [mol.%]' 'Total [mol.%]'};
header3 = [header1 header2];
rows = {'values'; 'maximum'; 'average'; 'minimum'};

f1 = figure('Position',[100 300 1000 500]);
    tit = ['Molar values - FGAPP v1.0 - First dataset --- ' input_file1];
    set(f1,'Name',tit);
    input_tab1 = cat(2,input_comments1,num2cell(output_molar1));
    moltab1 = uitable('Parent',f1,'Data',input_tab1,'RowName',input_samples1,'ColumnName',header3,'Position',[0 0 1000 500]);
    
f1a = figure('Position',[100 300 1000 500]);
    tit = ['Molar statistics - FGAPP v1.0 - First dataset --- ' input_file1];
    set(f1a,'Name',tit);
    moltab1a = uitable('Parent',f1a,'Data',output_molar_stat1,'RowName',rows,'ColumnName',header2,'Position',[0 0 1000 500]);
    
%% Create tables for second dataset

% Create column and row names
header1 = input_header1(1,1:5);
header2 = {'SiO2 [mol.%]' 'TiO2 [mol.%]' 'Al2O3 [mol.%]' 'Fe2O3 [mol.%]' 'MnO [mol.%]' 'MgO [mol.%]' 'CaO [mol.%]' 'Na2O [mol.%]' 'K2O [mol.%]' 'P2O5 [mol.%]' 'Total [mol.%]'};
header3 = [header1 header2];
rows = {'values'; 'maximum'; 'average'; 'minimum'};

f2 = figure('Position',[100 300 1000 500]);
    tit = ['Molar values - FGAPP v1.0 - Second dataset --- ' input_file2];
    set(f2,'Name',tit);
    input_tab2 = cat(2,input_comments2,num2cell(output_molar2));
    moltab2 = uitable('Parent',f2,'Data',input_tab2,'RowName',input_samples2,'ColumnName',header3,'Position',[0 0 1000 500]);
    
f2a = figure('Position',[100 300 1000 500]);
    tit = ['Molar statistics - FGAPP v1.0 - Second dataset --- ' input_file2];
    set(f2a,'Name',tit);
    moltab2a = uitable('Parent',f2a,'Data',output_molar_stat2,'RowName',rows,'ColumnName',header2,'Position',[0 0 1000 500]);

%% Create tables for third dataset

% Create column and row names
header1 = input_header1(1,1:5);
header2 = {'SiO2 [mol.%]' 'TiO2 [mol.%]' 'Al2O3 [mol.%]' 'Fe2O3 [mol.%]' 'MnO [mol.%]' 'MgO [mol.%]' 'CaO [mol.%]' 'Na2O [mol.%]' 'K2O [mol.%]' 'P2O5 [mol.%]' 'Total [mol.%]'};
header3 = [header1 header2];
rows = {'values'; 'maximum'; 'average'; 'minimum'};

f3 = figure('Position',[100 300 1000 500]);
    tit = ['Molar values - FGAPP v1.0 - Third dataset --- ' input_file3];
    set(f3,'Name',tit);
    input_tab3 = cat(2,input_comments3,num2cell(output_molar3));
    moltab3 = uitable('Parent',f3,'Data',input_tab3,'RowName',input_samples3,'ColumnName',header3,'Position',[0 0 1000 500]);
    
f3a = figure('Position',[100 300 1000 500]);
    tit = ['Molar statistics - FGAPP v1.0 - Third dataset --- ' input_file3];
    set(f3a,'Name',tit);
    moltab3a = uitable('Parent',f3a,'Data',output_molar_stat3,'RowName',rows,'ColumnName',header2,'Position',[0 0 1000 500]);
    
%% Clear data
clear tit header1 header2 header3 rows f1 f1a f2 f2a f3 f3a
clear moltab1 moltab2 moltab3 moltab1a moltab2a moltab3a
clear input_tab1 input_tab2 input_tab3